h2. 2013-10-14 22:09:11 +0200

Build 597
Updated to source:@b9c847eec279af0d6fbc473e4ea900676378e378

h3. Changed

* #ACE_NOHUD setting also removes squadleader icon and waypoint mark on HUD [rocko]
* Added basic support to transport captive players (being handcuffed, PVP TVT stuff) [rocko]
* Added experimental TI contrasts to account for heated up objects in TI View [rocko]
* Captive players (handcuffed) no longer can perform ACE Interaction menu operations nor access the ActionMenu [rocko]
* Civilian vehicles no longer have military equipment in their cargo [rocko]
* Converting mortar CSWDMs now spawns ready to fire rounds [VKing]
* Cypher and Amii are special [rocko]
* DAGR menu option allowing to switch between mils and degrees, Degrees set as default [by BlackHawk] [rocko]
* DAGR option to copy Vector laser target grid to waypoint edit page (allows for rapid saving of target positions) [by BlackHawk] [rocko]
* DAGR options for connecting to Vector and SOFLAM separated [by BlackHawk] [rocko]
* DAGR update speed now correctly displays in milliseconds in options menu (ms) [by BlackHawk] [rocko]
* Disabled "Search dogtag" option for civilians for now [rocko]
* Disabled autohover. VTOL capability can still be engaged or disengaged. [rocko]
* Dragging/Carrying wounded/incapitated player now has correct impact on stamina [rocko]
* Earplugs now do what their name suggests [rocko]
* Lines are skinnier now and better looking at all zoom levels. Change made courtesy of Beta. [Nou]
* Reduced recognize distance to prevent exploiting friend/foe recognizion [rocko]
* Resting weapon with bipod prevents viewport to be moved over axis limits of bipod [rocko]
* Weaponselect for vehicle weapons added (SHIFT ^ - Safe, SHIFT 1 - Cycle cannon/mg, SHIFT 2 - Cycle launchers, SHIFT 3 - Cycle Other) [rocko]
* Weather has impact on map visibilty at night (starbright night vs. cloudy night) [rocko]

h3. Fixed

* Disarm function was using wrong conditions [rocko]
* Enemy AI should now stay in disabled vehicles that still have working turrets [rocko]
* Handheld SU-36/P zoom corrected [rocko]
* It was possible to handcuff AI or players without handcuffs in your inventory [rocko]
* M113 smoke launchers [VKing]
* Maximum speeds for some vehicles were incorrect [rocko]
* Mortar sight units were using old code that improperly simulated the counters making it not work with laying alignment devices. [Nou]
* Some exploits with NV/TI range limits [rocko]
* Static weapons can no longer be slingloaded while players operate them [rocko]
* Unconscious players could be loaded into Ships but not unloaded [rocko]

h3. Added

* BCS can calculate missions for mortars [VKing]
* Tweaked BIS penetration values in bisurf files. Overrides ca\Data\Penetration. [Nou]




h2. 2013-10-14 20:52:44 +0200

Build 596
Updated to source:@b9c847eec279af0d6fbc473e4ea900676378e378

h3. Changed

* #ACE_NOHUD setting also removes squadleader icon and waypoint mark on HUD [rocko]
* Added basic support to transport captive players (being handcuffed, PVP TVT stuff) [rocko]
* Added experimental TI contrasts to account for heated up objects in TI View [rocko]
* Captive players (handcuffed) no longer can perform ACE Interaction menu operations nor access the ActionMenu [rocko]
* Civilian vehicles no longer have military equipment in their cargo [rocko]
* Converting mortar CSWDMs now spawns ready to fire rounds [VKing]
* Cypher and Amii are special [rocko]
* DAGR menu option allowing to switch between mils and degrees, Degrees set as default [by BlackHawk] [rocko]
* DAGR option to copy Vector laser target grid to waypoint edit page (allows for rapid saving of target positions) [by BlackHawk] [rocko]
* DAGR options for connecting to Vector and SOFLAM separated [by BlackHawk] [rocko]
* DAGR update speed now correctly displays in milliseconds in options menu (ms) [by BlackHawk] [rocko]
* Disabled "Search dogtag" option for civilians for now [rocko]
* Disabled autohover. VTOL capability can still be engaged or disengaged. [rocko]
* Dragging/Carrying wounded/incapitated player now has correct impact on stamina [rocko]
* Earplugs now do what their name suggests [rocko]
* Lines are skinnier now and better looking at all zoom levels. Change made courtesy of Beta. [Nou]
* Reduced recognize distance to prevent exploiting friend/foe recognizion [rocko]
* Resting weapon with bipod prevents viewport to be moved over axis limits of bipod [rocko]
* Weaponselect for vehicle weapons added (SHIFT ^ - Safe, SHIFT 1 - Cycle cannon/mg, SHIFT 2 - Cycle launchers, SHIFT 3 - Cycle Other) [rocko]
* Weather has impact on map visibilty at night (starbright night vs. cloudy night) [rocko]

h3. Fixed

* Disarm function was using wrong conditions [rocko]
* Enemy AI should now stay in disabled vehicles that still have working turrets [rocko]
* Handheld SU-36/P zoom corrected [rocko]
* It was possible to handcuff AI or players without handcuffs in your inventory [rocko]
* M113 smoke launchers [VKing]
* Maximum speeds for some vehicles were incorrect [rocko]
* Mortar sight units were using old code that improperly simulated the counters making it not work with laying alignment devices. [Nou]
* Some exploits with NV/TI range limits [rocko]
* Static weapons can no longer be slingloaded while players operate them [rocko]
* Unconscious players could be loaded into Ships but not unloaded [rocko]

h3. Added

* BCS can calculate missions for mortars [VKing]
* Tweaked BIS penetration values in bisurf files. Overrides ca\Data\Penetration. [Nou]




h2. 2013-07-15 16:11:24 +0200

Build 595
Updated to source:@d7cdb934fbed4acb1b6969e45a19b9f654c0cb36

h3. Changed

* Increased damage output for mortar shells [rocko]
* Increased laser cooldown timer for T-72 A [rocko]

h3. Fixed

* Being exhausted no longer forces eject from vehicles [rocko]
* Removed some more exploits with tactical ladders [rocko]
* Small caliber cookoff effects cannot destroy buildings anymore [rocko]
* Visual bleeding should now be better synchronized when the unit is no longer bleeding [rocko]




h2. 2013-06-14 23:02:14 +0200

Build 594
Updated to source:@c37d8ba251f155811163c76bd465fe91f4bb30e3

h3. Changed

* [by Dystopian] Satchels can now be attached to individual positions instead of [0,0,0] by looking at the preferred spot to attach [rocko]
* [by tcp] M72 can be packed into backpacks [rocko]

h3. Fixed

* ACE options showing displaced entries [rocko]




h2. 2013-06-08 12:08:05 +0200

Build 593
Updated to source:@f5744849d4df72bb183b5d553e25ea82b5a75ef3

h3. Changed

* AH-1W should now have proper RW and functions [rocko]
* Added impact flash for sabot type warheads [rocko]
* Adjustable fuse (AKA timer) for satchel charges and C4 [rocko]
* Carrying boxes now adds a dynamic offset for boxes with roadway lod that may cause a player glitching into the sky [rocko]
* DAGR is no longer a GPS item (will get it's own GPS map, probably) [rocko]
* Disabling Grenadethrow2 Key Settings, not completed yet. refs #71889 [ViperMaul]
* Disabling Grenadethrow2 feature, not completed yet. refs #71889 [ViperMaul]
* Enemy units have to be searched prior to disarming (same for civilians) [rocko]
* Explosions with smaller force will no longer knockout players but tilt them [rocko]
* GPS minimap layout has more technical look (no longer mainmap like) [rocko]
* Increased durability of backpacks [rocko]
* M163 PIVADS has now tracking function [rocko]
* Minedetector sounds closer to the real ones [rocko]
* New option for handsignals. Handsignals can now be shortcutted via Numpad keys (default) [rocko]
* Possessing a GPS device does not automatically enable a map [rocko]
* Protector RCWS on M1A2 TUSK now matches all other Protector RCWS stations [rocko]
* Removed obsolete zeroing function for RPG7 PGO7 variant [rocko]
* Replaced titletext messages with less intrusive hint style messages [rocko]
* Reworked Group Tracking: Previous group tracking modules are inactive and therefore obsolete [rocko]
* Reworked Group Tracking: Tracking markers are now only visible while in FBCB2 compliant vehicles (aka have a GPS) as gunner or commander [rocko]
* Reworked Group Tracking: Tracking markers no longer appear on the map of infantry units, instead markers are shown on GPS/DAGR map only (GPS functionality WIP) [rocko]
* Reworked Group Tracking: Units will show up only if the respective device is turned on (Automatically if carrying DAGR) [rocko]
* Roundcount available for CSWs [rocko]
* SHIFT+4 Launcher support for quick weapon selection [rocko]
* Surrounding light sources have impact on map visibility [rocko]
* Vanila support vehicles now utilize ACE style (no magic rearm by driving by..) [rocko]
* Zeroing display does not show up while looking through scope [rocko]

h3. Fixed

* 82mm ILLUM shells script error [rocko]
* Backpacks could not be retrieved from tank type vehicles [rocko]
* CSW magazine was lost when aborting the loading process [rocko]
* Missing animations when switching to binocular while prone with launcher [rocko]
* New explosion effects now also for 82mm shells [rocko]
* Only allow nil or an array as parameter when calling ace_fnc_startSpectator, fixes #71939 [Xeno]
* SU-36/P Daysight not useable [rocko]
* Some CSWs sometimes could not be loaded after being initially deployed [rocko]
* Visual effects for multi-monitor systems [rocko]

h3. Added

* VG-40SZ flashbang grenade [rocko]




h2. 2013-04-12 19:55:32 +0200

Build 592
Updated to source:@c2f83c2e15a87e384987598107902d6b01a60bdb

h3. Changed

* Removed scope adjustment from rangetable [rocko]

h3. Fixed

* KH25ML not useable from EASA [rocko]

h3. Added

* Option to completely disable the commandbar (#define ACE_NOHUD) with enabled Minimal Hud setting [rocko]
* Safety (Engage/Disengage) option for ejection seats [rocko]




h2. 2013-04-07 19:05:08 +0200

Build 591
Updated to source:@a134e7845bebe5cf8f10f05c01162f280b2dea14

h3. Fixed

* 7.62 effects toned down [rocko]




h2. 2013-04-06 10:47:37 +0200

Build 590
Updated to source:@7fee9ce82f6ba6dd9f47dd6e20f49291ebc90eb1

h3. Changed

* ACE_fnc_PutWeaponOnBack can no longer be used to 'add' non-existent weapons to the WOB slot, use ACE_fnc_AddWeaponOnBack [new] for this, refs #70765 [rocko]
* Added CCRP for CBUs [rocko]
* Aiming stakes are no longer automatically set when a mortar is  placed [rocko]
* Camera shake/shock wave effects are now timed to the speed of sound. Shock wave is also now visible in higher humidity. [Nou]
* Changing the viewdistance with TI/NVG limitation and enabled TI/NVG is no longer possible, refs #71038 [rocko]
* Custom fragmentation types. [Nou]
* Deafening now universally depends on caliber and initSpeed of ammo, thus greatly increasing the time before deafening effects turn in for the shooter if unprotected, refs #65872 [rocko]
* Empty fuelcans can be refilled either from other vehicles or fuelstations [rocko]
* Immobilized tanks that have functional turrets will make use of them instead of letting the crew abandon the vehicle as in vanilla [rocko]
* Increased shifting rate for M119 (SHIFT = slow, CTRL = fast, default fastest) [rocko]
* Lifted maplook restrictions, map now shakes while player is walking or running [rocko]
* Medic version backpacks have 25% less available space compared to their normal counterpart [rocko]
* Mi-24 stepped optics according to http://www.arms-expo.ru/049048050048124049052050051049.html [zGuba]
* Mortar damage values/explosion effects less intense, closer to real life. [Nou]
* SHIFT+B selects the second binocular-type weapon (patch by Dystopian), fixes #70167 [robalo]
* Sight Adjustment dialog in a more immersive look [rocko]
* To prevent exploits the "Fix Headbug" button is now disabled for 10 seconds after opening the ACE settings dialog [Xeno]

h3. Fixed

* 'Flaps down key' was activating ILS system [rocko]
* ACE_fnc_getPistol, fixes #70201 [Xeno]
* AT-9 was unable to lead moving targets due to condition race [zGuba]
* Accidentally removed possibility to view Kestrel4500 while in Spottingscope [rocko]
* BAF AH1 now matches AH64 armor [rocko]
* Blast mines should now function properly [rocko]
* CSWs could not be mounted on elevated spaces [rocko]
* Concertina / razor wire no longer flips vehicles into the air [rocko]
* Dead units inside a vehicle prevented towing, fixes #68659 [Xeno]
* Delay rounds were bursting in air due to mismatched pos commands. [Nou]
* Error when unloading M240 CSW [rocko]
* GL sightadjustment for BAF weapons [rocko]
* Guidance constraints for LGB were too tight after tweaking, bomb would only initiate corrections to flight within a small window of time, often overshooting the target. [Nou]
* HUD was drawn when unconscious, fixes #70471 [rocko]
* If sys wounds is not enabled using ace_wounds_prevtime variable stops sys spectator when a unit is not alive anymore, fixes #70861 [Xeno]
* Issue with standing units in vehicles [rocko]
* MFD text off, fixes #71551 [rocko]
* MFD were accessible even in non-air vehicles [rocko]
* Map zoom limit not working in MP, fixes #65978 [rocko]
* Medic version backpacks were showing wrong overall capacity [rocko]
* No_rpunish working correctly now when using boolean values [rocko]
* S10 and M15 gasmasks did not protect from chemical agents, fixes #70867 [rocko]
* Static weapon jam could not be cleared, fixes #68805 [Xeno]
* Units could be trapped in locked vehicles [rocko]
* Warning Message: Sound not found, fixes #70268 [Xeno]
* [by Dystopian] Repairing damaged vehicles was not possible in very rare conditions, fixes #70578 [rocko]
* [by columdrum] Spectator sometimes was not recoverable after escaping, fixes #70464 [rocko]

h3. Added

* Laser spot tracking for aircraft when using LGB (this applies to all aircraft using the standard GBU-12, or bombs that extend from it). [Nou]
* Weapons put on SAFETY will remain when dismounting vehicles [rocko]




h2. 2012-12-21 19:08:05 +0100

Build 589
Updated to source:@21ce1f658d70f299663ef10ce0d1074914719492

h3. Changed

* IFAK content hardcoded to single items max [rocko]
* IFAK set (3rd party addons) will default to LRGBND,MOR,CAT [rocko]
* No IFAK set for civilians [rocko]

h3. Fixed

* CAT occasionally could not removed by others but player itself [rocko]
* M119 Dispersion [Nou]
* Mortars becoming teleported when firing at razorwire obstacles [rocko]
* Occasional occurance that cargo items would end up in a wrong vehicle if several vehicles are standing close together [rocko]
* Player uncon status was not always changed back to false when a player woke up again, fixes #67548 [Xeno]




h2. 2012-12-17 23:07:03 +0100

Build 588
Updated to source:@b0f967635c22d869c03f9066ecdb6eac9a171632

h3. Changed

* Added chance that civilian type vehicles will not have a spare canister loaded [rocko]

h3. Fixed

* ILS dialog did not show up again when the dialog was closed with the escape key, fixes #67971 [Xeno]
* Wheeled APC vehicledamage system was broken, fixes #67983 [Xeno]

h3. Added

* Spare canister for civilian type vehicles [rocko]




h2. 2012-12-16 12:03:51 +0100

Build 587
Updated to source:@ffd7eed6548929722debd5be18ce78c714c74fd0

h3. Fixed

* ED: Yet another sys vehicledamage script error, fixes #67891 [Xeno]




h2. 2012-12-15 15:15:09 +0100

Build 586
Updated to source:@13b9193cc113557f54394a58407f93c8ef86ea2a

h3. Fixed

* 105 m84 smoke script error, fixes #67663 [Xeno]
* 105mm DPICM not working, fixes #65979 [rocko]
* Sys vehicledamage was completely disabled because of a bug [Xeno]
* [by Dystopian] Picking up Item class tripods could lead to unexpected behaviours, fixes #67064 [rocko]




h2. 2012-12-07 19:57:13 +0100

Build 585
Updated to source:@d1ecead405ff8082b63e07d4b4325b92f65eccd3

h3. Fixed

* Accessing the backpack of another player made own backpack unusable, fixes #65953 [Xeno]
* Fuel and furniture don't mix, fixes #66435 [rocko]
* Magazine exchange was possible on destroyed vehicles, fixes #66816 [rocko]




h2. 2012-12-01 19:41:10 +0100

Build 584
Updated to source:@62320e28ce1e5ee5363ff2d9f6e2c52bee134ff9

h3. Changed

* Applying medicines will leave medical waste objects for immersion [rocko]
* Morphine effects: Morphine will reduce overall pain while active (removes the need to constanty adminster it for every little scratch - but will have sideeffects if too many) [rocko]
* Morphine effects: Overdosaging (10 injections at once or within it's activation time will kill) [rocko]
* Pain is no longer a criteria for dying [rocko]
* People becoming unconscious now and then can be brought back to normal via Stabilize or Epinephrine (removes the need to adminster Epinephrine for every little scratch) [rocko]
* Removed 'moaning sounds' for unconscious players (players that are close to death will have death rattle sounds) [rocko]
* Revive time counter now only shows when specifically enabled via "ace_wounds_prevtimeshow = true" for non immersive gameplay [rocko]
* Slight chance a bullet hit will not cause an extensive bleeding as in previous versions [rocko]

h3. Fixed

* Russian FFAR penetration stats [zGuba]
* Script error in slingload, fixes #64244 [Xeno]

h3. Added

* Missile guidance code now hands off to client machine of laser designator for Hellfires and LGB. [Nou]




h2. 2012-11-12 23:05:09 +0100

Build 583
Updated to source:@5086ec4cc0074fc4498af49d575c5548927ef83a

h3. Fixed

* Missiles did not reach their laser target (2D distance problem), fixes #64165 [Xeno]
* Wind deflection script errors, by Vipermaul, fixes #53954 [Xeno]




h2. 2012-11-09 23:28:52 +0100

Build 582
Updated to source:@1e25aa1e02f41d0cdc360bfb6721a9b25d093563




h2. 2012-11-09 20:35:58 +0100

Build 581
Updated to source:@ef9800c52b5fb7109cfa0ed09eca776ca0525e73

h3. Changed

* Added yet another temporary workaround for missions/addons which do NOT use the ruck API to put magzines into a backpack, will be removed again, warning is written to RPT, refs #63370 [Xeno]
* Applied czech translation updates by kllrt [Xeno]
* Dragon service charge count changed from 45 to 60 to reflect reality [Nou]
* Improved jam/stoppage simulation. No risk of losing ammo, changing of current optics mode etc. [zGuba]
* Medical gear gets now also used from non local unit backpack [Xeno]
* Morphine and Epi can be applied only with consent of receiver if receiver is conscious otherwise works as known [rocko]
* Z height of the EASA vehicle can be changed by using this setVariable ["HeightASL", 123] in the logic init field [Xeno]

h3. Fixed

* Some stringtable XML errors [Xeno]




h2. 2012-11-02 18:59:06 +0100

Build 580
Updated to source:@012b46a41f00189b845f45ae6dca6685db12355c

h3. Changed

* Backpack magazines added with directly changing the internal ACE_RuckMagContents variable instead of using the API function ACE_fnc_PackMagazine are now converted if they use the old style (magname, mag count) to the new format when the gear dialog opens. A warning is written into the RPT file. This is temporary and will be removed again in the future, refs #62158 [Xeno]
* Faction armies do have different IFAK contents [rocko]
* Right mouse button click in spectator minimap disables map following current target, left click inside mini map enables it again [Xeno]

h3. Fixed

* It's no longer possible to handcuff an opponent while the knockdown animation is playing (for player) [rocko]
* Knocked down opponents no longer 'wake up and magically uncuff themselves' after being cuffed, fixes #62175 [rocko]
* Load uncon person menu item was always shown in the interaction menu for vehicles even though no uncon person was around [Xeno]
* Quick mag check did not show new IFAK content, fixes #61917 [Xeno]
* Something ate the keyboard shortcuts during the menu changes, hopefully fixed now... [Xeno]
* Spectator minimap was not centered when size changed (bug in ctrlMapAnimAdd when the size of a map control changes) [Xeno]
* UI changes disabled SP tutorial missions, fixes #61760 [Xeno]
* Under specific circumstances it was possible that players got the examine and carry disabled interaction menu for non CAManBase objects like buildings, fixes #61637 [Xeno]

h3. Added

* More credible velocities of most guided missiles, especially anti-aircraft and air to air. [zGuba]
* VMM3 [rocko]




h2. 2012-10-27 16:52:16 +0200

Build 579
Updated to source:@0c36d4fa6883586847164396fe5e694ff21e0d7a




h2. 2012-10-27 13:52:38 +0200

Build 578
Updated to source:@cd4bfe6dc8805f8163ab3a98447f10c0c68202e9

h3. Fixed

* Expression error in fnc_airdestruction [Xeno]
* Expression error in fnc_burnmen [Xeno]
* VMH3 not working [rocko]




h2. 2012-10-26 17:11:16 +0200

Build 577
Updated to source:@839f04235a817aaab1a87484cb62c2601d1f0cbf

h3. Added

* VMH3 minedetector [rocko]




h2. 2012-10-26 16:36:32 +0200

Build 576
Updated to source:@9416fbaafc9425187e9e974753eba64442cffa7e

h3. Changed

* 40mm grenades have a slightly more powerful fragmentation effect now, based on reports from IRL users. [Nou]
* A selected magazine/item slot in the gear dialog is now highlighted and not all magazines/items. Previously (like in vanilla OA) there was no visual indicator for a selected magazine/item [Xeno]
* Debug console now available in editor preview (and only there, press ESC once in preview mode) [Xeno]
* It is now possible to override crew protection for individual units with ACE_fnc_setCrewProtection, example: [_someSoldier, ["g-effects", true]] call ace_fnc_setCrewProtection;  (check function; does not override default crewprotection), refs #61345 [Xeno]
* Main menu UI [Xeno]
* Mines (some) now depict visually wether they have been armed or not [rocko]
* One can now disable damage handling for the EASA vehicle (allowDamage false) by simply adding "this setVariable ["NoDamage", true]" in the EASA logic init line, refs #52902 [Xeno]
* Smoother HuntIR camera [Xeno]
* Spectator map size (map right bottom corner) can be toggled with K key now [Xeno]
* Tanks with AI commanders do not deploy smoke like madmen anymore when in combat, performance improvement [Xeno]
* Viewdistance can now be changed in sys spectator. Press V key to bring up the viewdistance change dialog [Xeno]
* Wounds now makes use of the new net event system. This makes it incompatible to any previous ACE version! [Xeno]

h3. Fixed

* Ammo count per magazine is now stored into backpack magazine array, fixes an exploit where a player could refill an almost empty magazine by simply putting it into his backpack and pulling it out again, refs #54347 [Xeno]
* Grenades could drop in front of the player when scripted grenade throwing is enabled, fixes #30962 [Xeno]
* Handcuff animation was not broadcasted, fixes #44982 [Xeno]
* Has ruck check was missing for searching for medic items in a ruck, fixes #54767 [Xeno]
* It was not possible to refuel tanks with jerry cans [Xeno]
* Medic was not able to heal units in agony when the BIS FA module was enabled, fixes #54522 [Xeno]
* Not all ACE Options dialog controls were visible in different menu sizes [Xeno]
* Potential race conditions in new wind system during initialization that an cause temporary RPT spam. [Nou]
* SACLOS guidance lagging extremely. [zGuba]
* SafeZone's backwards for MFDs. Fixes #53846. [jaynus]
* Selecting throw mode for grenades did not work anymore (when enabled) [Xeno]
* Set captive status to false when when a unit is not cuffed anymore, fixes #61204 [Xeno]
* Spectator direct camera switch with 1-5 keys did not work [Xeno]
* Spectator used wrong height when the spectating target was over water [Xeno]
* Unarmed shelltypes no longer create fragments upon deletion, fixes #42503 [rocko]
* Units were stuck in dead animation when exiting vehicles or waking up, finally fully fixed, fixes #39778 [Xeno]
* Unload weapon function could remove all magazines from the player inventory, fixes #60690 [Xeno]
* Using playActionNow "ReloadMagazine" while the player is reloading a magazine (actionKeys "ReloadMagazine") prevents reloading leaving the player with an empty magazine, fixes #59780 [Xeno]
* When cookoff was enabled burning vehicles were deleted, fixes #44298 [Xeno]
* Wounds self interaction menu now doesn't delete the men name anymore. No options is shown in wounds sub menus when the player can't do amything, fixes #54138 [Xeno]

h3. Added

* AI grass viewblock. Has to be enabled by selecting the ACE module. Experimental feature. [Xeno]
* Client to server and to receiver event system [Xeno]

h3. Removed

* No seperate MFDs for plane/chopper. Refs #16000 [jaynus]




h2. 2012-10-06 16:37:32 +0200

Build 575
Updated to source:@f3508a6f656ae6329f8c38b357be488260eef745

h3. Fixed

* Wind bullet drop was never actually working. [jaynus]




h2. 2012-10-05 15:57:53 +0200

Build 574
Updated to source:@cb4a4f7a92f8198a43c381b349bf5282e5f037ec

h3. Fixed

* ConcertinaWire could not dismantled by wirecutter/explosive charges [rocko]
* Wind is more constant now. [Nou]

h3. Added

* Automatic rain that can be sync'd to all clients (based off of overcast). Enable by setting ace_sys_wind_deflection_enableRain to true; [Nou]
* DM21 AT mine [rocko]
* MFD Control for CBU skeet burst altitude. refs #17596 [jaynus]




h2. 2012-09-25 09:04:58 +0200

Build 573
Updated to source:@d380397877f3ab9db333885d21f2ccd49920ce90




h2. 2012-09-22 14:14:19 +0200

Build 572
Updated to source:@4deafd61d55e53b08eec1517fc01a4f3da10681c

h3. Changed

* Lowered front attachment position for vehicles [rocko]
* Method of function for DM12 PARM [rocko]
* Reduced time for using epi or morphine on other player [rocko]
* Reworked sys_cargo, cargo is now stored at [0,0] instead of underground (thing objects were not disappearing) [rocko]
* Vehicles passing concertina wire now re-positioned relative to wire [rocko]

h3. Fixed

* CSW not able to mount on tripods [rocko]
* DM12B1 has now working timed detonation or electrical fuze [rocko]
* Helper not able to help carry with carry in pairs [rocko]
* Minemarker set no longer has light when placed [rocko]
* Rare bug, where civilian interaction menu would stay forever or even multiply if key was pressed in qick succession [rocko]
* VS-21 medic panel [rocko]

h3. Added

* GMW 40mm x 53 DM111 and DM42 [rocko]




h2. 2012-09-14 16:00:34 +0200

Build 571
Updated to source:@0d6dd1e6759cca81b0d5aeaef4d71ce442d87d4f

h3. Changed

* Increased damage and effectiveness of DM31AT mine [rocko]
* Increased minemarker geometry for easier interaction with the sign items [rocko]
* Minemarker now places in the same direction as player [rocko]
* Razorwire now stops any vehicle trying to pass it [rocko]

h3. Fixed

* DM12 demo charge missing [rocko]
* Minemarkers no longer block vehicle movement [rocko]
* Prevent carry in pairs becoming activated while an item is already initiated as carried in pairs [rocko]
* S10 gasmask missing [rocko]




h2. 2012-09-07 16:52:58 +0200

Build 570
Updated to source:@752bace4d55bd6cb7c46b8bdc7845b7424216864

h3. Added

* DM12 demo charge [rocko]
* S10 gasmask [rocko]




h2. 2012-08-31 16:50:15 +0200

Build 569
Updated to source:@c62f9b842abf46d8b5e3bb19779d9607372125d4




h2. 2012-08-24 16:41:07 +0200

Build 568
Updated to source:@fff8261b9ce7dd7477ec84de5ab22d0f41418828

h3. Changed

* ACE is now more female friendly, fixes #39877 [rocko]
* Configs for the ACR DLC (soldiers and small weapons), refs #39442 [Robalo]
* DM12 uses ironsight model instead of aiming overlay [rocko]
* Increased loadingtime for CSWs when linking belts together [rocko]
* Key shortcuts for shoulder tapping and knocking people down [rocko]
* Picking up tripods and (especially) mortar baseplates takes less time [VKing]
* Possibility to detonate IEDs via cellphone (formerly 'Clacker') [WIP] [rocko]
* Possibility to simulate EVAC scenarios by stopping the PMR timer when casulties are loaded into MEDEVAC vehicles [rocko]
* Vanilla "Heal X" and "Heal at" actions now available via interaction menu to prevent appearing in missions with the Æ Wounding system [rocko]

h3. Added

* A-10 gun pipper range circle [Nou]
* DM31 AT mine [rocko]
* Keybinding for pickling weapons in HUD. Should work with most keybindable HOTAS sticks. [Nou]
* M15 Gas Mask by Martijn [VKing]
* Maxillofacial shield kit [rocko]
* Possibility to 'stabilize' a casulty. Stabilizing will bring back casulty from going unconscious now and then and ONLY if casulty is not suffering from bloodloss causing the unconsciousness, fixes #8707 [rocko]




h2. 2012-08-03 18:47:48 +0200

Build 567
Updated to source:@ba1b01640285803c00e2250c1da22e143edaa925

h3. Changed

* Faster shifting speeds for light mortars, slower shifting speeds for heavy mortars, fixes #39735 [rocko]
* Tripwire stakes can now be  camouflaged (WIP) [rocko]

h3. Fixed

* Dragon infinite ammo bug fixed. :p [Nou]
* Manual guidance of several Russian missiles. Fixes #39397 [zGuba]
* Static M47 Dragon no longer can be unmounted by CSW menu, refs #39155 [rocko]

h3. Added

* A-10 Gun pipper for hud [Nou]
* Basic CCIP/CCRP consent for Harrier and A-10 using Mk82s. [Nou]
* Notifier that CAT is still applied even if casulty was fully healed [rocko]

h3. Removed

* T&E from mortars, fixes #39330 [rocko]




h2. 2012-07-28 12:15:36 +0200

Build 566
Updated to source:@445cefa5bd5d4224c1ae30ede4228e97b3df2c9f

h3. Changed

* Allowed ruck interaction for bodies, fixes #39002 [Robalo]
* Improved AI manually controlled missiles behavior thanks to 1.62 fixes. Refs #38434 [zGuba]
* Smaller visible explosions of HEAT rounds (solution by Nou) [zGuba]

h3. Fixed

* Player had an option to remove the CAT while there was none, fixes #37980 [rocko]
* Possible error occurring with vehicles with large crew counts when ammo cooking off. [Nou]
* Progressbar errors [rocko]
* Rearming (Æ) now takes needed TransportMagazines into account for external turret reloading, fixes #31487 [rocko]
* Self medication in Singleplayer, fixes #38241 [rocko]
* Tactical ladder no longer disappearing when changing FOV [rocko]
* Weapon changing during gear screen, fixes #38576 [rocko]

h3. Added

* Leuchtkoerper, Boden DM16 [rocko]




h2. 2012-07-20 20:50:05 +0200

Build 565
Updated to source:@8400a37c47467b504230f9724f598346edca48cc

h3. Changed

* Added Combat Application Tourniquet to medical items [rocko]
* Added FOCUS type to progressbar, so other actions (shooting, looking around) are no longer possible while doing stuff [rocko]
* Compress renamed to Bandage Kit, Elastic (Trauma bandage) [rocko]
* Disposable AT weapons are fire-ready instantly, refs #29836 [rocko]
* IFAK loadout are now [1ea Bandage, 1ea Trauma bandage, 1ea CAT], medic class players will get the morphine and epinephrine together with a set of CATs and twice the content of normal IFAK [rocko]
* Medic class players will get the CAT additionally to all the other stuff in their backpacks [rocko]
* Non medics get less informative Examine reports [rocko]
* You can no longer look around and/or shoot or do stuff while applying medic items to other players [rocko]

h3. Fixed

* Carry in pairs [rocko]
* Fixed M137 counter names and made azimuth counter count correctly (it increases clockwise, reset decreases clockwise, use reset for deflection now!) [Nou]
* Flashbangs should no longer blind through walls or buildings (req. b93398 at least) [rocko]
* Smokeshells fired from a tank/APC were created per client in MP, fixes #37191 [Xeno]

h3. Added

* Ammo cook off system based on ammo being carried inside magazines in the vehicle, both in the vehicles guns and in the vehicles cargo. [Nou]
* Logging to RPT of person who knocks you over (for abuse prevention/punishment). [Nou]
* M2A2 Aiming Circle for field artillery (model is still rough on some non-important textures, also missing fire LOD, but not really a big deal, fully functional otherwise). [Nou]
* SSVZ-S Scout Sniper Periscope Kit [rocko]
* Sniper tripod kit (tripod can be adjusted in height to support kneeling and standing firing positions), [model by styl1sh], fixes #32203 [rocko]




h2. 2012-07-02 14:33:29 +0200

Build 564
Updated to source:@9beb6a09fdabea0211de481dd5f8953f3331a7bf




h2. 2012-07-02 11:07:39 +0200

Build 563
Updated to source:@1e960a504123d08ecb7875a11dfe2684e7ea88e0

h3. Changed

* Option to remove mine marker flags [rocko]

h3. Fixed

* Javelin targeting [zGuba]




h2. 2012-06-26 11:59:53 +0200

Build 562
Updated to source:@06f6cd06ca87af6236118005cec2a029870da815

h3. Changed

* Usage of newest LoS commands in Javelin targeting system [zGuba]




h2. 2012-06-23 14:29:46 +0200

Build 561
Updated to source:@bf657e3d4e82292eb79b3cc56b9db7e019747a05

h3. Fixed

* Helper did not get an action for carrying stuff in pairs [rocko]
* Illumination shells now work again (for Mortars and M119) [rocko]
* Tampella parts could not be carried in pairs [rocko]




h2. 2012-06-23 12:53:35 +0200

Build 560
Updated to source:@fe49403747337244890b8ec8fbf5aea8c4bf2adb

h3. Changed

* Aprox. doubled lethal radius of 60mm shells [rocko]
* Increased range of 120mm mortar shells [rocko]
* Slightly increased indirect hit ranges for PG7 warheads, fixes #30869 [rocko]

h3. Fixed

* Converted 81mm M821 shells could not be prepared, fixes #32610 [rocko]
* Insane ROF for missile launchers on vehicles, fixes #33446 [rocko]
* Mortars now will load when ammo is put in to them and the gunner is not the loader. Also moved loop to a PFH for reliability. [Nou]
* Reset counter was off on M119. [Nou]




h2. 2012-06-13 00:28:04 +0200

Build 559
Updated to source:@19048ce8e177014a06bbc6202225a10582518bfb

h3. Fixed

* Better placement of collimator/stakes in low performance situations. [Nou]
* Graphical glitches with the M1A1 artillery collimator when it is moved should now be totally fixed... [Nou]
* Stake/Collimator interaction now much more reliable. [Nou]




h2. 2012-06-12 12:10:28 +0200

Build 558
Updated to source:@67451bcfd0b837fb74d15b0f18c5c90455066a06

h3. Changed

* 120mm mortar sound [rocko]
* Carrying in pairs working more reliable [rocko]

h3. Fixed

* Loading mortars broken, fixes #32610, fixes #32627 [rocko]
* Shadow lod issue with DM31 mine [rocko]




h2. 2012-06-09 19:24:35 +0200

Build 557
Updated to source:@b819f97d005402450863f198e5bb904ddca8d30b

h3. Changed

* Added another indicator to playerhud when walk or run is toggled [rocko]
* Better action names for interacting with aiming points [rocko]
* Certain objects not hidden when loaded in cargo are now setPos'd to [0,0] [rocko]
* DM12 PARM1 using Panzerfaust 3 [rocko]
* Defusing mines now shows action name in progressbar [rocko]
* Laser seeker code in missile guidance uses new LOS commands if available. [Nou]
* Possibility to carry CSWs, ammoboxes and a few items with two players [rocko]
* Replaced detection of nearest gun with register action to align an aiming point to a specific gun [rocko]
* Sightunit on mortars keeps better sightpicture, fixes #32155 [rocko]

h3. Fixed

* Changed M240 CSW positions [rocko]
* Collimator adjustments were not being reflected in the pattern proxy, making fine adjustments to placement impossible. Now working very well (graphical glitches might still be there in MP though). [Nou]
* Editor placed mines could not be excavated [rocko]
* Jerrycan locality issues, fixes #32354 [Xeno]
* PPM type mines were not functional when placed in editor [rocko]
* Progressbar immediately vanishing for some users, fixes #30990 [Xeno]




h2. 2012-05-28 17:37:55 +0200

Build 556
Updated to source:@53fb05afc994737d13725c6ed17508990548a476

h3. Changed

* Added increments to 120mm shells [rocko]

h3. Fixed

* Aimingstake placement did not work properly [rocko]




h2. 2012-05-28 17:18:13 +0200

Build 555
Updated to source:@a2427b50c423966d38d817db64d58d5fb9d253d8




h2. 2012-05-28 15:51:16 +0200

Build 554
Updated to source:@a2a1e1543222a97873e5321bfea11c38a684a944




h2. 2012-05-28 15:25:09 +0200

Build 553
Updated to source:@84da1874de0713b6f6bc41462fa8a8a5e0011061




h2. 2012-05-28 15:04:43 +0200

Build 552
Updated to source:@db9c2f561e615702d152a4bc017399c91c6f0c62




h2. 2012-05-28 14:20:58 +0200

Build 551
Updated to source:@1d274739766da26bc6c4b7792b917c3ec3e8e4a8

h3. Changed

* Customizable amount of jerrycans for vehicles via config (ace_sys_repair_jerrycan_count = x) [rocko]
* Repairing wheels now check for the correct tire type [rocko]

h3. Fixed

* DM61 magazine with 1 charge was not useable [rocko]




h2. 2012-05-27 12:19:40 +0200

Build 550
Updated to source:@cb0bb261e4b5268a28203487c9f2a75633c1e7ed

h3. Fixed

* Multi carrying mortar components [rocko]
* Using correct range tables for mortars now [rocko]




h2. 2012-05-27 11:58:24 +0200

Build 549
Updated to source:@ec416699ac3eae194330a2f2d1a7f574a824bca2

h3. Fixed

* DM11 could not be prepped [rocko]
* Exaggerated recoil for mortars [rocko]
* Sightunit adjustable, was aligned to barrel before [rocko]




h2. 2012-05-23 20:39:46 +0200

Build 548
Updated to source:@ce64a6cabd5b77f4f23d5cbfcef2f87a441c07c4

h3. Changed

* Added possibility to pack already prepped grenades into their corresponding box [rocko]
* Certain CSWs can only be disassembled into 'parts' which then needs to be carried by at least two players (i.e new 120mm mortar) [rocko]
* Possibility to convert BIS mortar shells into Æ mortar shells [rocko]
* When an ACE mortar is near an Æ arty ammobox, then the remaining BIS magazines in it will be converted to ACE ones [rocko]

h3. Fixed

* Carried mortar shell was obstructing view on mortar [rocko]
* Correct rangetables used when in inventory [rocko]

h3. Added

* 120mm Tampella mortar (model by Falcone) [rocko]
* NSB fuze option [rocko]




h2. 2012-05-12 19:38:00 +0200

Build 547
Updated to source:@f59f1c4c327bdb522d027c7cc275d70870a3d9d8

h3. Fixed

* CSW tripods not deployable [rocko]

h3. Added

* Module to disable knockdown feature, fixes #31287 [Xeno]




h2. 2012-05-11 22:21:08 +0200

Build 546
Updated to source:@e03791c0e287648caa1a77e491aaf54703de1a4b

h3. Fixed

* Cargo not loaded correctly into vehicles [rocko]




h2. 2012-05-11 19:54:31 +0200

Build 545
Updated to source:@ba0889215709bed798772cf4a4dfd009c3aae73c

h3. Changed

* Added clean barrel for ACE mortars (WIP) [rocko]
* Disabled T&E for vanilla mortars with BI Artillery Computer [rocko]
* Increased 60mm ammunition in ammoboxes for vanilla mortars [rocko]
* Rangetables for mortars no longer valid for use with vanilla mortars [rocko]
* Reduced reloadtime for mortars to almost instantly [rocko]
* Removed 'Pitching' for mortars [rocko]
* Removed 'Rotating' Actions once mortar has been fired [rocko]
* Removed Fire On Reload (FOR) for BIS mortars [rocko]
* Removed artillery computer for CSW deployed weapons (still vanilla behaviour for editor placed mortars) [rocko]

h3. Fixed

* AI could fire tank main guns more frequently than possible [zGuba]
* Stamina script errors. fixes #30892 [Sickboy]

h3. Added

* Simple knock down feature. You can knock down any AI or player unit for a short amount of time, available via Interaction menu [Xeno]




h2. 2012-04-27 15:06:36 +0200

Build 544
Updated to source:@9ffe35f37d14ae270b535645de6855316260bf4e

h3. Changed

* Less drastic autorotation help [zGuba]

h3. Fixed

* Parachutes exploding sometimes... [zGuba]

h3. Added

* Sys_frag, explosion fragmentation system. Can be disabled via module. [Nou]




h2. 2012-04-20 12:04:49 +0200

Build 543
Updated to source:@699cdf2a643441922f6c4ea547246c856184e1a7

h3. Added

* PMN-1 mine [rocko]
* PMN-2 mine [rocko]
* PMN-3 mine [rocko]
* PPM-2 mine [rocko]




h2. 2012-04-16 09:37:07 +0200

Build 542
Updated to source:@385d52876e1cb1e21669735c9575c538be19cb80

h3. Changed

* Replaced all locked commands with A2/OA/TOH compatible CBA_fnc_locked function, fixes #30319 [Xeno]




h2. 2012-04-13 17:46:03 +0200

Build 541
Updated to source:@14bd1e57c2211c28f3ce593afe29984e657eef2b




h2. 2012-04-12 21:14:59 +0200

Build 540
Updated to source:@f4acd23fb6dd97a17114f01dff6e8fde59cdd74b

h3. Changed

* New APOBS model: Front and rear backpack ass. distinguishable, ALICE frame added [rocko]
* Proper shadows for VS-21 and VS-17 groundmarkers & faster animations [rocko]

h3. Fixed

* Show jamming messages only when the player is in the static weapon [Xeno]




h2. 2012-04-10 11:59:54 +0200

Build 539
Updated to source:@5936005174f9701bdd43d2e045f239309203972d

h3. Changed

* M18 peep sight looks differently [rocko]
* Mines have to be burried manually (Editor placed mines that can be burried will be placed as burried variant) [rocko]

h3. Fixed

* Handsignals actions stayed sometimes in the action menu and were doubled each time a player pressed the handsignals key [Xeno]
* Recognize did only work for constant type plus changing the recognize type during a mission did not work anymore after the pfh update [Xeno]

h3. Added

* Mine markers [rocko]
* Mk7 Mod 2 APOBS [rocko]
* Possibility to excavate mines [rocko]
* Search mirror [rocko]




h2. 2012-04-02 15:49:37 +0200

Build 537
Updated to source:@7c3c83e9a62a44ae4652e58f5e9385d3a0875213

h3. Fixed

* Added additional function which checks if a vehicle can load cargo, resolves a problem with jerry cans, fixes #30011 [Xeno]




h2. 2012-03-27 18:45:14 +0200

Build 536
Updated to source:@138aa247dd57fbc6c917f155d2adfa71fdc1a0ba




h2. 2012-03-27 18:01:26 +0200

Build 535
Updated to source:@cded47d06ce0fa817710bc0a1494d8a9dce22138

h3. Changed

* Improved VS-17 marker panel [rocko]

h3. Fixed

* Error message popping up when the player was unloading an object from the front of a vehicle, refs #29732 [Xeno]

h3. Added

* Optional variable ace_sys_wounds_deadbody_vname. If you setVariable a string name with this variable to a unit then this variable will be transfered to a body bag in case the unit is dead and put into a body bag. [Xeno]
* VS-21 marker panels [rocko]




h2. 2012-03-27 14:18:31 +0200

Build 534
Updated to source:@87819c8c183d01e9e6d8a8adc2cbf33165b55c51

h3. Fixed

* Script error caused by sys stamina when a unit had no weapon and tumbled over, fixes #29764 [Xeno]
* Stamina was not calculating gear weight changes correctly, fixes #29754 [Xeno]




h2. 2012-03-26 17:38:10 +0200

Build 533
Updated to source:@c253aa9fd9a537e044e1ab679d19684e5b991693




h2. 2012-03-26 17:01:20 +0200

Build 532
Updated to source:@781144154b79413a45961900d1ba815daff5e802




h2. 2012-03-26 11:59:31 +0200

Build 531
Updated to source:@d960b1567c2413d15dae6621f6153f4f294e0fb6

h3. Changed

* External Konkurs/Konkurs M launcher on BMP-2/BTR-90 have to be reloaded from outside or turned out, refs #6872 [rocko]
* Improved survivability from falls. closes #28828 [Sickboy]
* Loading/Unloading items to/from vehicles can only be done from the vehicle's back [rocko]
* MinWindChangeTime default from 7 seconds to 10. closes #28347 [Sickboy]

h3. Fixed

* Abrams tanks firing main gun at aircrafts. Fixes #28801 [zGuba]
* Missing CAWeapons_E requirement in c_vehicle. [Sickboy]

h3. Added

* Local "ace_sys_vehicledamage_state_change" event, params: [_unit, _variable, _value]. refs #28814 [Sickboy]




h2. 2012-02-21 17:02:42 +0100

Build 530
Updated to source:@aa1c9e98e1f6a10484ebb3600551630feeba7366

h3. Changed

* Improved survivability from falls. closes #28828 [Sickboy]
* MinWindChangeTime default from 7 seconds to 10. closes #28347 [Sickboy]




h2. 2012-02-20 18:10:25 +0100

Build 529
Updated to source:@44f45b06c0391fc45990f01bbc2957e0b1dd6d4a




h2. 2012-02-20 14:28:32 +0100

Build 528
Updated to source:@c02b67c20deaa56bcb041bd83b2fe27969d2e6a5

h3. Added

* Local "ace_sys_vehicledamage_state_change" event, params: [_unit, _variable, _value]. refs #28814 [Sickboy]




h2. 2012-02-14 13:36:42 +0100

Build 527
Updated to source:@76eeba2b0fce3e308f611581a64e64eced91e7a9

h3. Fixed

* Undefined variable opportunity in ace wounds canHeal. fixes #28670 [Sickboy]




﻿
h2. 2012-02-13 20:34:51 +0100

Build 525
Updated to source:@8fd578e376df932f52529861275f8221ad6ae4ae

h3. Fixed

* Infinite loop spawning JerryCans. fixes #28660 [Sickboy]




h2. 2012-02-13 15:00:06 +0100

Build 524
Updated to source:@9adb577f28d123dab516bebdc8e6e28204719441




h2. 2012-02-13 13:31:34 +0100

Build 524
Updated to source:@4a750298e6fe3db38864eb270c9366908254167d

h3. Fixed

* Missing command cursor. fixes #28556 [Sickboy]

h3. Added

* Mi-24V with UPK-23 (model by EricM) [zGuba]




h2. 2012-02-08 13:19:33 +0100

Build 523
Updated to source:@7bd9231ff23a87cf80c46b28a67f419e767dcb8f

h3. Changed

* AI reloads Static weapons now if they have a corresponding CSWDM in their equipment [rocko]
* Default Versioning Level to 2 (Only Major.Minor) [Sickboy]
* Handsignals can be executed via Actionmenu or Mousegesture [rocko]
* Improved Laser Tracking reliability for local LaserMarkers. refs #27028 [Sickboy]
* Improved Laser Tracking reliability for remote LaserMarkers. refs #27028 [Sickboy]
* Improved angled/critical hit calculation in ace_sys_wounds [zGuba]
* Improved: Laser accuracy. refs #27028 [Sickboy]
* Localized ACE Options menu [rocko]
* Made minimum wind change time configurable in global variable: ace_sys_wind_deflection_min_wind_change_time. refs #28347 [Sickboy]
* Reduced Chute open time by 50%. fixes #27078 [Sickboy]
* Reduced chance of HALO blackout by 25%. refs #27078 [Sickboy]
* Removed thermal from L86A2 CWS, fixes #27185 [Robalo]
* Reverted NVG Moved to Item slots. refs #27252 [Sickboy]
* Ruck is moved to the "on back" slot when unit has another secondary on top of it, fixes #27103 [Robalo]

h3. Fixed

* Animation config, prone AI was getting stuck after healing, fixes #27397 [Robalo]
* Apache cannon rounds time of flight. Fixes #25252 [q1184]
* Ataka guidance for Mi-24 with FAB-250 bombs. Fixes #28067 [zGuba]
* Bradley crew can move to rear compartment. Fixes #27098 [VKing]
* Disappearing backpacks in Tanks and some APCs [rocko]
* Hellfire LOBL TOF was not displaying, it now displays correctly and also shows TOF for selected distance. [Nou]
* New visiblePosition command does return height 0 for objects in buildings, added workaround (may cause stuttering), fixes #27428 [Xeno]
* No entry 'bin\config.bin/CfgMagazines.', fixes #27330 [Robalo]
* Prone AI with weapon animation config, fixes #20253, #27397 [Robalo]
* RuckExchange for Dedicated Servers [Sickboy]
* Script error in sys_air_fcs, fixes #27331 [Xeno]
* Secondary explosions of vehicles that weren't burning [zGuba]
* Sight adjustment entry in vehicle interaction menu available where it shouldn't be. [q1184]
* SightsAdjustmentGL throws error. fixes #26964 [Sickboy]
* Teamswitch dialog was closed when a player died in a vehicle, fixes #27337 [Xeno]
* Vehicle mounted infantry machineguns did not engage close targets [zGuba]

h3. Added

* Ace_sys_wounds_hdeh localEvent, triggered during processing Wounds HandleDamage eventhandlers. Parameters: [_originalEventParams, _returnValue]. closes #27684 [Sickboy]
* Handsignal helper in Polish [zGuba]
* Illuminated PGO7 reticle [rocko]
* Javelin cannot be fired without valid lock. [zGuba]
* M49 tripflare ignition sound [rocko]
* Mi-24 12.7mm 1SL Duplex ammo [zGuba]
* Module to enable Limit Map Zoom feature by Nou [zGuba]
* Relation between vehicle and destruction effect sizes [zGuba]
* Tank loader's presence influencing reload time of M1 MBT main gun [zGuba]




h2. 2011-12-09 15:07:31 +0100

Build 522
Updated to source:@85acf90ee4583b88839b9e9c42a6ca1915ffcf70




h2. 2011-12-09 14:23:06 +0100

Build 521
Updated to source:@98c26a374bf9784eb618afc1e757f8cf9ce25483

h3. Changed

* Disabled dud simulation for M203 and GP25/30 and VOG25-P jump simulation due to inconsistencies [rocko]
* NVG moved to item slots, fixes #14479 [Robalo]
* Sys spectator now using visiblePosition to compensate interpolation changes (needs at least 1.60 RC) [Xeno]

h3. Fixed

* Changed keys dont work for SightAdjustmentGl. fixes #26829 [Sickboy]
* Javelin is now aiming at "zamerny" selection position for better engagement results. Fixes #26590 [zGuba]
* Offset of gunship weapon direction indicators when aiming sideways [zGuba]

h3. Added

* Ability to disable Statistics on Diary in the userconfig (clientside only) [zGuba]
* Lots of new backpacks (Textures by stagler) [rocko]
* More interaction possibilities with civilians, based on Nielsens CIM [rocko]



h3. Added

* Ability to disable Statistics on Diary in the userconfig (clientside only) [zGuba]


h2. 2011-11-25 17:54:14 +0100

Build 520
Updated to source:@61a25c024fe53fe068ad6673fca4d98aa44829cb

h3. Changed

* AGM-114K Hellfire guidance rewrite. Minimum range ~1500m!!! LOAL/LOBL modes works. Fixed laser codes in helicopter designators as well. [Nou]
* Helicopter HUD moved to EH model. Helicopters with Hellfire K fire control now show if missile is locked in LOBL mode while on rail. [Nou]
* Hellfire laser seeker now takes into account TRUE line of sight, including trees, buildings, vehicles, etc. [Nou]
* LGB guidance now uses hellfire seeker code, takes into account REAL line of sight restrictions. [Nou]
* Reset counter now works according to real life. [Nou]
* Rucks accessible to team (same side) by default, fixes #25976, #25953 [Robalo]
* Turret indicators moved to EH model. [Nou]

h3. Fixed

* AI not engaging fast moving targets with .50cal vehicle weapons, fixes #25997 [Robalo]
* AI vehicles do not engage others (soldiers, vehicles) behind them, fixes #26534 [Robalo]
* Ace_fnc_getPosASL was returning a reference to the position stored in the object variable, now returns copy (internal). [Nou]
* Arty illum init eh. fixes #26409 [Sickboy]
* BCS Background was not lining up correctly on some resolutions and aspect ratios. [Nou]
* Background of MFD had wrong ratio on some screens. [Nou]
* Barometric altimeter did not take in to account the height offset of the map. System also ran inside constant loop, switched to EH system. [Nou]
* Cannot remove unconscious units from vehicles. fixes #26582 [Sickboy]




h2. 2011-11-18 17:07:44 +0100

Build 519
Updated to source:@82fcfe92459c8b902bd5de577c585832b34cee45

h3. Changed

* Improved "being gassed" effects [rocko]
* Increased DM12 PARM1 effectiveness [rocko]
* Reading of wind direction possible while Kestrel is open [rocko]
* Wind Guesstimating now possible when using static SOFLAM or spottingscope [rocko]

h3. Fixed

* AI hearing too well (improved stealth options), fixes #26111 [Robalo]
* AI rate of fire with AGS30, Mk19, fixes #26200 [Robalo]
* AI stuck in prone position, fixes #26255 [Robalo]
* BOTTOM attackmode for SLAM [rocko]
* Russian translation for Incendiary (by Mikhail), fixes #26235 [Robalo]

h3. Added

* Javelin ability to lock on MG nests, people, slowly moving helicopters etc. [zGuba]




h2. 2011-11-04 16:28:54 +0100

Build 518
Updated to source:@d3ec5c4cf361c56ef258e642134a45ce59c02cee

h3. Changed

* Adjusted Wounds fall-behavior on bullet impact. refs #26025,#26012,#25987 [Sickboy]
* HeadShots more lethal. refs #25987 [Sickboy]
* Lowered damage/bloodloss from legs/arms. by sonsalt. [Sickboy]
* ParticleFX enabled for StaticMGWeapons. fixes #25993 [Sickboy]
* ParticleFX enabled for all StaticWeapons. fixes #25993 [Sickboy]
* Reduced fall chance from being hit. [Sickboy]
* Some units possibly had "magic" NVG abilities (nightvision=1 in config), fixed; refs #25882 [Robalo]

h3. Fixed

* Medical treatment (healing) abort. fixes #26025 [Sickboy]
* Mk262 typicalSpeed/hit. fixes #25843 [Sickboy]

h3. Added

* Crossed lines indicating locked on target for Javelin [zGuba]
* Disabled QC menu when using secondary weapon to forbid exploit #24404 [zGuba]
* Javelin can be locked on only in Narrow mode, lock on takes less amount of time, changing mode doesn't reset locking on process anymore [zGuba]
* Javelin requires NFOV & TI mode to be on for locking on target [zGuba]
* Javelin targeting gate [zGuba]




h2. 2011-10-28 15:16:20 +0200

Build 517
Updated to source:@e2856f548b1a0af87650eb78966dfe9aa1e78d1e




h2. 2011-10-28 14:58:31 +0200

Build 516
Updated to source:@a46374669ca5789b91bd2ad803af5060c0dd5bd8

h3. Changed

* Added some variation to ease of autorotation for various helicopters. Feedback welcome [zGuba]
* Ai Medic checks distance to unit toHelp instead of earlier captured toHelp position. refs #25895 [Sickboy]
* Use CBA_MISSION_START event for delayed add of MedicalGear. refs #25801 [Sickboy]

h3. Fixed

* Additional HUD info broken after first run [zGuba]
* Ai Medic did not move to wounded (doMove insufficient). fixes #25895 [Sickboy]
* Disconnecting player during ACE Repair/Refuel/Rearm, breaks Repair/Refuel/Rearm on the vehicle until mission restart. fixes #25570 [Sickboy]
* G effects didn't always end when a player left the vehicle, fixes #25826 [Xeno]
* Grenades were sometimes colliding with player in direct throw mode [q1184]
* Incorrect G36 family muzzle velocity due to incorrect CfgAmmo classnames. fixes #25893 [Sickboy]
* Morph/Epi/Bnd not removed from Gear if Gear menu open before and while action completes. fixes #25849 [Sickboy]
* Multiplication of MedicalGear upon disconnect/reconnect same unit. fixes #25302 [Sickboy]
* NullObject could cause Wounds nearMedicalFacility function to throw errors in RPT. [Sickboy]
* Quick-select rifle or GL while holding launcher, fixes #25824 [Robalo]




h2. 2011-10-21 18:11:01 +0200

Build 515
Updated to source:@4b5b987a49d2134d5c9509655f59a7b3cbc632cc




h2. 2011-10-21 16:44:37 +0200

Build 514
Updated to source:@2f95de0e2b409734e1c90b97113c8fa4e9db27e6




h2. 2011-10-21 16:12:40 +0200

Build 513
Updated to source:@0eca2dc24bb5432fda1fda477f3c6bd8fe03b431




h2. 2011-10-21 16:04:14 +0200

Build 512
Updated to source:@d06234fa2087ad6a696184e42ec8590f6cb9e57e

h3. Added

* Option to set maximum viewdistance for missionmakers that is adjustable via ACE Options menu [rocko]




h2. 2011-10-21 15:13:27 +0200

Build 511
Updated to source:@e51bb3ff780b3021a4df9eb1f93c820c54c009c6




h2. 2011-10-21 12:33:03 +0200

Build 510
Updated to source:@602d07ad7bc66dfa14ca718da25baaeb8b0d0a1c

h3. Changed

* Added three missing fences for wirecutter, refs #25532 [Xeno]
* Addons can configure default ACE ruck content, see ticket for details, refs #25669 [Robalo]
* Applied compensation for Wounds system when "Enhanced Armor" difficulty option is enabled. closes #25522 [Sickboy]
* Converted packs are moved to the "on back" slot to prevent ending up with 2 secondary weapons (eg. AT added by script), fixes #25734 [Robalo]
* Disabled Wounds Prone halve damage workaround as per v1.60 this has been fixed in Engine. [Sickboy]
* Improved HUD/HIDSS enhancements for gunships, added KS-53 colimator placeholder for Mi-24D/V WSO, fixed blinking [zGuba]
* Useractions on IR strobes for picking up moved to Interaction menu [rocko]
* Useractions on VS 17 panel for picking up/switching moved to Interaction menu [rocko]
* Useractions on chemlights moved to Interaction menu [rocko]
* Useractions on used parachutes for repacking moved to Interaction menu [rocko]

h3. Fixed

* 3D reticles buggy after resuming saved game, fixes #25450 [Robalo]
* Bandaging could result in forever busy. refs #24935 [Sickboy]
* Dogtags not working shortly after death of unit. [Sickboy]
* Explosives IED error. fixes #25111 [Sickboy]
* Player could use Javelin tube alone as CLU optics [zGuba]
* Player no longer forced to stand after switching to weapon on back with SHIFT+1, fixes #25285 [Robalo]
* Reduced visibility of muzzle smoke of rifles in NV view [zGuba]
* Rolling M86 PDMs [rocko]
* Warrior's ballistic computer. Fixes #16715 [zGuba]

h3. Added

* DM31 AP rounds for G36s [rocko]
* Quicksand values for OA terrain surfaces (by conKORD) [zGuba]
* Reduce AISkill by 50% when in wounds state >= 800, reapply original skill when going out of that state. closes #25653 [Sickboy]




h2. 2011-09-30 18:01:44 +0200

Build 509
Updated to source:@b54bbc6a935a17b9ea688497cb78b7df351e632e

h3. Added

* AI using ammo types depending on targets. Based upon technology of CMcD Cannon/Main Gun Tweaks [zGuba]




h2. 2011-09-30 15:41:36 +0200

Build 508
Updated to source:@1e8898d0100860b6beae82720a8f546da5adc354

h3. Changed

* Improved: sys_recognize configurability with ACE settings ingame [zGuba]
* Less intrusive optics disabling when trying to look through unassembled Javelin's optics [zGuba]
* OA rucks auto-converted into ACE rucks, can be disabled with ace_sys_ruck_no_ruck_conversion = 1; refs #24626 [Robalo]

h3. Fixed

* CrewServed DeployTripod Interaction Menu error. [Sickboy]
* Gear selected from briefing was not saved, fixes #24051 [Robalo]
* Overheating wasn't reset after respawn. fixes #20177 [Sickboy]
* SelectLeader does only work where the group is local, fixes #24069 [Xeno]




h2. 2011-09-16 16:56:22 +0200

Build 507
Updated to source:@2944109f7bc5a8bfec932fa5c9c8d154ef7f285c

h3. Changed

* Bandaging while prone possible, fixes #24456 [rocko]
* Dead players can no longer be dragged or carried, due to engine limitation, refs #24470 [rocko]

h3. Fixed

* Ejecting unconscious units out of static weapons when wounds is enabled was broken, fixes #24454 [Xeno]
* Loosing gear in parachute. fixes #24388 [Sickboy]
* MineDetector action gone. fixes #24444 [Sickboy]
* No longer switching to rifle when going up from prone with AT weapon, fixes #24457 [Robalo]
* Satchel charge timed detonation [Robalo]
* Wrong path to font fams. fixes #24372 [Sickboy]

h3. Added

* Ability to unlock aircraft after ejection using ACE repair trucks - takes 120 seconds [zGuba]
* Additional info to sys_recognize (Rank, Unit/Vehicle type, player's group leader) [zGuba]
* Clacker object, that allows to take over mines with clackers from dead players [rocko]




h2. 2011-09-09 18:54:17 +0200

Build 506
Updated to source:@819eae05eb94b2796c937c6a036dda7557a39522

h3. Changed

* Skydive and parachuting information hint replaced with Altimeter (accessible via hotkey for guesstimating wind direction/speed) [rocko]

h3. Fixed

* Again reversed pitch for sightable mines, refs #23614 [rocko]
* Battle Center menu broken. fixes #24259 [Sickboy]
* Knicklicht UA. fixes #24075 [Sickboy]
* M15 & TM46 no longer explode with bicycles [rocko]
* M18 mines less invincible [rocko]
* Magazines can no longer be repacked while unconscious. Repacking initiated before losing consciousness is also aborted. [q1184]
* Magicbox. fixes #24103 [Sickboy]
* RangeFinding could use LaserTarget from other machine. fixes #24116 [Sickboy]

h3. Added

* DM12 PARM [rocko]




h2. 2011-09-02 18:57:42 +0200

Build 505
Updated to source:@f011a6c6edd2f9febb677a905875d5ff60c9b96e




h2. 2011-09-02 18:06:44 +0200

Build 504
Updated to source:@0056a3653dc00dd33e1b49432de5c9b18e4a9d50




h2. 2011-09-02 14:26:05 +0200

Build 503
Updated to source:@458485ee9c636c6febfb3b691618a5f84d04b057

h3. Fixed

* Invalid TBG-7V sys_modelspecial entries [zGuba]

h3. Added

* Particle muzzle flash for following vehicle weapons: KPVT, M242, 2A42, 2A72 [zGuba]




h2. 2011-08-26 13:33:23 +0200

Build 502
Updated to source:@5561dedc4c52775399a76115adf4609e04468c85

h3. Changed

* Disabled Longbow mapclick placeholder (by abusing the laser). Use radar targets or real mapclick interface. fixes #23697 [Sickboy]
* More realistic default loadout of AH-64D. Refs  #23696 [zGuba]

h3. Fixed

* ACE breaks ALICE, fixes #23619 [rocko]
* Binocular switching, fixes #23688 [Robalo]
* Cannot mount a gun on a CSW Tripod/Baseplate. fixes #23660 [Sickboy]
* Cannot place CrewServed Tripod. fixes #23660 [Sickboy]
* CargoIsCoDriver property on Car class causes heavy FPS problem, e.g experienced with Civilian/Animal modules. fixes #23620 [Sickboy]
* LGB canLock fix for #23432 [Nou]
* Proper fix for #23592 [Nou]
* Recognize not working in constant mode [Robalo]
* Reversed pitch for sightable mines, fixes #23614 [rocko]
* SLAM mines not working in Bottom Attack mode, fixes #23615 [rocko]
* Spectator didn't work anymore, fixes #23592 [Xeno]

h3. Added

* Animations for bounding mines [rocko]




h2. 2011-08-19 18:26:06 +0200

Build 501
Updated to source:@c391d406a194bd67bf688d265de33f82e3e1c59e




h2. 2011-08-19 17:46:04 +0200

Build 500
Updated to source:@823a5dc75ceb9f6c7b88b3747fce08ec8036c0ab




h2. 2011-08-19 16:59:32 +0200

Build 499
Updated to source:@75c8fd05be574aea65b2cfce4f4e2ec2db121e72




h2. 2011-08-19 15:25:00 +0200

Build 498
Updated to source:@549cf512fd4e27ad9a536e304917697bc28d75b6

h3. Changed

* 3D craters for more vehicle types than just Tanks and Aircraft, fixes #23203 [rocko]
* Animated M240 static weapons [rocko]
* Damage textures for all mines in ACE to reflect mine condition [rocko]
* Default BIS AT mines can be submerged by players [rocko]
* Examine action only shown when ACE Woundingsystem is enabled [rocko]
* Extended AI engagement ranges (still based on weapon type and optics) [Robalo]
* Improved M86 PDM model [rocko]
* Increased passive AI soldier spotting (differs with training) [Robalo]
* Jet pilots are not able to carry primary weapons with them in the cockpit. Helicopter pilots still can carry a primary weapon (does NOT include rocket launchers, backpacks and machineguns - these are stored in a bag outside the aircraft), refs #19025 [rocko]
* M240 Statics can be reloaded by the gunner, fixes #20316 [rocko]
* MP and Respawn compatible catastrophic T7 destruction effects [rocko]
* Mine and MineE (BIS) are now converted into Æ compatible mines. [rocko]
* New Russian bullets (7N10, 7N22, 7N23, thanks to *test* for the configs), fixes #22810 [Robalo]
* Roundcount can be disabled for certain units, check WAGN documentation for details, fixes #22264 [rocko]
* Static machineguns on high tripods can be interacted with to a certain degree (loading/unloading/rotating), fixes #23350 [rocko]
* WOB shortcut: press Shift + 1 again (or user-defined equivalent) to select rifle from back [Robalo]
* When ACE Wounding is enabled, AI throws smoke towards the closest known enemy before bandaging  (probability can be changed with public variable ace_sys_wounds_smoke_probab, default is 0.4, set to 0 to disable) [Robalo]

h3. Fixed

* 3D rets overlay showing when zooming on iron sight, fixes #22874 [Robalo]
* AI leaves empty CSW weapons, fixes #20303 [rocko]
* AI now reloads CSW magazines on its own, fixes #20049 [rocko]
* Dshkm zeroing when using sight adjustment, fixes #23234 [q1184]
* M1A2 TUSK loader bug, fixes #21941 [rocko]
* MFD not available for AH-6J DAGR/FLIR, fixes #23188 [rocko]
* Script error when initiating tank FCS in certain situations, fixes #23111 [q1184]
* Units again catch on fire if they are in a vehicle that catches on fire. [Nou]
* _state error caused by Wounds AIAttend fsm (thanks to Killswitch). [Sickboy]

h3. Added

* Disarming for all mines in ACE (Player & Editor placed), fixes #19081 [rocko]
* Fully animated M2/M4 Slam mines to distinguish between detonation modes [rocko]
* Minedetectors [rocko]
* New thermobaric (FAE) warhead FX [zGuba]
* Option to get out left or right from Car type vehicles, fixes #18499 [rocko]
* Possibility to dynamically reload vehicles (based on conKords balca_reloader), fixes #10039 [rocko]
* Possibility to exclude certain cargo types from being slingloaded, fixes #19201 [rocko]
* Rangeadjustment for M240 statics, fixes #19724 [rocko]




h2. 2011-08-05 16:29:18 +0200

Build 497
Updated to source:@8eec275f159f21de5305d1d415440050dc4120e3

h3. Changed

* Allow linking of DAGR to the SOFLAM. Refs #22358 [jaynus]
* Expanded MFD out to a default for all aircraft. MFD will only open if the class has a GBU or Hellfire mag in config. Refs #16000 [jaynus]
* NV optics on rangefinders will not reset unless necessary [tcp]
* New SUSAT reticle, with sys_reticles support (thanks da12thMonkey!) [Robalo]
* Obsolete handsignals tab in interaction menu removed (is available via TAB or other hotkey anyways) [rocko]
* Obsolete tapping shoulder tab in interaction menu removed (is available via TAB or other hotkey anyways) [rocko]
* Static weapons can now become disabled by incendiary grenades, fixes #19692 [rocko]
* Stretcher on back model, fixes #19298 [rocko]

h3. Fixed

* BIS M2A2/M6 model error [zGuba]
* Error when disarming IED, fixes #22072 [rocko]
* Latest beta's animation changes broke weapon resting. Fixes #22970 [jaynus]
* NVG was available with VSS PSO (vanilla bug), fixes #22924 [Robalo]
* SPO15 warning tone too quiet, fixes #19863 [rocko]
* Sight adjust for T90 commander's MG. Fixes #22494 [VKing]
* Wounds HD EH does not respect ace_w_allow_dam, when wounds is disabled. fixes #22738 [Sickboy]




h2. 2011-07-22 18:17:15 +0200

Build 496
Updated to source:@828cf6c34f7f56e70ec471a85d02673f80ee3b3f

h3. Fixed

* Rearm Truck no longer refuels or repairs [tcp]




h2. 2011-07-22 17:16:10 +0200

Build 495
Updated to source:@f212c498a9599d9592540c92691b78a23dbb0e6e

h3. Changed

* All ACE settings can now also be changed in the main game menu [Xeno]
* Automatic ACE spectator seagull camera for non respawn missions when a player joins during the mission can now be disabled with  ace_sys_spectator_no_seagull_spectating = true; in an init field for example [Xeno]
* Converted Tank FCS lasing to perFrame for better reliability in low FPS [q1184]
* Gameplay feature: optional unit markers (GPS required). Activate for the mission by placing module or with variable ace_sys_tracking_gpsUM_enabled = true then toggle with 2xclick on the GPS in map mode. [Robalo]
* Hmmwv crows gunner no longer forced into optics mode [q1184]
* Improved reliability of Kh-29L lasing in low FPS/high script lag conditions [q1184]
* Renumbered map grids, fixes #18383 [Robalo]

h3. Fixed

* BMP3 additional PKT gunners had no ammo. [zGuba]
* Bug with repairing disabled engine on armored vehicles, fixes #22297 [q1184]
* Claymores did too much damage against vehicles. Fixes #22682 [VKing]
* M110 can load Mk17 tracer mags, fixes #22426 [VKing]
* M224 screwup. Fixes #22467 [zGuba]
* Rangefinder blocking Tab-locking of Longbow Hellfires, improved air FCS lasing [zGuba]
* SLAM damage is now properly applied to armored vehicles [q1184]
* Using ace_fnc_setCrewProtection for g effects didn' work, fixes #22391 [Xeno]

h3. Added

* Earplugs to BAF machinegunner and AR, fixes #22406 [VKing]
* Scripted grenade throwing (enable in userconfig/clippi first, and read documentation) [q1184]
* Vanilla M4A1 and M4, fixes #22287 [Robalo]




h2. 2011-07-08 18:34:04 +0200

Build 494
Updated to source:@02d22d82037c241b3c700d005249ebd358f343ee




h2. 2011-07-08 15:15:38 +0200

Build 493
Updated to source:@75ca9ab5cd13fc96b14ca747d6152e187890e5d5

h3. Changed

* ACE settings are now only loaded once from userconfig\ace\settings.ace and stored in uiNamespace permanently as long as OA is running [Xeno]
* AI SACLOS missiles fired without lock (on player's order or with manual fire control) will also use improved guidance system [zGuba]
* Lademeister uses now OA action keys MoveForward and MoveBack instead of hardcoded W and S key, refs #21920 [Xeno]
* Loadmaster camera now respects reversed Y-axis [q1184]

h3. Fixed

* Ambient crows now flying again instead of just hovering [Robalo]
* Bodybag was created at wrong height in buildings, fixes #20534 [Xeno]
* CTD with ACE_M224 mortar [zGuba]
* Enormous rate of fire for ZU-23-2 [zGuba]
* Satchel removeAction caused script error under some conditions, fixes #21784 [Xeno]
* Scripted reticles not showing up when player is above ground level. [q1184]

h3. Added

* Drag Nearest Dropped Ruck [tcp]
* Improved turret indicator also for Western gunships. [zGuba]
* Odometer, fixes #14658 [tcp]
* Turret gun pointer on Mi-24 and Ka-52 pilot's HUD [zGuba]

h3. Updated

* Russian Translations by Badger. [Sickboy]




h2. 2011-07-01 18:07:20 +0200

Build 492
Updated to source:@56c1aca5f24d70b5a900ca4ec63170bb12e979e4

h3. Changed

* Tube should be dropped now after player is killed. Refs #21644 [zGuba]




h2. 2011-07-01 17:13:56 +0200

Build 491
Updated to source:@85468f5fa0bd427ee97baf28b268b401119845b5

h3. Changed

* Allow AI to fire automatic weapons at longer ranges, beyond point target range, with random bursts to simulate suppression [Robalo]
* Handling of tracks damage on tanks/IFVs [q1184]
* Improved Kh-29L targeting. Target no longer has to be locked on and is always visible on HUD. [q1184]
* Keys to move the laser target for Kh-29L can now be assigned. Default are arrows. [q1184]
* MFD enabled also for Cobra and Little Bird w/ FLIR [zGuba]
* Medium-caliber ammo more effective against light armor [q1184]
* Switched Kh-29L lasing to perFrame for reliability. [q1184]
* Various improvements in armor damage system [q1184]

h3. Fixed

* AI M2 would not engage M113, fixes #20409 [Robalo]
* AI could kill itself with its own FFARs [zGuba]
* FCS for Warrior's Chaingun [VKing]
* Grenades and magazines in civilian cars (BIS) [zGuba]
* It was no longer possible to lock on targets with M230 in order to fire Longbow Hellfires. [zGuba]
* Laser Target finding [tcp]
* Player's Dragon was underpowered [zGuba]
* Script error when firing rpg-29, fixes #21605 [q1184]
* Scripted reticles showing up when operating UAVs [q1184]
* Surprise suicides with Javelin. Fixes #20718 [zGuba]
* T-72B strange commander's NV optics [zGuba]
* Vehicle M240s couldn't load ammo. Fixes #21519 [VKing]
* Wounds CPR only available when a unit is completely unconscious, fixes #20389 [Xeno]

h3. Added

* Configurable key for Longbow Map targeting. Use Shift + Tab  by default to open the map and set the target with Shift + LMB. Unset the target with LMB alone. [zGuba]
* Map-click setting target for Longbow Hellfire. [zGuba]
* Penetration sounds for medium caliber rounds when inside APCs (by tpM) [q1184]
* Ruck Sharing, fixes #17129 [tcp]
* Woodland camo BCS. [Nou]




h2. 2011-06-17 18:10:55 +0200

Build 490
Updated to source:@fa0435be2d7c6610e21dbdbe308c79a2b9d3bff2

h3. Changed

* Corrected T-72 optics scales [zGuba]
* Corrected TA31F horizontal mil scale [q1184]
* Enabled sight adjustment on RHIB's M2 and Mk19 [q1184]
* Improved VOG-25P simulation [q1184]

h3. Fixed

* ACEX SoundMod introducing itself in requiredAddons [zGuba]
* Javelin exploding prematurely. Fixes #19620 [zGuba]

h3. Added

* Added "Unload weapon" entry to self-interaction menu. [q1184]
* Calibrated PGOK-9 sight for SPG-9. Features 2 separate reticles for HEAT/HE, switchable with +/-. [q1184]




h2. 2011-06-03 17:50:26 +0200

Build 489
Updated to source:@39b5bfdb5e5ce24b9fa66446192ff90732eb4c36

h3. Changed

* Added illumination to PKP reticle [q1184]
* Disabled redundant turret indicator on Tunguska [q1184]
* IMPROVED: Wind init [Sickboy]
* Increased penetration value for artillery delay fuzes to 100mm [Nou]
* Loading cargo into vehicles is now faster if there is crew inside the vehicle (they are doing the tie down). It is between 3-4 seconds to load with crew inside now. Changed with out crew to be between 8-10 seconds. [Nou]
* Map tools roamer (ruler) now is correctly scaled to 1:50,000 scale. Remember that when using the out edge now you must multiply by two to get the correct value in meters (this effectivly increase the rulers edge from 1600 to 3200 meters). [Nou]
* MapZoomLimitation now optional, enable with ace_sys_map_auto_limit = true. closes #20015 [Sickboy]
* NV and TI sights on rifles and vehicles have limited view distance according to their real specs. [q1184]
* RWR position of west vehicles can be changed in the ACE Settings dialog to bottom right, top right, top left, bottom left (russian vehicles not done yet), ref #19790 [Xeno]
* Sight adjustment on RPG-7 PGO is not allowed when looking through the PGO optics, to avoid confusion (it only applies when using ironsights). [q1184]

h3. Fixed

* Ace_sys_map_minMapSize override. refs #19959 [Sickboy]
* Addon PKT MGs less murderous [zGuba]
* BCS was still not correctly compensating for reversed northing maps (map makers, please, please, fix your grids, we shouldn't have to deal with this post OA!) [Nou]
* BIS "rain dance" when civilian driver meets enemy. [zGuba]
* Proximity fuses on AI FFARs [zGuba]
* Scripted reticles disappeared when right-clicking with active action menu, fixes #20022 [q1184]
* Sight adjustment setting wasn't reliably ignored when using optics on RPG-7 PGO. [q1184]
* Unable to switch to M2A2 driver position (now for real). Fixes #19309 [zGuba]
* Wrong M240 for CSW when mounting L or B versions, fixes #19904 [rocko]

h3. Added

* Commander's optics direction indicator [q1184]
* Functional BPK-2-42 sight reticle for BMP-2,BTR-90,Vodnik and BMD-2. Default keys to adjust the sight are ArrowUp/Down. [q1184]
* Main gun digital direction indicator for commander [q1184]
* Simulating angled bullet hits when sys_wounds is active. [zGuba]
* Transport boxes for smoke grenades [VKing]
* Working T-55 gunner sight. Use Arrow Up/Down to adjust the reticle, Shift-L to illuminate. [q1184]



h3. Added

* "ACE_Ballistics" editor mission used to generate ballistic tables for sight adjustment, FCS and wind deflection systems. [q1184]


h2. 2011-05-20 18:14:39 +0200

Build 488
Updated to source:@eab50dd92870a5124b8c41d230a982592d554093

h3. Changed

* Added a proper 3-12x SB reticle for LRR and AS-50 [q1184]
* Brutal scream sounds loudness, refs #19596 [Xeno]
* Infantry AI spend less time firing on a single target [Robalo]
* Map zoom limited to 4 digit grids, changeable through missions (additional server config option next update) via ace_sys_map_minMapSize being set to 0 to allow maximum zoom defined by map. Removed single bushes/trees from map. Moved compass "legend" to lower right hand corner of map (instead of hidden in the upper left behind the menu). [Nou]
* More reliable initialization and removal of scripted reticles [q1184]
* Mouse gesture background image can be enabled and disabled in ACE Settings dialog (Enable Mousegesture Background:), default disabled, refs #19232 [Xeno]
* Mouse gesture system now also takes position where the gesture was done into account (top of the screen, middle, bottom, left and right) [Xeno]
* Tap Shoulder interaction menu entry now has shortcut key 'S'. closes #19631 [Sickboy]

h3. Fixed

* Cannot load Russell sounds in AI talk, fixes #19320 [Xeno]
* Cargo, turret and driver compartments in Bradley were separated. Fixes #19309 [zGuba]
* Cough sounds were too loud, fixes #19596 [Xeno]
* Disallowed looking through undeployed disposable weapon optics. Fixes #19442 [zGuba]
* Scripted reticle was visible when looking at the map [q1184]

h3. Added

* Background screen for gesture system by  Mikhail [Xeno]
* Calibrated PP-61 sight for BRDM-2, BTR-60, BTR-70 [q1184]
* Mouse gesture for shoulder tab (left side screen from top to bottom) [Xeno]
* Ruck changed local event [ted23p]
* Russian RWR SPO 15 LM [rocko]




h2. 2011-05-06 18:30:49 +0200

Build 487
Updated to source:@10731142350897ef6182661dc01ddc7490d1e424




h2. 2011-05-06 18:15:29 +0200

Build 486
Updated to source:@bdcf1e1c1bd78a7ee4722e5b1e49cd7c72926d1e




h2. 2011-05-06 18:03:57 +0200

Build 485
Updated to source:@136dc4187251fb16863f07bd57b5587a7f4f2417

h3. Changed

* Allow script deploy fastrope. [Sickboy]
* Automatically give RF battery to units if missing; RF battery auto-loaded for players [Robalo]
* Enable staying brass can now be changed during a mission on the fly [Xeno]
* Magazines System features added for sidearms [Robalo]
* Soldier camouflage based on what he's wearing [Robalo]

h3. Fixed

* AI not engaging with disposable AT launchers, fixes #19490 [Robalo]
* Aircraft without radar showing up on RWR [VKing]
* M220 TOW Elevation limits, fixes #19297 [VKing]
* Script error in RWR, refs #19144 [Xeno]
* Vanilla OA bug setting Chernarussians to speak Takistani [zGuba]
* WP/Illum for old style/OA arty, fixes #19172 [Sandiford]
* Wheeled APCs using the same spare tyres as cars [zGuba]

h3. Added

* Digital compass indication for car drivers, gunners and wheeled APC crews (due to inaccessible 3D compass) [zGuba]
* Mouse gesture system, currently only available for handsignals. Start with CTRL key (currently hardcoded), make a mouse gesture, release key, refs #19232 [Xeno]
* Sys_reticles: 3D recoil effect when looking through optics, front focal plane reticles, illumination on/off (shift-L), moving reticles for Russian sniper rifles. Enable in userconfig. [q1184]



h3. Added

* Sys_reticles: 3D recoil effect when looking through optics, front focal plane reticles, illumination on/off (shift-L), moving reticles for Russian sniper rifles. Enable in userconfig. [q1184]


h2. 2011-04-22 17:57:33 +0200

Build 484
Updated to source:@60406bcbe7e017e2a1ea0ea8e9e6422ebee4b442




h2. 2011-04-22 17:22:26 +0200

Build 483
Updated to source:@3f2b42b9f8eb6fb742caa602a6ce9bb953d3bd5e




h2. 2011-04-22 16:37:22 +0200

Build 482
Updated to source:@f243bdb0546d301b1aafe2d04dc628569560c887




h2. 2011-04-22 14:25:49 +0200

Build 481
Updated to source:@db611feb838eeed83d3aa60cc0be42468560aae1

h3. Changed

* Moved most of spawned scripts in Preinit to Postinit [Xeno]
* Repacking magazines now possible in a moving vehicle as long as you're not part of its crew [q1184]
* Switched globaleEvent to whereLocalEvent wherever possible [Xeno]
* Weight for weapons counting all attachments, with direct effect on dexterity [Robalo]

h3. Fixed

* ACE Ammo Trucks says Successful Rearm but NOT, fixes #19076 [ViperMaul]
* Claymore Error removeaction, fixes #19075 [ViperMaul]
* Dropped backpacks not working occasionally, fixes #19029 [rocko]
* Error Zero divisor, fixes #19074 [ViperMaul]
* Obscure lalala sidemessage in wounds removed [Xeno]
* Repacking mags was instantaneous [q1184]
* Run tailrotor script for manshred only on the machine where the chopper is local, should fix MP problems where trigger position was not updated correctly, fixes #19060 [Xeno]
* Russian 125 mm HEAT ammo did not have explosion effect, fixes #19034 [q1184]
* The weapon is properly selected after repacking magazines [q1184]




h2. 2011-04-18 18:33:28 +0200

Build 480
Updated to source:@00ea73fe0f4776ee16d6c5359322511882beba00

h3. Changed

* Bandages do not fully stop bleeding, but reduce bloodloss, resulting in more bandages needed to apply to fully stop a bleeding (alternative use the large bandages for more effect) [rocko]
* Configured AI engagement ranges and fire mode selection (small arms only) [Robalo]
* ReEnabled Crosshairs for FFAR / AH6 [Sickboy]
* WP effects on players [rocko]

h3. Fixed

* Disposal sys A2 Standalone dependency [Sickboy]

h3. Added

* Large bandages available in medical gear. They are more effective than bandages, refs #15931, refs #15880, refs #7995 [rocko]




h2. 2011-04-15 18:58:04 +0200

Build 479
Updated to source:@516c1b88c17f71949cfcff464d23b48c9d15dd9c




h2. 2011-04-15 18:02:32 +0200

Build 478
Updated to source:@31b6339b668863ec8daceac7e88887cea89ff4ce

h3. Changed

* ACE Userconfig identity error is now also logged to player commandChat. [Sickboy]
* Correct model for every dropped backpack (via gear dialog), fixes #16274 [rocko]
* Disabled Crosshair on FFARLAUNCHER - all vehicles using them have HUD. [Sickboy]
* Re-enabled sight adjustment for mounted grenade launchers. [q1184]
* Reduced AI rate of fire for small arms [Robalo]
* Showing vehicle name in the cargo menu [rocko]
* Updated HAT gunners with CLU, refs #18812, refs #18855 [rocko]

h3. Fixed

* Disarming M4 SLAM adds M2 SLAM to inventory, fixes #18899 [rocko]
* Disorienting Screen Shake no longer working, fixes #18735 [rocko]
* Load action was available for ships due to incorrect cargo handling, fixes #18880 [rocko]
* Player name missing from ACE Settings screen. [Sickboy]
* Removed autoReload from CannonCore weapons, fixes switching main gun ammo types in tanks, refs #18864 [Xeno]
* Spare Tire module not working for manned(tm) vehicles [rocko]

h3. Added

* Ability to repack used magazines into full ones, fixes #15631 (by q1184) [rocko]
* Automatic CM deployment mode to help pilots survive in possibly dangerous areas. Change CM launching mode to stop the deployment. [zGuba]
* Basic turret indicator for helicopters that don't utilize radar [zGuba]
* Faction terps, fixes #16587 [rocko]
* Radar warning system from Reezo [Xeno]
* Third bloodloss indicator screen, fixes #15847 [rocko]
* Visual impact FX for API bullets [q1184]

h3. Updated

* Russian translation for sys_interaction. thanks to HA Badger. [Sickboy]




h2. 2011-04-11 17:44:18 +0200

Build 477
Updated to source:@aa7cc90d6eac630b1fba21b4101193755d4742e0

h3. Changed

* M2/M4 SLAM sideattack simulation, hopefully fixes #18823 [rocko]
* M576 for M203 [rocko]
* New ACE Compass is now optional, #define ACE_COMPASS in ace_clientside_config.hpp. refs #18635 [Sickboy]

h3. Fixed

* IncomingMissile missileguidance error. [Sickboy]
* Javelin tube weight. Fixes #18817 [zGuba]

h3. Added

* Faces galore. Set/preview in player profile options, but also in ace_clientside_config.hpp to make them fully compatible with ACE head gear. [Robalo]




h2. 2011-04-08 18:12:55 +0200

Build 476
Updated to source:@b3af78b3f684943ed5af7a37a4eb870f82d1150b

h3. Changed

* Better workaround for disappearing RPG-7. Refs #18478 [zGuba]
* GSh-30 on aircraft now carries a mix of AP and HE ammo instead of just AP. [q1184]
* Increased effectiveness of SLAM mines, fixes #18659 [rocko]
* Revert back to maximum 6 digit map grids maintaining 8 digit coordinates on GPS. Fixes #16286 [Robalo]

h3. Fixed

* ManShred script error [Sickboy]
* Wounds stopBleeding script error upon using user action menu entry for bandaging. refs #18779 [Sickboy]

h3. Added

* Binocular key now also selects rangefinders, laser marker, MX2-A, Javelin CLU etc. in addition to binoculars, refs #16890 [Robalo]




h2. 2011-04-01 17:22:24 +0200

Build 475
Updated to source:@882a76d424724036999fa24629bf9b88e5a57eed

h3. Changed

* Disabled manual broadcast of HandSignal gestures; since patch 1.59 they are broadcasted by engine. [Sickboy]
* Explosives react to nearby explosions, see "daisy chain" change [rocko]
* It's harder to detonate explosives with small caliber rounds, explosives might explode when fired upon with high caliber rounds more easily, fixes #18362 [rocko]
* Night vision maximum brightness increased a bit. [zGuba]

h3. Fixed

* Issues with new resource controls when using map [zGuba]
* Wrong type of explosion for M2/M4 SLAM, refs #18595 [rocko]

h3. Added

* Ability to stack explosives (sort of daisy chain) and have them detonate with a single initial explosion, fixes #18359 [rocko]
* Javelin CLU, the "Javelin" weapon is now just the missile tube. [zGuba]
* TK Militiamen with AKMs [VKing]
* VBS2 style compass by Nou [rocko]




h2. 2011-03-25 18:41:25 +0100

Build 474
Updated to source:@233b508e808f8f9de3c23195715bcfd4a45676a0

h3. Changed

* Burn light brightness is now the same again as in vanilla OA, refs #16881 [Xeno]
* Decreased helicopter crash lethal zone [zGuba]
* FastRoping positions can now be set on the vehicle with setVariable. "ACE_RopeAttachment". closes #18401 [Sickboy]
* You can now switch through various night vision modes (TI, etc) with the N key in spectating mode (sys spectator) [Xeno]

h3. Fixed

* AH64 MFD showing wrong firemodes, fixes #18241 [rocko]
* Bandage not removed from gear upon use from interaction menu. fixes #18361 [Sickboy]
* Bandages, Morph, EPI not properly taken from ruck. [Sickboy]
* RPG-7 dissappearing. Fixes #18195 [zGuba]




h2. Fri Mar 18 18:07:36 +0100 2011

Build 473
Updated to source:@355e297e30b46f6d50624069acd59589fd0aebd3

h3. Changed

* BAF type backpack textures updated (by Stagler) [rocko]
* Internal userconfig identity handling. fixes #18254 [Sickboy]

h3. Fixed

* Incompatibility with latest beta patch anim changes (MG reload prone/kneel), fixes #18268 [Xeno]
* Setvariable bug on M16A1, fixes #18189 [rocko]

h3. Added

* BAF type backpack with MTP camo (by Stagler) [rocko]
* Enhanced ACE Ammo Truck rearming. All vehicle's turrets are rearmed even if empty. [ViperMaul]




h2. Fri Mar 11 18:40:17 +0100 2011

Build 472
Updated to source:@bacc7a0f4f44fcc1f36f33e67221d5448d48be8c




h2. Fri Mar 11 18:31:28 +0100 2011

Build 471
Updated to source:@ba2867c75db8e09e02919817ad95e8864634bed1

h3. Changed

* Removed class Identity from ace_clientside_config.hpp. You now have to use #define ACE_IDENTITY your nick, the new Clippi version will handle it automatically. Be aware that you have to change it, otherwise OA won't start! [Xeno]

h3. Fixed

* Disappearing progressbar, fixes #18067 [rocko]
* Rangefinder Lasercode up and Lasercode down was eating up SHIFT-Left and SHIFT-Right even if the player currentWeapon was not a rangefinder [Xeno]

h3. Added

* IED burial delay, fixes #18119 [rocko]
* P168 RD90 backpack, fixes #18063 [rocko]
* Shoulder tapping, fixes #18061 [rocko]



h3. Changed

* Removed class Identity from ace_clientside_config.hpp. You now have to use #define ACE_IDENTITY your nick, the new Clippi version will handle it automatically. Be aware that you have to change it, otherwise OA won't start! [Xeno]


h2. Fri Mar 04 18:45:03 +0100 2011

Build 470
Updated to source:@6bb3378c9c73c3ad8be29c7a8837d3b9e3065cbf

h3. Changed

* IEDs can be submerged [rocko]

h3. Fixed

* Adjusting NVG through Interaction Menu. fixes #17904 [Sickboy]
* Broken dir/pitch offsets for KH29L missileguidance [Sickboy]
* FPS problems when firing M119, caused by isNull check on bool. refs #17982 [Sickboy]




h2. Sat Feb 26 11:55:24 +0100 2011

Build 469
Updated to source:@b24821f27bb2f14ed30ac44249ca4361e54ec2f9

h3. Fixed

* WindDeflection. fixes #17879 [Sickboy]




h2. Fri Feb 25 18:38:11 +0100 2011

Build 468
Updated to source:@1a9b3352bb81e502909939f2171df112d87aa2cc

h3. Changed

* Adjusted light for burning vehicles, fixes #16881 [rocko]
* Temporarily disabled sightadjustment for AGS30 and Mk19 due to local ammo bug [rocko]
* Tripwire ends are marked with a small stake, fixes #17743 [rocko]
* Workaround for grenades dummies dropping in front of barrel for non local units. [Sickboy]

h3. Fixed

* Missing broken weapon classes. fixes #17787 [Sickboy]
* Multiple safety off actions on pipebombs [rocko]

h3. Added

* Backwards compatibility class for ace_c_men_sounds. [Sickboy]




h2. Fri Feb 18 18:38:14 +0100 2011

Build 467
Updated to source:@3147a4d731b03adeee5001e9a06bdac2680c4de0

h3. Changed

* Disabled GL sightadjustment for smokeshells as an interim solution for deplaced smoke on other client machines [rocko]
* Set busy state on vehicle during repair/refuel/rearm actions. fixes #17665 [Sickboy]

h3. Fixed

* Incendiary grenades activating too soon, fixes #17467 [rocko]
* Workaround added for a wounds animation problem. A healed player could switch on other clients back to death anim when entering a vehicle although he was already in the correct anim, #fixes 17241 [Xeno]
* Wounds PMR PRInitU function didn't call "rev" event. fixes #17504 [Sickboy]

h3. Added

* Satchels can be detonated individually, fixes #9587 [rocko]

h3. Removed

* C_men_sounds. Its sound values implemented to ACE SM, so it wont overwrite 3rd party soundmod's movementsounds. [tpM]




h2. Fri Feb 11 18:33:26 +0100 2011

Build 466
Updated to source:@4f75de4c35a6a98565e23ebc911b1909c2137ea5




h2. Fri Feb 11 17:21:09 +0100 2011

Build 465
Updated to source:@36a5dcc0a711e189778133843b4d495a3cb87c29




h2. Fri Feb 11 15:49:52 +0100 2011

Build 464
Updated to source:@6c07d3d8aafa250892d14ce8250f556e777f92a1

h3. Changed

* Add handleDamage EH only to player units if wounds is disabled, not to all units [Xeno]
* Handheld rangefinders now trigger laser-alarm every 40 seconds for vehicles targeted. refs #16532 [Sickboy]
* HuntIR IRStrobe scripts are now overhauled like the NVG IRStrobe scripts. refs #16885 [Sickboy]
* Shtora doesn't try to fire smoke with no commander due to fire command only working with (AI) commander unit in place. [Sickboy]
* Shtora doesn't try to fire smoke with player commander due to fire command only working with AI units. [Sickboy]
* Tracking Markers now also work if unit has no GPS, but vehicle he is in has GPS. Thanks to Robalo. [Sickboy]

h3. Fixed

* (arty) You sometimes wouldn't be able to pick up a shell someone else dropped [jaynus]
* ACE_blackoutAll function broken when wounds was enabled, fixes #17464 [Xeno]
* Added isNull check to target for shtora. FCS's send objNull laser, so this disables smoke for FCS lasers. Fixes #16532 [jaynus]
* Don't show stance indicator when wounds is enabled and the player is unconscious [Xeno]
* Don't show sys recognize overlays when the player is dead [Xeno]
* Don't show turret direction indicator when the player is dead, fixes #17446 [Xeno]
* Excessive smoke dispensing opportunity on T90 by Shtora. refs #16532 [Sickboy]
* IRStrobes not working properly. fixes #17325 [Sickboy]
* Locality check for shtora targeting, refs #16532 [jaynus]
* Player could be stuck in sys lademeister camera view when exiting a chopper and accidentally hitting a lademeister key [Xeno]
* SIX BC medics were given double amount of equipment [VKing]
* SIX BC now checks for ACRE before adding ACRE radios to units [VKing]
* Shtora failure caused by busy status left busy on abort. [Sickboy]
* Wounds warnings caused by text expression in config for e.g Hit property. fixes #17466 [Sickboy]

h3. Added

* Sight adjust to BAF L2 and GMG. Tripod and Jackal versions. fixes #17526 [VKing]




h2. Fri Feb 04 18:56:45 +0100 2011

Build 463
Updated to source:@e9f4b6b7eee24fc062ebf5eeb9a922a7f8dadfc5




h2. Fri Feb 04 17:49:55 +0100 2011

Build 462
Updated to source:@513b3542001152d5f7077cd4f42eb199a7612be7




h2. Fri Feb 04 16:59:13 +0100 2011

Build 461
Updated to source:@ad658530cfd816d120be64d8dcbd2b06d66b7e67




h2. Fri Feb 04 15:35:05 +0100 2011

Build 460
Updated to source:@20eeb45a78fca26fc7aa6433bbc07bc2a6d31157

h3. Changed

* Players and AI will now use Medical Gear in ACE Rucksacks when available. For buddy healing - only when the buddy is local. closes #17287 [Sickboy]

h3. Fixed

* AI Attend was not working if the medic didn't have the items, even though other units had items. [Sickboy]
* Aiming posts weren't globally visible when being placed [jaynus]
* All aiming post interactions working now [jaynus]
* Not able to recover 2B14 baseplate, fixes #17155 [rocko]
* Only remove the shell info if the player can actually load it. [jaynus]
* Removed wierd cart eject because of model geometry [jaynus]
* Smoke ViewBlock items when smoke fired by vehicles were multiplied times the amount of players (times the amount of smokeshells). refs #16532 [Sickboy]
* VehicleDamage enabled vehicles could still burn you after fire went out. fixes #16788 [Sickboy]

h3. Added

* ACR rucksacks in DPM/DDPM (Textures by Stagler) [rocko]
* Laser code designation and ACE keys for designation on SOFLAM. refs #15997 [jaynus]




h2. Fri Jan 28 18:24:03 +0100 2011

Build 459
Updated to source:@5f8eaf05c97c1feb5309e81ec948901767f21072




h2. Fri Jan 28 17:09:32 +0100 2011

Build 458
Updated to source:@5f6a4385ed2ee856ba24fa457ef5ddd8f89fe0e3

h3. Fixed

* G effects blackout stays permanent when dying in a plane, fixes #16994 [Xeno]
* GAZ Vodnik PKT had optics, fixes #17008 [rocko]
* Instant Javelin reload with mode change [zGuba]
* IrStrobe   Error !: Type String, expected Bool [Sickboy]
* Javelin instant lock. Fixes #16358 [zGuba]
* MFD wasn't force-closing when exiting a vehicle [jaynus]
* RPG-7 texture quality in 1st person after loading rounds [zGuba]
* Russian Su-25 was erroneously labelled as Su-39 [VKing]




h2. Fri Jan 21 17:52:47 +0100 2011

Build 457
Updated to source:@6f909ce0b377bd03a6f7952ac7e102cf4969efaf

h3. Fixed

* Air FCS initialization reseting weapon choice to cannon, heading dir disabled on some gunships [zGuba]




h2. Fri Jan 21 16:22:29 +0100 2011

Build 456
Updated to source:@9071214534360dac08eeac9848443ad002fabb57

h3. Fixed

* Improved Longbow hellfire behaviour. fixes #16537 [Sickboy]




h2. Fri Jan 21 15:08:35 +0100 2011

Build 455
Updated to source:@497717b0c16fd07a7525b6432d0165acd802758e

h3. Changed

* SetVectorUp of a fastroping chopper where the chopper is local [Xeno]

h3. Fixed

* BAF/PMC AS50 didn't deafen [VKing]
* BAF/PMC AS50 took M107 magazines [VKing]
* CrewServed weapons for AI module was broken. fixes #16760 [Sickboy]
* Magicbox didn't work for USMC and Russian Desert factions, fixes #16765 [VKing]
* ProgressBar always assumes player, broke CSW for AI. fixes #16760 [Sickboy]
* RPG-7V blurry textures in 1st person view [zGuba]

h3. Added

* Mk17 M118LR magazine [VKing]
* Smoke launcher to GAZ Vodnik with BPPU turret [VKing]
* Wide FoV mode for AH-64 gunner optics [zGuba]




h2. Fri Jan 14 18:30:36 +0100 2011

Build 454
Updated to source:@3dec0a1d99e97884476abfe9d96f280762817a84




h2. Fri Jan 14 15:39:19 +0100 2011

Build 453
Updated to source:@b343146e22a088cafecf6b7c35448dc9f5d5667d

h3. Changed

* Looking at other players maps requires interaction menu [rocko]
* Specator free camera should be a little bit smoother now [Xeno]
* When wounds is enabled show IFAK contents (morphine, epi, bandages) in quick mag check too, refs #16609 [Xeno]

h3. Fixed

* AH1Z optics order. Fixes #16575 [VKing]
* Inconsistencies with deafening from static weapons, fixes #16675 [rocko]
* Locality issues when pushing boats for example  in MP environment, fixes #16347 [Xeno]
* Medical equipment could be applied without waiting for the first medicine being successfully applied, fixes #16419 [rocko]
* Spectator mini map cannot be toggled off, fixes #16519 [Xeno]
* Vehicle Damage system would error on trying to get shooter direction when vehicle has no mainTurret weapon. fixes #16387 [Sickboy]

h3. Added

* Handsignals [rocko]
* Tracer magazine for L115, fixes #16583 [VKing]
* Weapon/magazine respawn module (MP only). Adds the weapons/mags plus backpacks and content, etc, a player had before dying back to the player after respawn. It also deletes the dead player body after 60 seconds (can be changed with ace_sys_playerhud_dead_unit_deltime, -1 = off), refs #16336 [Xeno]




h2. Fri Jan 07 18:07:26 +0100 2011

Build 452
Updated to source:@e864eaa169a37e57f54acf1495cbb0c54245591e

h3. Fixed

* Gunship laser precision [zGuba]




h2. Fri Jan 07 17:46:20 +0100 2011

Build 451
Updated to source:@2234bb1bad3d5e1317239770e9cd969f83b2c6d6

h3. Changed

* Epi/Morph MedicsOnly module still allows non medics to use the items at medical facilities. closes #16406 [Sickboy]
* Improved tire detection for models that are not conform to BIS naming standards in model.cfg or model itself, fixes #16412 [rocko]
* Longer delay and larger random factor for AI requesting medical assistance. refs #16346 [Sickboy]
* Longer delay and larger random factor for AI treating self. refs #16346 [Sickboy]
* Missile flight mode designation removed from action menu and now done in MFD. refs #16000 [jaynus]
* ROF on Apache's was set to realistic value, but did not exhibit realistic behavior in game. Doubled to emulate real rate of fire (slower). [jaynus]

h3. Fixed

* Changing key handlers only worked fine for keyDown handlers. keyUp handlers were left untouched. Fixes Afterburners  after changing keys. fixes #16425 [Sickboy]
* Missing addons detected ace_sys_weaponsselect, when jipping. [Sickboy]
* NLAW changed to ACE damage values. [VKing]
* Tank FCS breakdown due to vehicle damage was not working. [Sickboy]
* Vehicle Damage for WAPC used wrong damage information. refs #16387 [Sickboy]

h3. Added

* Ace_sys_wounds_no_medical_gear globalVariable, to disable the adding of medical gear globally. [Sickboy]
* Ace_sys_wounds_no_medical_gear objectVariable, to disable the adding of medical gear per unit. [Sickboy]




h2. Fri Dec 31 18:18:19 +0100 2010

Build 450
Updated to source:@26401402b70277b3ccbc080e39bf3f611ba6bda6




h2. Fri Dec 31 14:44:54 +0100 2010

Build 449
Updated to source:@cccba524561935057b75cb650bd2d5b5c0ae8f24




h2. Fri Dec 31 14:23:46 +0100 2010

Build 448
Updated to source:@ea766d8d8e8c68c68da6ada223074e28785350b7

h3. Changed

* Added ace_sys_spectator_no_one_alive variable, if used in combination with poor mans revive shows the spectator buttons if no unit is ace_sys_spectator_no_one_alive meters away, refs #16224 [Xeno]
* Laser code-based guidance for hellfire. refs #15999 [jaynus]
* New Flashbang, C4, Claymore and weapon deploying sounds [tpM]
* SOFLAM has NVG vision mode again untill optics attachment system is done [VKing]
* VisionMode change detection (NVG On/Off, TI On/Off). refs #16217 [Sickboy]

h3. Fixed

* ACE Repair not working for non-vehicle damage-enabled vehicles. fixes #16216 [Sickboy]
* Apache radar targetting circle only enables/disables when in gunner optic mode. [Sickboy]
* Cargo [Sickboy]
* Dagr was not detected as GPS device by tracking system. [Sickboy]
* Eye protected worked in reverse. [Sickboy]
* IRStrobe malfunction when inside vehicle. [Sickboy]
* Javelin knock down due to scripted systems deleting the projectile upon firing, like Mando Missile. fixes #16246 [Sickboy]
* Knockdown by firing weapons which script delete the projectile. refs #16246 [Sickboy]
* Reset g effects when player is not alive [Xeno]
* Sandbag deploy. [Sickboy]
* Shilka minimum burst length is 2 (ref videos) [zGuba]
* Workaround for ruck inventory weight undefined variable, refs #16206 [Xeno]
* Wounds handleNet __cardiactime error [Sickboy]

h3. Added

* Adjustable laser marker for Kh29L, by conKORD, fixes #11285 [rocko]
* Function ace_sys_wounds_fnc_MissionEndCheck. Call it from init.sqf and a mission will end automatically when either no players are alive or all are unconscious (END5 trigger), refs #16224 [Xeno]
* Laser-code based guidance for hellfires still defaulting to 1001 code for all lasers and guided munitions. refs #15999 [jaynus]
* MFD Intial code commit supporting codes and munitions. refs #16000 [jaynus]
* MFD Intial code commit supporting codes and munitions. refs #16000 [jaynus]
* MFD display for all air units which allows laser code designation and persistent munitions display. Refs #16000 [jaynus]
* More content for russian aircrafts to EASA, fixes #16185 [rocko]
* Optional switch to turn off healing at medical vehicles, making it only possible at tents/buildings. ace_sys_wounds_no_medical_vehicles = true;  closes #16317 [Sickboy]




h2. Wed Dec 22 16:23:07 +0100 2010

Build 447
Updated to source:@6676cef8fa3bfb45b90eae40b69ead3a9324f264

h3. Fixed

* Do not spawn two used disposal tubes where the firing unit is local [Xeno]
* Missileguidance pos script error. [Sickboy]

h3. Added

* 75 Round 7.62x39 SD mag, closes #15954 [VKing]




h2. Mon Dec 20 18:11:04 +0100 2010

Build 446
Updated to source:@9b9ef53d4ce9498dce3e234b3c9a82994ff1d4d0




h2. Mon Dec 20 16:31:53 +0100 2010

Build 445
Updated to source:@c56441927bcafa63b6d8f24e8f34345c6b8bc177

h3. Changed

* All medics carry ACE backpacks [VKing]

h3. Fixed

* Error message when firing Javelin without target [zGuba]
* Full repair module only worked for vehicle damage enabled vehicles.. [Sickboy]
* Metis day vision mode, fixes #16058 [VKing]
* Script error with fire on load. fixes #16053 [Sickboy]
* Some objects (like MASH) were not properly detected as medical facilities anymore. [Sickboy]
* Sys_recognize not recognizing players in player's own group [zGuba]




h2. Fri Dec 17 17:34:29 +0100 2010

Build 444
Updated to source:@cacf38d55c7a4873cf4fd3e5c674e0b0be0c777a




h2. Fri Dec 17 14:25:23 +0100 2010

Build 443
Updated to source:@f8239ebfcb5b359d3ff7edd4e42743938a2942c1

h3. Changed

* AI Crew who's secondaryWeapon/WOB gear is placed in vehicle cargo, will get it back 5 seconds after exiting vehicle. refs #15762 [Sickboy]
* AI Medic healing; Players have higher priority than AI. [Sickboy]
* AI will try to apply medical items after waking up from unconscious. [Sickboy]
* Added WeaponOnBack support to "Limit Crew Weapons" feature. refs #15762 [Sickboy]
* Adjusted CSW weapon equipment, refs #15854, refs #15852 [rocko]
* Bandaging also stops adding pain. But does not remove it. [Sickboy]
* Bloodloss by movement now also available for AI, optional; ace_sys_wounds_ai_movement_bloodloss = false to disable. refs #15956 [Sickboy]
* Disabled currently useless CPR action when PoorMansRevive is not enabled. [Sickboy]
* Disabled mortar autofire-on-load when there is crew inside the mortar. fixes #15585 [Sickboy]
* IMPROVED: Bloodloss from movement. [Sickboy]
* Improved multiple weapon variant support for sys_modelspecial [zGuba]
* Moved parachutepack to secondary weapon slot, fixes #14513 [rocko]
* Proper AH1 gunner optics, fixes #15426 [rocko]
* Self healing by medkits without being a medic or at a medical facility now also disabled in Single Player; AI Medics will heal you, or you can at a medical facility. Alternatively you can enable the ACE Setting: "SP Player Medic"; effectively allowing you to self-heal again with medkits. [Sickboy]

h3. Fixed

* AI applied medical items without delay, therefore immediately applying bandages etc long before finishing the heal animation. [Sickboy]
* BMP2 had no smokelauncher, fixes #15946 [rocko]
* Correct ctrl/alt/shift handling in ACE Options dialog for Interaction Menu keys [Xeno]
* Desert USMC Medic didn't have medic model when ruckless disabled. fixes #15897 [Sickboy]
* Double weapons when picking up M122 M240 tripods, fixes #15854 [rocko]
* M2/M4 SLAM not responsive enough, fixes #15968 [rocko]
* MIssing addons ace_anims_reload, when using M60E4 or other oA weaps. [Sickboy]
* Medical gear was removed in MP if playable unit was joined from the start, and pistol slots are full. Happened when going from Briefing into game. [Sickboy]
* RPG-7V mass (RPG-7D weights 7, RPG-7V weights 5.8) [zGuba]
* Showing "Reload Morphine" action when no primary weapon, fixes #15948 [rocko]
* Vehicle damage in the water was not properly handled for non-vehicle-damage enabled vehicles, sometimes resetting the damage. [Sickboy]
* When wounds is enabled, enemy AI medics do not heal non friendly unconscious units anymore, fixes #15902 [Xeno]
* Wounds PMR not working properly when getting unconscious from blood-loss instead of damage. fixes #15916 [Sickboy]

h3. Added

* (AE) Module to default spare tyres in vehicles [Rommel]
* AI units can optionally medical assist unconscious unit from any friendly group, enable with; ace_sys_wounds_auto_assist_any = true. refs #15979 [Sickboy]
* AI will automatically apply medical items, to unconscious units of his group near him in need of medical assistance, buddy healing supported. Can be disabled with ace_sys_wounds_auto_assist = false. closes #15979 [Sickboy]
* Get out prone for M122 tripod, fixes #15852 [rocko]
* Javelin Top Attack mode [zGuba]
* LGB guidance. Refs #15998 [zGuba]
* Option to enable limit crew weapons also for AI, ace_sys_vehicle_limit_crew_weapons_incl_ai = true. refs #15762 [Sickboy]
* Option to give back Gear to AI automatically upon getOut, default true. refs #15762 [Sickboy]
* Optional "Put SecondaryWeapon in vehicle cargo, upon entering crew positions of vehicles" feature. refs #15762 [Sickboy]

h3. Updated

* Sys_arty by sandiford. [Sickboy]




h2. Fri Dec 10 19:16:57 +0100 2010

Build 442
Updated to source:@5ba5db7d037896cd719676bc1ca4725a94603735




h2. Fri Dec 10 19:02:41 +0100 2010

Build 441
Updated to source:@be4fa91bbb621d7300c72712fee285f482adb24f




h2. Fri Dec 10 18:48:20 +0100 2010

Build 440
Updated to source:@a358c5c57a5543bc158e5a09aa3b17437d862d92




h2. Fri Dec 10 18:46:43 +0100 2010

Build 439
Updated to source:@478f3a492de2515718be8149c2f13c8ad311a458

h3. Fixed

* Dragging static cannons, fixes #15833 [rocko]

h3. Added

* Flecktarn backpacks by merc [rocko]
* Proxy variants of BIS rucksacks for ACE backpack system [rocko]




h2. Fri Dec 10 16:13:49 +0100 2010

Build 438
Updated to source:@fea5511dbb26b97a417b500d10e9dfe932a8dc11

h3. Changed

* AH64 TADS display, refs #11500 [rocko]
* AI will use medical gear like bandages on themselves when needed. closes #15661 [Sickboy]
* Autorotation converted to perFrame [zGuba]
* CSW magazines spawned directly at the remaining tripod if unload or unmount action is selected to avoid spilling magazines all over the place and into possible other objects, refs #15680 [rocko]
* Enabled tire replacement also for wheeled APCs [rocko]
* Exclude A10 from shortflyby sounds, lowered speed for A10 flyby trigger [rocko]
* Lowered the chance of unconsciousness from damage, relying more on bloodloss over time. [Sickboy]
* Removed animations for most of the CSW actions, refs #15703 [rocko]

h3. Fixed

* "Fire on Load" exploit, fixes #15628 [rocko]
* Attaching satchels to vehicles broken. fixes #15669 [Sickboy]
* DAGR and Vector range measurement divergence [q1184]
* G-effects blackout while parachuting. fixes #15819 [Sickboy]
* Obsolete heal useraction entry for unconscious units. [Sickboy]
* Parachutes missing from many OA aircraft. [VKing]
* Reset aperture when the player drops a NV weapon, fixes #15681 [Xeno]
* Reset fire for respawned units on all computers. fixes #15670 [Sickboy]
* Unable to heal, even when some parts can still be healed. [Sickboy]
* Wounds Head/Body damage while only hitting legs/arms. [Sickboy]
* Wrong function in drop body called leaving carried or dragged units in the wrong animation (no error message), fixes #15345 [Xeno]

h3. Added

* CSW Support for BAF static weapons, fixes #15534 [rocko]
* Missing medic units for TK_CIV, UN_CDF, CZ factions and Spetznas (Vking), refs #15645 [rocko]
* Role icons for vehicle recognize [Xeno]
* Wounds - Everyone Medic module, and Full heal (even in the field) Module. refs #15650 [Sickboy]




h2. Sat Dec 04 15:15:49 +0100 2010

Build 437
Updated to source:@4f65ba02831630c387b1607f43fdd1a2687b8151

h3. Changed

* Lowered stamina impact when throwing grenades when staying static, fixes #15597 [rocko]
* Players can conduct assistance carrying only when the wounded player/unit has been treated before, refs #15588 [rocko]
* XM8 Sharpshooter has bipod, fixes #15589 [rocko]

h3. Fixed

* 2B14 couldn't load WP or ILLUM rounds [VKing]
* Error during jumpOut. fixes #15605 [Sickboy]
* Experiencing earringing with earplugs when "FIRE ON LOAD" is enabled for mortars, fixes #15572 [rocko]
* Gasmask effects persistent after respawn, fixes #15592 [rocko]
* MK19 Vehicle MagXchange broken. fixes #15586 [Sickboy]
* Mk48 could be mounted on M122 tripod, converting it to a M240 [rocko]
* Optic on M224 was not attached to mortar in View-Pilot lod [rocko]
* Rangefinder broken. fixes #15580 [Sickboy]
* Vehicle Damage simulation for Wheeled_APC's. fixes #15593 [Sickboy]

h3. Added

* L7A2 tripod [VKing]




h2. Fri Dec 03 19:14:24 +0100 2010

Build 436
Updated to source:@9a53029bb6c6be1d7df79f28f0fce0eedce14a75

h3. Fixed

* Mainmenu poroblems with combatdeaf [Sickboy]




h2. Fri Dec 03 18:53:46 +0100 2010

Build 435
Updated to source:@783944f71426d852f0eea304fb074f648bad73e9

h3. Changed

* Former ace_wounds_rcode1 can now be multiplexed by using "ace_sys_wounds_rev2" event. [Sickboy]

h3. Added

* "ace_sys_wounds_rev" event when wounds PMR is enabled. Triggers when killed and countdown starts. closes #11270 [Sickboy]




h2. Fri Dec 03 15:48:47 +0100 2010

Build 434
Updated to source:@8ec1dbd1492ff612bb7300e72b3afecb46c597a3

h3. Changed

* Added CSW Support for Primary Weapons [Sickboy]
* All ACE Logics (modules etc) now have simulation disabled. [Sickboy]
* Fastroping now accessible via Interaction Menu for passengers, refs #14673 [rocko]
* MedicalGear also added after respawn. [Sickboy]
* NVGs can't be used with binoculars [VKing]
* Slightly lowered unconscious chance from medium damage to the legs/arms. [Sickboy]
* Vector 21 magnification changed to 7x day and 4.5 night (by Robalo) [rocko]
* When fastropes are deployed the JUMP OUT actions are replaced with FASTROPE action to avoid wrong actions being performed, refs #14673 [rocko]

h3. Fixed

* AI Medic handling didn't support 'buddy healing'. refs #15508 [Sickboy]
* AI Wounds attending doesn't waste medical items anymore on local units, when they don't require them. [Sickboy]
* AI Wounds attending now supports healing by medkit, for local units. refs #15508 [Sickboy]
* Magnitude calculations in rocket_ballistics and stamina [Sickboy]
* Metis CSW couldn't load ammo [VKing]
* Only players received medical gear. refs #15508 [Sickboy]
* PMC IED Muzzles. fixes #15489 [Sickboy]
* Player retained deafness after switching units [Rommel_has_big_sausage]
* Removed radar  from UH-1H [zGuba]
* Removed radar from AN-2 [VKing]
* Repair not working for vehicle damage enabled vehicles. fixes #13912 [Sickboy]
* T55 and BMP3 muzzle recoil and shockwave. refs #15350 [Sickboy]
* Tripwires didn't work when set up in buildings, fixes #14182 [rocko]

h3. Added

* 9M131F Thermobaric missile for the Metis, values by Zach, closes #13127 [VKing]
* A10 bomb loadout variants [VKing]
* Ability to help wounded but conscious players that cannot walk anymore with walking (Carrying) [rocko]
* Ability to replace tyres on damaged wheels with new editor object "Spare Tyre" [Daniel Cousens]
* Config support for PMC [rocko]
* Cycle to the gear of AI in your squad from within gear dialog. [tcp]
* Exchange magazines for Konkurs Missiles [VKing]
* Konkurs-M ammo for konkurs CSW [VKing]
* Option to make the player a medic by default with medical supplies, SinglePlayer only. refs #15508 [Sickboy]
* Parachutes in BAF helicopters, ref #13192 [VKing]
* Takistani Army Konkurs team [VKing]
* Thermobaric ammo simulation [q1184]
* Tracer magazines for SKS, FAL, G3, HK417, Mk.17 [q1184]
* Wounds knock down on hit feature, depending on energy. By Jaynus. closes #15529 [Sickboy]




h2. Fri Nov 26 18:37:57 +0100 2010

Build 433
Updated to source:@9e27e81576b0b66c177ac0478dee254af3dc6bc5




h2. Fri Nov 26 18:18:31 +0100 2010

Build 432
Updated to source:@35edf472fb1858b8751fa2e426417e3d7590fa6c




h2. Fri Nov 26 16:38:06 +0100 2010

Build 431
Updated to source:@21b8da387434b7185fccc608bca201fb3e474386




h2. Fri Nov 26 16:03:47 +0100 2010

Build 430
Updated to source:@3523126e78ade1c1f2ddbcfdc19bd8fdaf398a62

h3. Changed

* Added CSW dissassemble override, object variable: "ace_sys_crewserved_disableDisassemble", by Sandiford. closes #15042 [Sickboy]
* Added ace_hasAfterburner object variable to allow mission makers to add afterburner to custom planes. [Sickboy]
* Applied shotShell simulation to Tank Shells, restoring physical recoil and dustwave. Thanks to PvPScene for "RevertedTankWeaponsToShotShellSimulation". closes #15350 [Sickboy]
* Backwards compatibility classes are now tagged with: ace_bwc = 1;, so they can be filtered in classlists etc. [Sickboy]
* CSW Mortars now have option 'Fire on Load', to operate the Mortar like a real mortar (first set elev+dir, then just throw in mortars that fire immediately). [Sickboy]
* CSW Mortars now use non-ARTY_ magazines by default. Hopefully fixes issues with aiming using BIS' artillery computer [VKing]
* Do not magic heal (reset damage) after applying a Bandage. refs #14578 [Sickboy]
* Fire does not do immediate damage, first warning, damage after ~2 seconds. fixes #15379 [Sickboy]
* Healing by medic now possible at medical vehicles/objects. [Sickboy]
* Markers created by Nuclear Weapons System are now also persisted to JIP players. closes #15298 [Sickboy]
* Prevented strange combinations when towing vehicles, refs #14625 [rocko]
* Rucksack item picture moved in front of display name [Xeno]

h3. Fixed

* Able to tow/pull vehicles with crew already in them. refs #15396 [Sickboy]
* BloodDrips when bleeding when wounds system is enabled. [Sickboy]
* CSW not reloadable after first load. fixes #15311 [Sickboy]
* CombatDeaf reset after respawn. [Sickboy]
* Don't play vehicle radio for disabled vehicles (sys vehicledamage) [Xeno]
* Gear dialog CTDs caused by unnecessary dialog onKeyDown event which could be executed while the dialog is loading (not good), fixes #15348 [Xeno]
* Gear dialog weight calculation [Xeno]
* Gear dialog, jumping / flashy gear pages, fixes #15348 [Xeno]
* IFAK items behaviour [Xeno]
* Interaction Menu still open after respawn. fixes #15378 [Sickboy]
* Magicbox. [Sickboy]
* Mortars cause knockdown when firing. fixes #15375 [Sickboy]
* No CSW Menu on Tripods. fixes #15276 [Sickboy]
* Small chance of sys_aitalk script error [Sickboy]
* Towing for non cars [Sickboy]
* Tunguska SAM guidance issue [VKing]
* Undocumented features of FFAR fix [zGuba]
* Unlimited mortar unloading on BIS mortars with 8 round magazines. [Sickboy]

h3. Added

* Ability to use CBA events triggered when a setting is saved. [Sickboy]
* Ace_sys_arty, by Sandiford. closes #15010 [Sickboy]
* Alternative round tracer models (enable via clientside config). [q1184]
* M576 Buckshot round for M79 [rocko]
* US and TK mortar teams [VKing]



h3. Added

* Alternative round tracer models (enable via clientside config). [q1184]


h2. Fri Nov 19 18:33:11 +0100 2010

Build 429
Updated to source:@30343e8c6c964a8240d5e29c8d1f49452f998bbd

h3. Fixed

* Corrected sling rope hooked message [Xeno]
* Don't check for the name of an Interaction menu cursorTarget if it is not of kind Manbase [Xeno]
* MH6/AH6 MaxSpeed upped to 282 instead of 235. [Sickboy]




h2. Fri Nov 19 14:35:14 +0100 2010

Build 428
Updated to source:@3ab6b450078de1a9b8c681492798252cdb9f1c6e




h2. Fri Nov 19 14:16:07 +0100 2010

Build 427
Updated to source:@d45b32364e9337ff18191a9b4abf80c44e97cd0e




h2. Fri Nov 19 13:54:35 +0100 2010

Build 426
Updated to source:@72ae83e47ade036308170a0bab6044f4d466154f

h3. Changed

* AI vehicle crews rate of fire at distance improved [zGuba]
* ALL MP Missions moved from store to missions addons included with modfolders. [Sickboy]
* AT sight adjustment system now supports several ammo types for one weapon [q1184]
* Asst. AT no longer has SCAR-L, refs #15188 [rocko]
* Disabled TI/NVG for Soflam; might become seperate 'attachments'. [Sickboy]
* Greyed out Show Cargo, if vehicle is cargo capable but has no cargo currently. [Sickboy]
* L7A2 minitripod optic to match M145 [VKing]
* M3 MAAWS: new reticle, sight adjustment for all ammo types [q1184]
* RPG-7 PGO ironsights are now adjustable [q1184]
* RPG-7: sight adjustment for all ammo types [q1184]
* Reapplied driving over gravel fix again. [Sickboy]
* Removed, action menu entries for wounds self player treatment [Xeno]
* Replaced SeaGull with Butterfly model. [Sickboy]
* Returned default reticle on Pecheneg [q1184]
* Rifles with GL have a different recoil [q1184]
* Tweaked overpressure effects, refs #14945 [rocko]
* UH-1H sounds from RobertHammer, refs #14920 [rocko]
* You can now take ammo from secondary turrets, if you are inside the turret you want to take ammo from. [Sickboy]

h3. Fixed

* AGS-30 tripods not firing [zGuba]
* AI talk firednear reacts  to suppressed weapons, refs #14988 [Xeno]
* Heavy sniper rifles did not deafen, refs #15174 [rocko]
* L7A2 minitripod used wrong ammo [VKing]
* Occasional being unable to enter some CSW after crew was killed, refs #15015 [rocko]
* On Fire effects still played after death / during spectating etc. [Sickboy]
* Saclos guidance of M_9M311_AA; Tunguska missile. closes #15052 [Sickboy]
* UAV Hellfires were not controllable. Rudementary aiming now possible. Steps; take fire control, fire the laser once (see dot), switch to hellfire, fire, and guide it with the dot. fixes #14606 [Sickboy]
* Wrong IDC for Afterburner key control, #fixes #14966 [Xeno]

h3. Added

* Ability to flip frowned upon ATV [zGuba]
* Basic implementation - Possibility to decide on which side to exit a helicopter, refs #10808 [rocko]
* Exchange magazines between units and vehicles with compatible magazines. e.g M240 belts, M2 belts (for CSW), etc. closes #15076 [Sickboy]
* FFAR initial position improvement [zGuba]
* Flip ATV action [zGuba]
* Improved explosion effects (knockout, deafness, earring, blurring), refs #15070 [rocko]
* Placeable mines in editor [rocko]
* Possibility to see names of vehicle passengers for recognize system, refs #9600 [rocko]
* SIX Battle Center Multiplayer missions. [Sickboy]
* Swimming fix, based on TrueMods by RG. [Sickboy]



h3. Changed

* ALL MP Missions moved from store to missions addons included with modfolders. [Sickboy]

h3. Updated

* WarfareBE ACE Edition, by {Op4}Bsilenced. [Sickboy]


h2. Mon Nov 08 18:02:01 +0100 2010

Build 425
Updated to source:@c95e9f5ebcc5f8fe9d6088526415ed9d7052174f

h3. Fixed

* Stamina for OA Special Forces troops [VKing]




h2. Mon Nov 08 14:24:41 +0100 2010

Build 424
Updated to source:@0a169a2635e18d45f9ffe1ed5d82912027f06b9c

h3. Changed

* (Re)loadTime for CSW now configurable. Mortars configured for 1 second. [Sickboy]
* Improved SPG-9 ballistics [q1184]
* Slightly lowered Civilian Stamina modifier. refs #14913 [Sickboy]

h3. Fixed

* ACE Settings dialog keys configuration stop working properly when other mods with keyhandler config classes are present. fixes #14943 [Sickboy]
* Animals were considered burning on killed. Fixes Combustable cattle etc :). fixes #14955 [Sickboy]
* CSWDM magazines should load max-sized magazines, as setVehicleAmmo is used to limit the available ammo. fixes #14899 [Sickboy]
* Error: NoEntry Config.bin\CfgSkeletons. Thanks to Extel.sk community for testing and supply repro! fixes #14759 [Sickboy]
* M224 HE CSM Mag should use proper classname: ACE_M224HE_CSWDM. fixes #14915 [Sickboy]
* M224 missing from editor. fixes #14944 [Sickboy]
* Mortars would get multiple rounds available after a reload. fixes #14899 [Sickboy]
* Rounds Left message incorrect when unloading CSW. [Sickboy]
* T-72 wrecks missing Shadow LOD [zGuba]
* Undefined variable "ace_sys_ofpec_ils_fnc_init" error on servers. [Sickboy]
* Unmounting CSW without magazines. fixes #14914 [Sickboy]

h3. Added

* 60mm mortar damage value by Sandiford, closes #14916 [rocko]
* Quick magazine check. Hit SHIFT-G to display the magazines you currently have [Xeno]




h2. Fri Nov 05 18:06:50 +0100 2010

Build 423
Updated to source:@fe53687bfe7e239cc1ab45f4df0492105525f40a




h2. Fri Nov 05 17:39:37 +0100 2010

Build 422
Updated to source:@2239dd7afc23e718dab0325d9e869d61046d336d




h2. Fri Nov 05 15:40:45 +0100 2010

Build 421
Updated to source:@88b0a2960d4118aa5d2c930ecf405084db6a903e

h3. Changed

* Added detection of default OA destruction (fire). refs #14818. [Sickboy]
* Cargo is now unloaded at the same position where it was loaded (relative to the transporter), fixes #14783 [rocko]
* Crew members do not catch fire on eject due to protective clothing - still will experience damage though. refs #14819 [Sickboy]
* Current elevation/windage are displayed when using quick sight adjustment, but only when not looking down the scope. [q1184]
* Improved burning distances. refs #14818 [Sickboy]
* Improved penetration model; better body armour calcs and over penetration is taken into account. Damage is now a combination of blood loss [penetration depth * calibre] and energy dissipated in the target. By Sandiford. refs #11364 [Sickboy]
* It takes longer to propagate fire to infantry than to civilians. refs #14819 [Sickboy]

h3. Fixed

* ARs didn't deafen anymore. fixes #14868 [Sickboy]
* Ammobox destruction fire was undetected (no XEH for boxes). fixes #14818. [Sickboy]
* Don't show the map when the Use Map module is placed and a player doesn't have a map but a DAGR [Xeno]
* Jerrycans weren't burning anymore. [Sickboy]
* Mk19 default magazine not accepted by weapon. fixes #14820 [Sickboy]
* Remove DAGR resource when a player removes it from his inventory [Xeno]
* Units inside vehicles didn't receive scripted damage any longer [Sickboy]

h3. Added

* 100 round M249 tracer magazine, closes #14896 [VKing]
* Fire propagation TO ammoboxes and jerrycans. [Sickboy]
* IFAK slots, refs #14293 [tcp]
* M224 mortar [rocko]
* Quick sight adjustment with arrow up/down/left/right without opening adjustment dialog. No visual feedback, only audible clicks. [q1184]




h2. Mon Nov 01 19:07:38 +0100 2010

Build 420
Updated to source:@aef010c8ebd46544de8beab5bc5c20918f148125

h3. Fixed

* Only heavy sniper rifles should deafen. fixes #14816 [Sickboy]




h2. Mon Nov 01 18:00:44 +0100 2010

Build 419
Updated to source:@67e3f4491ab6b6f26252eec5557715e9a0e70d08




h2. Mon Nov 01 17:10:57 +0100 2010

Build 418
Updated to source:@0890af3864274d4de6002818ea6fc54552adbabd

h3. Changed

* Disable Jerry actions inside vehicles. refs #14731 [Sickboy]
* Improved AI-on-fire behaviour. [Sickboy]
* Map Tools to use updated grid functions. fixes #14745 [Sickboy]
* Rudimentary damage handling for incendiary grenades. refs #14799 [Sickboy]

h3. Fixed

* Burning indicator when players respawn during burning. fixes #14765 [Sickboy]
* Burning state for respawning AI. refs #14765 [Sickboy]
* DAGR Returning nil to keyhandler. fixes #14745 [Sickboy]
* DAGR didn't take island ElevationOffset into account. fixes #14745 [Sickboy]
* Fire propagation distance. fixes #14809 [Sickboy]
* Jerrycans were not loadable anymore, only transportable by packing, etc. [Sickboy]
* Metis & Konkurs CSW [Sickboy]
* No entry CfgSkeletons. fixes #14759 [Sickboy]
* Player hud (stance indicator) shows up again after teamswitch (this should also fix the save game problem), fixes #14432, #14499 [Xeno]
* Show glasses and masks submenu self only when the players has them or is using them [Xeno]
* Submenu caption resource length for various self menu submenus [Xeno]

h3. Added

* Fixed BIS_fnc_posToGrid. refs #14745 [Sickboy]
* Rudimentary support for putting fire out on unconscious units. refs #14767 [Sickboy]




h2. Sat Oct 30 14:24:06 +0200 2010

Build 417
Updated to source:@cf74a58b7375ecc3a37a4415d6b33f31045e7c8a




h2. Sat Oct 30 14:19:56 +0200 2010

Build 416
Updated to source:@7f572d0053f945a7a0b846872693c921da9a68b0

h3. Changed

* Improved Jerrycan interaction after unpacking. refs #14731 [Sickboy]
* M252 Mortar changes are in ACE_M252 class now, restoring backwards compatibility for the original M252 classes. refs #14744 [Sickboy]
* Reapplied Sandiford's Dispersion settings for ARTY. refs #14601 [Sickboy]

h3. Fixed

* Fuel transfer calcs. refs #14731 [Sickboy]
* Jerrycan enterable as gunner. fixes #14731 [Sickboy]
* Jerrycan had gearSpace and default jerrycan etc onboard. refs #14731 [Sickboy]
* Jerrycan is selectable as weapon. refs #14731 [Sickboy]
* Jerrycan is unpackable inside vehicles. refs #14731 [Sickboy]
* Load JerryCan in JerryCan. refs #14731 [Sickboy]
* M2/M4 SLAM mine orientated correctly, fixes #10812 [rocko]

h3. Added

* Fixed variant of BIS_ARTY_F_ShellFlight. Fixes BI Arty Module incompatibility with OA 1.55 beta's extended fired eventhandler parameters. refs #14502 [Sickboy]
* Russian translation to sys_cargo. By Dominges. refs #14731 [Sickboy]




h2. Fri Oct 29 17:33:44 +0200 2010

Build 415
Updated to source:@9731b3a5d5d1fdb275fdd74d05926f8672cee721




h2. Fri Oct 29 17:07:49 +0200 2010

Build 414
Updated to source:@746e61fb0851fdf1e81372848156c3384d5a20ed




h2. Fri Oct 29 16:31:52 +0200 2010

Build 413
Updated to source:@8d00a9fe2f970778e214300372c9d84b6e72e938

h3. Added

* CSW support for mortars [rocko]




h2. Fri Oct 29 14:40:31 +0200 2010

Build 412
Updated to source:@8e7086578b8fde4ebf81b71aaa118c4d18ee3e83




h2. Fri Oct 29 14:35:39 +0200 2010

Build 411
Updated to source:@cfe5433159bdf5f045dadf08f37cf2f6e1b636a1

h3. Changed

* Added "ACE_STAMINA_CLASS" object variable to override Stamina setting by specifying the classname you want the settings to be based on. closes #13006 [Sickboy]
* Added Targetting crosshair to Mi24_P gunner for Ataka target selection (Move head (default; ALT) and use long right mouse click), much like on AH64-Longbow. fixes #9671 [Sickboy]
* CSW can be dragged. closes #14643 [Sickboy]
* Changing fire mode selector preference doesn't require mission restart to take effect anymore. [q1184]
* Crew in Vehicles is unaffected by Fire until occupying vehicle is on Fire. refs #14587 [Sickboy]
* Fire does damage to players. #14587 [Sickboy]
* Removed sys_bi_artillery, some parts are left for compatibility [Xeno]
* Show 'to' vehicle name in Transfer fuel menu entry. [Sickboy]
* Temporary reverted NVGGoggles in Item slots, until savegame bug fixed [Rocko]. fixes #14689 [Sickboy]

h3. Fixed

* ACE MissileGuidance LOAL at >1-1.5km range. fixes #13677 [Sickboy]
* BuddyHealing for actionmenu entry. fixes #14621 [Sickboy]
* CZ soldiers carry correct (sa58) magazines [VKing]
* Don't show transfer fuel menu in the interaction menu when target and original vehicle are the same, fixes #14570 [Xeno]
* Inconsistent RPG (etc) starting with unloaded weapon. [Sickboy]
* Jerrycan's are always empty. fixes #14593 [Sickboy]
* Loaded cargo didn't show up in the unload dialog, refs #14563 [Xeno]
* M107 sonic crack audible in scope view, refs #14592 [rocko]
* No dust effects and coughing for VTOL planes when the engine is off (they have no spindown phase in ArmA) [Xeno]
* Remove bodybag magazine from player inventory when he puts a dead unit into a body bag [Xeno]
* Roundcount Icon showed Rifle magazine instead of MG magazine, on single slot MG mags. fixes #14699 [Sickboy]
* Settings serialization functions with scalar at the end. fixes #14664 [Sickboy]
* Show cargo dialog was available in a flying vehicle [Xeno]
* Slingload rope positions for all available choppers updated and corrected, fixes #14631 [Xeno]
* Towing unlocks editor/mission locked vehicles on detach. refs #14625 [Sickboy]
* Vehicle crew was improperly protected since OA, even with vehicledamage and wounds enabled. fixes #14667 [Sickboy]
* Vz58 can't use AKM magazines [VKing]

h3. Added

* ACE_ItemsBox; containing items like GPS/Compass/Radio/Watch/DAGR. refs #14043 [Sickboy]
* Ability to use ironsight on RPG-7 PGO-7 [zGuba]
* Ace_fnc_isCrew and isPilot. Uses config values, but can be override with "ace_is_pilot" and "ace_is_crew" object variables. [Sickboy]
* FX, units that eject out of a burning tanks or wheeled apcs are burning and screaming [Xeno]
* Fire propagation from AI to AI, and All-Objects to AI. refs #14587. [Sickboy]
* Fire propagation from Player to Player, Player to AI, AI to Player and All-Objects to Player. refs #14587 [Sickboy]
* PG-7VM round by Dan [zGuba]
* Tracer magazine for Sa58 [VKing]




h2. Fri Oct 22 18:03:02 +0200 2010

Build 410
Updated to source:@75337fb20be5f698e9ba96f5e1e00cf34e303526




h2. Fri Oct 22 17:18:17 +0200 2010

Build 409
Updated to source:@148fa974a685ec97a15dd3a1a1ccbdfa9859f687

h3. Added

* Smokeshells have sound during emitting smoke [rocko]




h2. Fri Oct 22 15:16:25 +0200 2010

Build 408
Updated to source:@158018681b07c7f78c05dfb7e444735efbecff0d




h2. Fri Oct 22 14:54:28 +0200 2010

Build 407
Updated to source:@627721b908dcac718bd8770833210736412303ee

h3. Changed

* 4-digit grids on map, thanks to Robalo for sharing, refs #14481 [rocko]
* Air and Ship based vehicles can now be used for cargo load. closes #14511 [Sickboy]
* Apache AH1 now has half/half laser/radar guided hellfires [VKing]
* BAF Engineer/Medic weaponslots in line with others. closes #14517 [Sickboy]
* Cars with default transportMagazines contain 1 Rope magazine for towing by default. refs #14401 [Sickboy]
* Changing recognize is now possible ingame via ACE Options dialog [Xeno]
* Changing tracking marker colors and size possible via ACE settings dialog [Xeno]
* Disabled Eject debug. [Sickboy]
* Group markers can now be enabled/disabled with the settings dialog (if enabled globally) [Xeno]
* Immersive Dismount & Staying Brass options added to ACE Settings dialog. refs #14504 [Sickboy]
* It is now possible to change all ACE keys ingame [Xeno]
* Lock towed vehicles until detached. refs #14401 [Sickboy]
* M110 AN/PVS-10 now fixed 8.5x magnification [VKing]
* Moved dynamic ACE Settings out of external Userconfig hpp's, left only what can't be moved (/yet). refs #14504 [Sickboy]
* Moved tracking stuff to client in options dialog, added Fix Headbug button, Viewdistance slider and Terraingrid (Gras) Combobox(Viewdistance and Terraingrid is disabled by default, has to be enabled by the mission maker with ace_settings_enable_vd_change = true and ace_settings_enable_tg_change = true) [Xeno]
* NV goggles no longer occupy a binocular slot in the gear menu, thanks to Robalo for sharing, refs #14479 [rocko]
* Only show towing actions in interaction menu when they apply. refs #14401 [Sickboy]
* ReEnabled ACE_EmptyBox; useful for adding weapon/magazine cargo, for use with the cargo system. refs #14462 [Sickboy]
* ReEnabled default BIS Packs. closes #14498 [Sickboy]
* Reverted manual speed calculations in sys_missileguidance. fixes #13733 refs #13679 [Sickboy]
* Ruckless model replacement (built-in rucks on model) is now an optional userconfig option. closes #13544 [Sickboy]
* Show Drag option (greyed out) on objects that are dragable but too heavy. refs #14448 [Sickboy]
* Still apply damage to fully submerged vehicles. refs #14401 [Sickboy]
* When cars go too deep into the water, crew will be auto-ejected. refs #14401 [Sickboy]

h3. Fixed

* Apache AH1 had double set of FFAR/CRV7s, ref: #13192 [VKing]
* BAF Pilots had no proper protection settings. fixes #14452 [Sickboy]
* Blackhawk can not slingload, fixes #14441 [rocko]
* Double cut-sling action menu entries. fixes #14442 [Sickboy]
* M230 FCS was overshooting. fixes #13679 [Sickboy]
* Magnitude calculations, refs #13679 [Sickboy]
* Only Car-based vehicles should be able to tow ;-). fixes #14505 [Sickboy]
* Pulling unconscious units out of vehicles [Xeno]
* Using weaponselect didn't change the transparency of the gasmask overlay, refs #13759 [Xeno]
* Wounds bleeding effect wasn't drawn behind gasmask resource, refs #13759 [Xeno]

h3. Added

* ACE_Settings aware CBA_fnc_readKeyFromConfig. [Sickboy]
* BAF Ruckless replacements. closes #14517 [Sickboy]
* CSW support for static BAF weapons [rocko]
* Clipboard ACE settings import/export. refs #14438 [Sickboy]
* Fuel system; transfer fuel between Car, Air and Ship vehicles, and jerrycans. refs #13540 [Sickboy]
* Function to swap M4's for SCAR's for those who prefer. ACE_fnc_swapM4forSCAR. closes #14506. [Sickboy]
* New Transport Weapon boxes, excellent for cargo etc! refs #14462 [Sickboy]
* Possibility to flip GL leaf sights up/down by pressing 'select GL' key while GL muzzle is selected. Supported by ACEX M4s,M16s,HK416s,G36s. [q1184]
* Settings.ace userconfig data-file. refs #14438 [Sickboy]
* Towing Rope dummy magazine; ACE_Rope_TOW_M_5. Replaces placeholder ACE_Rope_M_50. refs #14401 [Sickboy]
* Userconfig import from dumpfile. refs #14438 [Sickboy]

h3. Removed

* ACE_NOINTRO in favour of new arma2 OA startup parameter; -skipIntro. refs #14504 [Sickboy]



h3. Changed

* Moved Combined Ops MPMissions to CO subfolder. [Sickboy]
* Moved dynamic ACE Settings out of external Userconfig hpp's, left only what can't be moved (/yet). refs #14504 [Sickboy]
* Ruckless model replacement (built-in rucks on model) is now an optional userconfig option. closes #13544 [Sickboy]

h3. Added

* ACE A2 (Combined Ops) MPMissions again. [Sickboy]
* Function to swap M4's for SCAR's for those who prefer. ACE_fnc_swapM4forSCAR. closes #14506. [Sickboy]
* Settings.ace userconfig data-file. refs #14438 [Sickboy]

h3. Removed

* ACE_NOINTRO in favour of new arma2 OA startup parameter; -skipIntro. refs #14504 [Sickboy]


h2. Fri Oct 15 18:44:17 +0200 2010

Build 406
Updated to source:@ffbbd0031cdac66c98a0c2658396d780e2bad780




h2. Fri Oct 15 16:52:24 +0200 2010

Build 405
Updated to source:@21527c59d8d420b12147ff59d2a8a10344da3b74




h2. Fri Oct 15 16:48:56 +0200 2010

Build 404
Updated to source:@876cc839b288724add9207ced97c33cf4aaa56f9




h2. Fri Oct 15 16:33:43 +0200 2010

Build 403
Updated to source:@c5aa364515961f9b4f436079c94898d378cd99fe

h3. Changed

* Applied arty round properties also to default classes, thanks to Sandiford. closes #14113 [Sickboy]
* Bandaging, or Injecting Morphine / EPI, will now consume item from receiver if receiver has the item, instead of by the user applying the action. closes #8849 [Sickboy]
* Claymore cable length to 60m. refs #14268. [Sickboy]
* Claymores have 700 projectiles, instead of 500. refs #14268. [Sickboy]
* Glock17 can take glock18 mags instead of M9 mags [VKing]
* HMMWV's survive in water. closes #10839 [Sickboy]
* Instead of text there is now an icon displayed on performing the magazine check aka roundcount. Update your userconfig (You can still re-enable the text version). refs #14307 [rocko]
* Suppressed weapons have less muzzle smoke [q1184]
* Updated Artillery Dispersion, thanks to Sandiford. refs #14386 [Sickboy]

h3. Fixed

* AI can aim with M32, M79 and Mk13 grenade launchers [VKing]
* AI can use M4A3 M203 [VKing]
* GAU ROF vs Sound. refs #14101 [Sickboy]
* Handanimations on DMR and L115, refs #13685 [rocko]
* RotorEffects not working in SP. fixes #14198 [Sickboy]
* SLAM mine could not be disarmed after placing, even if not armed [rocko]
* Script error when using MissileGuidance, and aim a target which has no XEH enabled. refs #14414 [Sickboy]
* Sight adjust for M4A3 M203, fixes #14260 [VKing]

h3. Added

* Basic cargo system (driven via Interaction Menu) [rocko]
* MFD Targeting indicator for Longbow radar targeting. Control with head movement (ALT key by default). fixes #14337 [Sickboy]
* Medical items to Warfare FieldHospitals. fixes #14269. [Sickboy]
* Survival Handle Damage Eventhandler for vehicles like HMMWV. refs #10839 [Sickboy]



h3. Changed

* Instead of text there is now an icon displayed on performing the magazine check aka roundcount. Update your userconfig (You can still re-enable the text version). refs #14307 [rocko]


h2. Fri Oct 08 17:47:02 +0200 2010

Build 402
Updated to source:@c5b607dc6b7bd8d9b11d9dc0934cb28727bf92b7

h3. Changed

* Coughing from rotor downwash less often, refs #14199 [rocko]
* Javelin doesn't have NV sensors [VKing]
* Player hellfires now run in PerFrame environment. [Sickboy]
* Player saclos now run in PerFrame environment. [Sickboy]

h3. Fixed

* Adjustment for SCAR EGLM, fixes #14258 [VKing]
* Dead dropped ruck method, OVAR bug, refs #13998 [tcp]
* Placing a satchel or throwing a SmokeShell did trigger AI talk firednear, fixes #14206 [Xeno]

h3. Added

* ACE_fnc_bulletCam. By zGuba. [Sickboy]
* AN-M14 grenade (WIP, just the model for now) [rocko]
* Gear in dropped rucks completely accessible. [tcp]
* GroupDebug function by Xeno. [Sickboy]
* Threat warning recievers for AH1Z and UH1Y, refs #14242 [VKing]
* Warning sounds for g-effects, refs #14171 [Xeno]
* Wind in MP is synced between server and all clients [q1184]



h3. Added

* Warfare BE ACE mission version, by {Op4}  Bsilenced. [Sickboy]


h2. Fri Oct 01 18:06:34 +0200 2010

Build 401
Updated to source:@1fa4a7545c12f60767f288ace96f28c4da267319

h3. Fixed

* Carl gustav ammo weight. Refs #13993 [VKing]
* M47 weight, refs #14100 [VKing]
* Some default Arty magazines not working. fixes #13908,#14001 [Sickboy]

h3. Added

* Coughing when in the middle of a rotor downwash [rocko]
* Dragging of small ammoboxes [rocko]
* Reworked GAU8 firing sounds by Megagoth1702 and MarkXIII [rocko]




h2. Fri Sep 24 17:49:14 +0200 2010

Build 400
Updated to source:@88bfeedb1c05d10df7ffedeb651aff6d39cfb5cb

h3. Changed

* ACE Arty shells are usable again in artillery weapons. fixes #13908 [Sickboy]

h3. Fixed

* PKM weight. ref #13888 [VKing]




h2. Mon Sep 20 16:28:54 +0200 2010

Build 399
Updated to source:@ed9bb36e7729b4f81e4884bf195dc7391ea43b3b

h3. Changed

* Carrying a wounded on a stretcher has impact now on stamina [rocko]
* Carrying/Dragging a wounded has impact on stamina [rocko]
* Delta Force no longer needs earplugs, they use ComTac [rocko]
* Immersive dismount added again, fixes #13806 [Xeno]
* Scope click sound updated [q1184]
* T-72 optics easier to aim with [zGuba]

h3. Fixed

* AI can use EGLM [VKing]
* Stryker MC had only one mk19 mag [q1184]
* Trying to deploy weapon w/o bipods when prone sometimes resulted in switching to standing pos [q1184]
* Weapon resting was allways possible when beeing crouched, refs #13833 [Xeno]




h2. Sat Sep 18 14:01:31 +0200 2010

Build 398
Updated to source:@c27b7894d2fd474d3d3fb42f893ced25dc13ffd4

h3. Fixed

* Stamina script errors due to ruck gearWeight function [Sickboy]




h2. Sat Sep 18 13:17:18 +0200 2010

Build 397
Updated to source:@7c87b01ee1950d67b9882bb4a75f6ccbde9510d3

h3. Fixed

* ARTY related error messages [Xeno]

h3. Added

* Sight adjust for M32, M79 and Mk13 [VKing]



h3. Updated

* Missions by AnimalMother92 [Sickboy]


h2. Fri Sep 17 18:33:15 +0200 2010

Build 396
Updated to source:@c7702b318b951f5a8e08bd6f444d9b5b56d61fce

h3. Changed

* Decreased AT launchers dispersion [q1184]




h2. Fri Sep 17 15:55:52 +0200 2010

Build 395
Updated to source:@f221e41aa78e2943beb9e7f8d7ec3e329970b0aa

h3. Changed

* G effects is now using per frame handler engine for non delayed g calculations and effect rendering [Xeno]
* HuntIR shows direction of camera and also corrected recording time [rocko]
* MX2A equipment picture [rocko]
* Missile guidance Opt Laserloop uses perFrameHandler [Sickboy]
* Muzzle smoke and ground dust spawn at the muzzle now [q1184]
* Normalization fix applied to Hellfire [zGuba]
* Temporary disabled missile guidance velocity adjustment. refs #13733 [Sickboy]

h3. Fixed

* AH1Z didn't have countermeasures [VKing]
* Ace_w_ismedic variable not taken into account at use epi/morph etc. fixes #13545 [Sickboy]
* Apache M230 ballistics [VKing]
* Btr-40 damage detection [q1184]
* Map tool no longer resets to origin position on map close. [Nou]
* Old dependencies in test missions. refs #13677 [Sickboy]
* Weapons system didn't respect ace_hide. Should speed up the magicbox and weapons+magazines scripts [Sickboy]

h3. Added

* Missile guidance test missions on Takistan [Sickboy]



h3. Added

* Coop MPMission Pack by AnimalMother92 [Sickboy]


h2. Fri Sep 10 18:36:03 +0200 2010

Build 394
Updated to source:@18bbfd729c56097587e3f5ca80d65f5e9cecd628




h2. Fri Sep 10 18:29:12 +0200 2010

Build 393
Updated to source:@2f0b868abef68a4c562a23fd356ec2242fa370bd

h3. Added

* MX-2A hand held thermal scope by Scubaman3D [VKing]




h2. Fri Sep 10 14:05:01 +0200 2010

Build 392
Updated to source:@84a245e3355e6dee0b5a17e89d8affdc1a258bbf

h3. Changed

* Improved flare visibility in daylight [rocko]
* Player Hud module removed, stance indicator can now be enabled via client userconfig, either on or of, refs #13497 [Xeno]
* Resting the weapon now reduces camera shake when firing [q1184]
* Rifle sight adjustment can be controlled by arrow keys (up/down - elevation, left/right - windage) and mouse (wheel up/down - change elevation, shift+wheel up/down - change windage, right button click - apply changes) while dialog is active. [q1184]
* Star cluster flare visible in daylight [rocko]
* Sys bi arty disabled until a solution is found for the artillery computer problems, refs #13495 [Xeno]

h3. Fixed

* BAF IED's not working. fixes #13541 [Sickboy]
* BIS backpacks not working. fixes #13426 [Sickboy]
* Missing texture on P159 radio series [rocko]
* Sys playerhud icon switched to standing while moving crouched, fixes #13508 [Xeno]

h3. Added

* CQB mode to M249 w/M145. Refs #11404 [VKing]
* Click sound to sight adjustment dialog [q1184]
* French translations by Tawah [rocko]
* Stryker MC Mk.19 RWS FCS [q1184]
* TNP-165A periscope for T-72 [zGuba]
* Weight calculation for BIS backpacks [rocko]



h3. Changed

* Player Hud module removed, stance indicator can now be enabled via client userconfig, either on or of, refs #13497 [Xeno]


h2. Fri Sep 03 18:18:43 +0200 2010

Build 391
Updated to source:@1fa236d38c4239eb634bb60ea76a754c250fe2f4

h3. Changed

* 100rnd m249 belt now takes 1 inv slot [q1184]
* Added fastrope and slingload capabilities to BAF choppers [Xeno]
* Corrected CSW magazine weights [rocko]
* Enabled goggles and earplugs in SP/Campaign mode with changing usernames (done by mission). In MP mode usernames still have to match. [rocko]
* NLAW made disposable [VKing]

h3. Fixed

* DSHKM was not reloadable [rocko]
* IR strobes not working [rocko]
* MH-60S viewOptics class. Fixes #13124 [zGuba]
* Probably ACE fire in the sky bug fixed, refs #13462 [Xeno]
* Wrong descriptionshort text for DSHKM magazine [rocko]

h3. Added

* Fire mode/safety switching sounds by tpM [q1184]
* L115 and AS50 sight adjustment [q1184]
* Module to force 1st person view outside vehicles [Xeno]
* Novoice support for RadioProtocol_BAF [Xeno]
* Sys aitalk support for BAF classes [Xeno]
* Sys playerhud. Currently only stance indicator, has to be enabled by placing the module in the editor [Xeno]
* Weaponrest for BAF weapons [Xeno]
* Weight and Volume for BAF Weapons [VKing]




h2. Fri Aug 27 18:41:26 +0200 2010

Build 390
Updated to source:@3fd1db5f3173bde021611fa17cfe04a5f30d9f48




h2. Fri Aug 27 17:34:41 +0200 2010

Build 389
Updated to source:@bfb58d7edf34accb4ac9517c9ae4833b7aa2bf54

h3. Changed

* Re-enabled Stryker MC in the editor [q1184]
* Removed unimplemented medical gear from boxes and vehicles, fixes #13273 [Xeno]

h3. Fixed

* 1.54 Artillery computer didn't work with ACE [Xeno]
* Open Praga display name [zGuba]
* SACLOS missiles stalling mid-air. Fixes #12989 [zGuba]
* T&E did not work for SOV's Mk19 [q1184]
* USMC TOW, Konkurs gunnery [zGuba]
* Vehicle markers don't take marker_override into account. fixes #12958 [Sickboy]

h3. Added

* Sys_weaponselect - an alternative way of selecting/cycling through weapons. Enable in clientside config, chek keys in ace_keys. [q1184]



h3. Fixed

* 1.54 Artillery computer didn't work with ACE [Xeno]

h3. Added

* Sys_weaponselect - an alternative way of selecting/cycling through weapons. Enable in clientside config, chek keys in ace_keys. [q1184]


h2. Fri Aug 20 18:41:02 +0200 2010

Build 388
Updated to source:@21b2dc14d4e7e40b277989c440adee391eb3cd10




h2. Fri Aug 20 17:27:59 +0200 2010

Build 387
Updated to source:@ba9668e886ef0e41410df9771cf063e9893c20b4

h3. Changed

* AH-64 optics zoom levels [zGuba]
* If wounds medic only is enabled it is now possible to make other units to medics (factions without medic) by putting  this setVariable ["ace_w_ismedic",true]  into the unit init line, refs #12971 [Xeno]

h3. Added

* Camera shake when firing vehicle weapons [q1184]
* Sa-58 ACOG reticle calibrated for 7.62x39 [q1184]




h2. Fri Aug 13 18:58:14 +0200 2010

Build 386
Updated to source:@248300e826b68e0b8f465cc229ceeb810bc024cf




h2. Fri Aug 13 17:56:47 +0200 2010

Build 385
Updated to source:@01ba49d5c1e84942a29b6f9fbd4fcf6dcb14a243

h3. Fixed

* Disappearing popup target [rocko]
* SACLOS guidance problems [zGuba]
* Throwing handgrenades while standing wasn't possible anymore, fixes #12746 [Xeno]




h2. Fri Aug 06 18:31:02 +0200 2010

Build 384
Updated to source:@17429c7e989f593194c1ea9b8338dfc3ae7ace91




h2. Fri Aug 06 17:25:12 +0200 2010

Build 383
Updated to source:@107f72cf05047ab88ffa72da7a80d80384586db5

h3. Changed

* Completed Russian Localizations. By HA [CCCP] http://our-army.su/ [Sickboy]
* Fixed launcher prone animations, fixes #12600 [Xeno]
* Longbow lock takes precedence over map-click place-holder by laser. fixes #12702 [Sickboy]
* Turret indicator now has a 45 degrees step [q1184]

h3. Fixed

* NullGroup vehicle tracking markers [Sickboy]
* Player can only drag one unit at once, fixes #12682 [Xeno]
* Poor mans revive countdown didn't show up when the player fell uncon in a vehicle and an uncon player doesn't eject out of an alive vehicle anymore, fixes #12680 [Xeno]

h3. Added

* Olive and gray balaclavas [rocko]




h2. Fri Jul 30 17:59:58 +0200 2010

Build 382
Updated to source:@022d67d0a36cb2025a84abe244264e5f023ba5e9

h3. Changed

* Added FCS to CROWS humvees [q1184]

h3. Fixed

* ACE_Test_TankFCS missions dependencies [Sickboy]
* Vehicle sight adjustments didn't work. [q1184]

h3. Added

* Turret direction indicator for armor [q1184]




h2. Fri Jul 23 17:23:52 +0200 2010

Build 381
Updated to source:@8b3be1942f7d8c40cafeeb463e5fa5c0d900f2a6

h3. Changed

* Tracking Markers will now also be shown for vehicles. Vehicles get numbered from 1 to xx. Vehicle markers atm take precedence over group markers (c/d/g). closes #9249 [Sickboy]

h3. Fixed

* PGO-7 shadow bug #12208 [zGuba]
* Tracking Markers didn't come back after certain conditions [Sickboy]




h2. Fri Jul 16 17:37:29 +0200 2010

Build 380
Updated to source:@4eaf105f0479afa61e1138e388868f10166b27ff




h2. Fri Jul 16 17:19:11 +0200 2010

Build 379
Updated to source:@8bc1e572203e3fb8e0fbca24986f85c0fd2a0591




h2. Fri Jul 16 17:06:15 +0200 2010

Build 378
Updated to source:@131d36853622fe3db0161d19e5678c29fad2135f

h3. Changed

* Mine interaction moved to interaction menu [rocko]

h3. Fixed

* ACE Demo1 mission broken dependencies. fixes #11862 [Sickboy]
* Error in expression for sys_ruck [Sickboy]
* Error in expression in sys_,missileguidance [Sickboy]
* Positions of air refueling hoses on the HC-130 tanker, fixes #11999 [Xeno]



h3. Added

* Domination mission, ACE for OA. [Sickboy]


h2. Fri Jul 09 23:30:59 +0200 2010

Build 377
Updated to source:@cc6d40860c37c6b962266bfb3acc739cf5931c0c




h2. Fri Jul 09 17:00:50 +0200 2010

Build 376
Updated to source:@4bbcc0282eb30e43892470044eea0f28b5e8e656




h2. Fri Jul 09 15:35:07 +0200 2010

Build 375
Updated to source:@eea08b3ba4b63bbe2eafd039b3a33592833eff82




h2. Fri Jul 09 15:08:52 +0200 2010

Build 374
Updated to source:@1941fff31bfdf8e50b038c067926f2261f39947d

h3. Changed

* Combined sys_flares, flashbang, gas, irstrobe, knicklicht and viewblock fired EH, into single ACE_simulation firedEH. [Sickboy]

h3. Added

* Module for Spectator Configs refs #10920 [ViperMaul]
* New variable ace_sys_spectator_SidesApprovedForSpectator refs #10920 [ViperMaul]




h2. Fri Jul 02 18:07:01 +0200 2010

Build 373
Updated to source:@2671962e1cd8447092a651afd3523ec4f98552ca

h3. Changed

* Temporary reverted Seagull back to original model. fixes #11527 [Sickboy]




h2. Fri Jul 02 16:23:07 +0200 2010

Build 372
Updated to source:@77a48aa394a4a9cc1674705d7d32bbcfb1f59f4a

h3. Fixed

* Sight Adjustment on Static Weapons, unrelated to interaction menu. fixes #11490 [Sickboy]




h2. Fri Jun 25 18:07:26 +0200 2010

Build 371
Updated to source:@8872c8e9f0735eabf4d77c4558d58d014ca813b9




h2. Fri Jun 25 17:54:07 +0200 2010

Build 370
Updated to source:@0e69e1546800adf56ecf36572cfbd52183cba23c

h3. Changed

* Backblast damage reduced when wounds is enabled, fixes #11414 [Xeno]
* Improved missile guidance systems reliability on weaker PCs [zGuba]
* Parachute steering system converted to cba_common_delayLess_loop. refs #11271 . [Sickboy]

h3. Fixed

* AI pilots in a plane on the ground without fuel constantly fired the engineOn EH which caused major performance problems, fixes #11391 [Xeno]
* Crash with betas when deploying countermeasures, Fixes #11345 [zGuba]
* Don't use tear gas effects when a player is in spectating mode, #fixes 11415 [Xeno]
* G effects code is now run inside non scheduled environment, fixes #9097, #10899 [Xeno]
* Magazines disappearing when switching from suppressed to non-suppressed weapon on back. fixes #11363 [q1184]
* Removed unneeded sight adjustment option from M1A1 CSAMM. fixes #11374 [q1184]




h2. Fri Jun 18 19:06:31 +0200 2010

Build 369
Updated to source:@629bf5ad5d01fad0b2ab20c26766280a759c6c8f

h3. Changed

* Adjusted sniper rifles accuracy [q1184]
* MagicBox is now processed inside PostInit. Should make the box sooner accessible. [Sickboy]
* Useractions moved to self-interaction menu (Goggles, Chemlights, Explosives, Copy Map) [rocko]
* Useractions moved to self-interaction menu (IR strobe, wirecutter, windmeter, CSW tripod deployment, spotting scope deployment) [rocko]

h3. Fixed

* Brighter camp fire light. Fixes #11316 [zGuba]
* Single custom muzzle weapons handling in sys_magazines. fixes #11223 [q1184]
* Spawn bi arty craters only once, refs #11182 [Xeno]

h3. Added

* ACE_fnc_changeLoadout function. refs #11162 [Sickboy]
* Basic CPR action to wounding system [rocko]
* TBG-7V round [zGuba]



h3. Added

* ACE_fnc_changeLoadout function. refs #11162 [Sickboy]


h2. Fri Jun 11 17:57:19 +0200 2010

Build 368
Updated to source:@57c8c788fe2a67a3f8eb631c6ba67a9a4ce3c0e3




h2. Fri Jun 11 17:45:56 +0200 2010

Build 367
Updated to source:@635601b8883bd8b039d277b781f4e42e9efd42f8

h3. Changed

* Added Earplugs to the Special Weapons boxes for US and RU. closes #11095 [Sickboy]
* MagicBox is now a logic initially instead of ammo-box. Fixes MagicBox not appearing in MP, JIP players. fixes #11069 [Sickboy]
* Show the name of the unit under the mouse cursor onscreen in dropped camera mode, refs #10875 [Xeno]

h3. Fixed

* AI Units removeMagazines in sys_disposal [rommel]
* Removed sight adjustment action from vehicles that should not have it. [q1184]




h2. Mon Jun 07 18:33:15 +0200 2010

Build 366
Updated to source:@7a6615647dc34716a2b4ed42cc9f8469f3df162f




h2. Mon Jun 07 16:22:20 +0200 2010

Build 365
Updated to source:@79b7542fa51d11ef67426138b01b9a1943b5b4ab

h3. Changed

* Ace_sys_spectator_dropped_check is now false as default. When the camera is dropped you can choose another unit by just clicking it on the screen, refs #10875 [Xeno]
* Added sys bi arty 81 mm ammo changes from sandiford, refs #11002 [Xeno]

h3. Fixed

* CTD with latest betas when trying to use weapon rest feature [zGuba]
* Excessive bandwidth usage in Air_FCS enabled vehicles. fixes #10929 [Sickboy]
* Items missing from magic box. fixes #11032 [Sickboy]
* SightAdjustment Entry showing up for vehicle without the feature (e.g Datsun). fixes #11043 [Sickboy]

h3. Added

* Ace_sys_spectator_CheckCaptive global variable; Set to true to exclude captive units from spectator (needs to be set on all machines). refs #11051 [Sickboy]
* Ace_sys_spectator_exclude object variable; Set on units that you don't want to be able to see in spectator (needs to be set on all machines). fixes #11051 [Sickboy]




h2. Fri Jun 04 17:46:51 +0200 2010

Build 364
Updated to source:@c255633630d6903ec88993dabd5f993f4e1c0f44

h3. Removed

* Deprecated ace_sys_crew_dmg [Sickboy]




h2. Fri Jun 04 16:13:40 +0200 2010

Build 363
Updated to source:@d2a87818b878bfb81324ee58e7d63b6859345cac

h3. Fixed

* AKS-74UN fire light. Fixes #10900 [zGuba]
* Crow Noise & Visible over Bodies & Players, Fixes #10857 [ViperMaul]
* Error message that occurs when switching laser designator on and off while controlling SACLOS missile. Fixes #10951 [zGuba]

h3. Added

* CBA version check and warning [Sickboy]




h2. Sat May 29 13:24:03 +0200 2010

Build 362
Updated to source:@1de2f1fa14a23b5585ecaccf21ec31977f0f2a49




h2. Sat May 29 12:48:55 +0200 2010

Build 361
Updated to source:@a3f50537e96796a95127104a3ad2ab2a6456588b

h3. Changed

* Applied Sandifords ace_sys_wounds energy calclations changes, refs #10832 [Xeno]

h3. Fixed

* Armor system did not initialize [q1184]
* XEH PostInit lockup [Sickboy]




h2. Fri May 28 17:16:59 +0200 2010

Build 360
Updated to source:@51e8c8072b35d598e7f1ffb3f045d2790956e2da

h3. Changed

* Key for roundcount can now be adjusted in ace_keys.hpp (some people wanted the sit animation back) [Xeno]

h3. Fixed

* Brightness adjustment for NVGs [rocko]
* CtrlSetText was missing for the revive buttons in spectator, refs #10642 [Xeno]
* Missing damage and wreck models for standard BIS vehicles [King Homer]
* Rate of fire increased for Hellfire ATGMs. Fixes #10769 [zGuba]

h3. Added

* Key to switch gunship laser designator on and off - L by default [zGuba]



h3. Changed

* Key for roundcount can now be adjusted in ace_keys.hpp (some people wanted the sit animation back) [Xeno]

h3. Added

* Key to switch gunship laser designator on and off - L by default [zGuba]


h2. Fri May 21 18:21:08 +0200 2010

Build 359
Updated to source:@8693802e6daf89eca3b982cf1b44949a20abf509




h2. Fri May 21 17:39:06 +0200 2010

Build 358
Updated to source:@08360b3e7a02fe91f5023e2ae87a52494d1f0390




h2. Fri May 21 16:04:51 +0200 2010

Build 357
Updated to source:@28f02d0603e0e6a953052010180e44219a8c085d

h3. Changed

* Crewprotection can now be read and set by scripting [Sickboy]
* Improved Hellfire reliability [zGuba]
* Reverted default BIS simulation for guided missiles launched by AI to solve performance related issues (script scheduling) [zGuba]

h3. Added

* Ace_fnc_hasCrewProtection and setCrewProtection API functions [Sickboy]
* ETA counter for Hellfire missiles [zGuba]
* MP car horn by Cyborg11, car horns available again in MP [Xeno]




h2. Mon May 17 18:43:04 +0200 2010

Build 356
Updated to source:@b32cc5a555582eb98d496da49a951807075c6c7b




h2. Mon May 17 18:40:07 +0200 2010

Build 355
Updated to source:@5bdee40a66e8c08b52317591464c3e0c91c412a9




h2. Mon May 17 17:51:34 +0200 2010

Build 354
Updated to source:@b9b6649ff7c204fb17b9e79f7822ce5084cdb524

h3. Changed

* Better SACLOS behavior [zGuba]

h3. Fixed

* SACLOS prediction shortcomings [zGuba]

h3. Added

* Possibility to lase for Kh-29 missile with a key press (default Space, update ace_keys.hpp). [q1184]
* Quick lase action for ace_sys_air_fcs, under Tab by default [zGuba]



h3. Added

* Possibility to lase for Kh-29 missile with a key press (default Space, update ace_keys.hpp). [q1184]
* Quick lase action for ace_sys_air_fcs, under Tab by default [zGuba]


h2. Fri May 14 21:14:03 +0200 2010

Build 353
Updated to source:@86443e572fe993c83c9785883333c687464f2b48




h2. Fri May 14 16:51:49 +0200 2010

Build 352
Updated to source:@7eddfed451cd9294a60be22bf63e60cc8670c788

h3. Fixed

* NVG off when sighting in SLAM mine [rocko]
* Unable to pick up inactive SLAM mine [rocko]




h2. Mon May 10 16:36:51 +0200 2010

Build 351
Updated to source:@0ea7b0818ea45afd5a50c8a816f9e00d8add70fe

h3. Added

* Menu Size (SafeZone) Support for ACE Spectator (Thanks zx64) Refs #10537 [ViperMaul]

h3. Removed

* Outdated ace_c_visibility addon [zGuba]




h2. Fri May 07 17:51:25 +0200 2010

Build 350
Updated to source:@8b36f9e793f7b690c7368119bc40443502474322

h3. Fixed

* #10322 [zGuba]

h3. Added

* Hostage popup targets, Tactical popup targets and just popup targets [rocko]




h2. Mon May 03 18:44:02 +0200 2010

Build 349
Updated to source:@90e9619ff709ee93ab229c20ea9fd93d70eb34e2




h2. Mon May 03 18:28:30 +0200 2010

Build 348
Updated to source:@8ca115704b74ecd92a8ae93422571c9d694f1644




h2. Mon May 03 15:42:20 +0200 2010

Build 347
Updated to source:@6ed90594ace991fefb76ff8aeaf165873ed3733a




h2. Fri Apr 30 18:56:08 +0200 2010

Build 346
Updated to source:@0ea29d5e7e01e23edb67ec6abe17140de924b2a2




h2. Fri Apr 30 17:12:45 +0200 2010

Build 345
Updated to source:@66f92466780fc9d94f1ffb56dd9446a3f535e18d

h3. Changed

* Fixed some conditions that caused script lags in sys wounds, added spectating (spectator) to poor mans revive [Xeno]

h3. Fixed

* Satchels kill again when wounds is enabled, refs #9670 [Xeno]

h3. Added

* RPG-7V with PGO-7 (config only, device model required) [zGuba]
* Sys_modelspecial to care for modelSpecial issues with rocket launchers [zGuba]




h2. Mon Apr 26 18:42:50 +0200 2010

Build 344
Updated to source:@2d4f912ae9def1f0c2eacc82bf152825fc076220




h2. Mon Apr 26 16:08:05 +0200 2010

Build 343
Updated to source:@1b63bec352748825d2defd01a65ba4bf157c9951

h3. Changed

* Sys_weapons functions added to API, and renamed to main ACE_ functions. closes #9406 [Sickboy]




h2. Fri Apr 23 18:42:31 +0200 2010

Build 342
Updated to source:@9c978bfa79e5cd98ffcb786d98664578b777e232




﻿h2. Fri Apr 23 18:37:26 +0200 2010

Build 341
Updated to source:@9c978bfa79e5cd98ffcb786d98664578b777e232




h2. Fri Apr 23 16:45:51 +0200 2010

Build 340
Updated to source:@52cff5cb360adf0163365d8c9572cdaaf2b03c90

h3. Changed

* Enabled sight adjustment for all tank commander MG's [q1184]
* FCS locked in missile mode while tracking SACLOS missiles, improved AI efficiency [zGuba]

h3. Fixed

* AT mines sometimes failed to cause damage to armor. [q1184]

h3. Added

* Modules to force group markers or and off. Ref #9586 [zGuba]
* T-72 catastrophic destruction FX [zGuba]




h2. Mon Apr 19 18:33:51 +0200 2010

Build 339
Updated to source:@0efadb3b159e44dce13d3309892498dff1a6d955




h2. Mon Apr 19 17:56:44 +0200 2010

Build 338
Updated to source:@5534886bce788552ea861e4730d630adefd18a43

h3. Changed

* ILS activated by keypress (default: compass key). Check ace_keys.hpp [rocko]

h3. Added

* "ATK"/"PR"launch authorization indication for helicopter borne SACLOS missiles [zGuba]




h2. Fri Apr 16 18:11:43 +0200 2010

Build 337
Updated to source:@0ecadaf16d69e2eb06c8ac0b62464f4da1f760d1

h3. Fixed

* #9379 and minor optimizations [rommel]
* 10064 [rommel]
* SYS_Stamina, units in vehicles would not lose fatigue [rommel]
* Sparkytags. refs #10086 [Sickboy]

h3. Added

* Concussion and Breathing effects (variables) to SYS_STAMINA [rommel]
* Range display for Russian gunships in optics view [zGuba]




h2. Mon Apr 12 16:51:36 +0200 2010

Build 336
Updated to source:@52ed119c4565f8c54f99a02c9a3b5db95343845e

h3. Changed

* Sys_slingload replaces sys_ravlifter. Details: ACE2 Docu [rocko]

h3. Fixed

* VSS/BizonSD/Val had muzzleflash at night [q1184]




h2. Fri Apr 09 17:47:13 +0200 2010

Build 335
Updated to source:@31db21a09b96dbc41ae5788e5c4f7938f4bf570b

h3. Fixed

* AGS grenades timetolive was insufficient for indirect fire [q1184]

h3. Added

* ShowClass script by Cyborg112, to ACE Demo1 mission [Sickboy]




h2. Mon Apr 05 18:32:19 +0200 2010

Build 334
Updated to source:@3df83cf480a4379cdfbeb88ffe294786e897782c




h2. Mon Apr 05 16:52:47 +0200 2010

Build 333
Updated to source:@7e7d72d6397a38fc85c75e84fe4b61a4d3b76148

h3. Changed

* Minor tweaked AI Talk Radio sounds volume [Sickboy]

h3. Fixed

* AI not using Ataka missiles during attack runs [zGuba]
* Sandbag deployment. You can use the self-interact key (APPkey by default) [Sickboy]




h2. Fri Apr 02 18:36:33 +0200 2010

Build 332
Updated to source:@84d4754e5cf5d909d8f0ac49ad8a67ecea0cf023




h2. Fri Apr 02 16:57:36 +0200 2010

Build 331
Updated to source:@309a2538191000abce979359cbd19c909e2c68ab

h3. Changed

* Autorotation alarm sound loudness tweaks. Ref #9750 [zGuba]
* Loudness of incoming missile alert. Ref #9750 [zGuba]
* Tank FCS now accounts for optics offset [q1184]

h3. Fixed

* #9657 [rommel]
* Huge FPS drop while holding Shift-Space in most situations. Old functionality kept 100%. [rommel]
* Repair module "Full repair" wasn't able to repair tanks unless tracks damaged too. fixes #9865 [Sickboy]
* Sys_stamina init [rommel]




h2. Mon Mar 29 21:15:11 +0200 2010

Build 330
Updated to source:@0de943c9e5b422233ff1899bf78f6f7cf36cccad




h2. Mon Mar 29 18:38:50 +0200 2010

Build 329
Updated to source:@4f510366718f30562ae729a21920d251708a0cf4




h2. Mon Mar 29 17:00:12 +0200 2010

Build 328
Updated to source:@cf99601a186bfe8ddc3c7cc89159d8fa292ef711

h3. Fixed

* Excessive secondaries from small aircrafts [zGuba]




h2. Fri Mar 26 16:58:59 +0100 2010

Build 327
Updated to source:@b1e61e783a597eb050abd02094b064f4629548a2




h2. Fri Mar 26 15:28:08 +0100 2010

Build 326
Updated to source:@dc62b2c77b752fc10cf56b508b99b71908ac484f




h2. Fri Mar 26 15:15:14 +0100 2010

Build 325
Updated to source:@78d35d18ef3ea5c387f9424dc7523d40c2a38fdc

h3. Changed

* Improved handling of HE damage for armored vehicles [q1184]

h3. Fixed

* Exaggerated explosions of small vehicles like ATV. [zGuba]
* Initial SACLOS limits ignored [zGuba]

h3. Added

* "Require ACE" module. classname "ACE_Required_Logic". Can be used to make sure your mission will require ACE, so that users without ACE cannot break the server / mission. [Sickboy]




h2. Mon Mar 22 17:42:39 +0100 2010

Build 324
Updated to source:@180969a88936fb55b3822e78a3a494536bcf41c1

h3. Changed

* ItemRadio Weight, represents approx PRC-148 [rommel]

h3. Fixed

* You can now use steerable parachutes placed in the editor. See http://ace.dev-heaven.net/wagn/Eject_HALO_System+notes for tips. [Homer Johnston]




h2. Fri Mar 19 18:22:18 +0100 2010

Build 323
Updated to source:@05dd5d23fe7799d4e710b8c92547a8e96fb95ca1

h3. Changed

* Former 75-round RPK-74 mags are now 45-round mags. [q1184]

h3. Fixed

* AI ejections [zGuba]
* FPS consuming issue with missile guidance systems [zGuba]
* HALO landing on carrier was treated as water landing [zGuba]




h2. Mon Mar 15 18:47:55 +0100 2010

Build 322
Updated to source:@a8764de24e10024f1a516cee80d13b8d63aa2e62




h2. Mon Mar 15 17:56:28 +0100 2010

Build 321
Updated to source:@4c8894045caab8907c0e160d70592fa51d6b075f




h2. Mon Mar 15 16:53:13 +0100 2010

Build 320
Updated to source:@dfbc7774addf4fcb307b4f1db26f3dd75557ed45

h3. Changed

* Parachute stuff! 1) Chute flight model - softer stalls, better flaring/floating ability, 2) Chute collision & landing behavior 3) Added knock-out effect if you pull ripcord whilst skydiving too fast. [Homer Johnston]

h3. Fixed

* Aerial laser designator could become frozen. [zGuba]
* Missile guidance is problematic with low FPS [Sickboy]
* Parachute screen-shake #8824 - use "freelook" key or TrackIR to look around now. [Homer Johnston]
* SACLOS missiles effectiveness improved against moving targets [zGuba]




h2. Fri Mar 12 18:31:57 +0100 2010

Build 319
Updated to source:@df0217dec7a9dd2c59fb214cfb8cdfbd18426544

h3. Changed

* In SP when wounding is enabled an action gets added to wounded units so that AI units != medics can heal other units too (only available for non medics, they still do their job alone), refs #9294 [Xeno]
* Initial support for nukes to use ACE armor damage system. [Evil_Echo]




h2. Fri Mar 12 16:46:58 +0100 2010

Build 318
Updated to source:@fe88c6344e110ef3ee59d809b1b09dd14eb06d43




h2. Fri Mar 12 16:22:53 +0100 2010

Build 317
Updated to source:@249987e3caca480efc677ce6e7a783b7c5cdef91

h3. Fixed

* Players can start with wrong weapon selected, like grenades instead of the primaryWeapon. [Sickboy]
* Shturm/Falanga FUBAR due to reversed data in limits script [zGuba]
* YakB bullets sometimes adjusted multiple times. [zGuba]




h2. Mon Mar 08 23:39:01 +0100 2010

Build 316
Updated to source:@19b9a5eb63079e3b702f9cd32643c67d2c3ea977

h3. Fixed

* Saclos/other systems that use fake laser, won't show laser dot anymore [Sickboy]




h2. Mon Mar 08 23:13:00 +0100 2010

Build 315
Updated to source:@8fd2a6b0fbb72bb3ce83564cacd96aa47083c425

h3. Fixed

* Issue with the icon scaler function caused it to gain priority over other things and break laser designators when player had map tools. [Nou]




h2. Mon Mar 08 18:29:39 +0100 2010

Build 314
Updated to source:@963beb2857be6d699e775d645bf119bb4a085b0c




h2. Mon Mar 08 17:21:11 +0100 2010

Build 313
Updated to source:@067623e234c8b06ad17cc01a8a1ab571c9786919




h2. Mon Mar 08 16:41:31 +0100 2010

Build 312
Updated to source:@9865ad74646fd7b051acfc531c63401ab405d107




h2. Mon Mar 08 16:33:15 +0100 2010

Build 311
Updated to source:@6c954d98aee6bb768e2f5d38e9c3c798f6d0b454

h3. Changed

* Shtora now detects lasing by tanks. [q1184]
* Shtora smoke more effective [q1184]

h3. Fixed

* Shell tracers don't ricochet anymore when the round is dead [q1184]

h3. Added

* Dumpconfig (to create allInOneConfig) to ACE_Demo1 mission [Sickboy]
* Ka-52's turret, Mi-24's USPU-24 get rangefinding and automatic correction for movement [zGuba]
* Mi-24's Shturm-V and Falanga-V missile guidance systems work as advertised in Russian sources [zGuba]




h2. Fri Mar 05 18:30:51 +0100 2010

Build 310
Updated to source:@b601a318c24a1b25d487c5d56d93a8bd8e8cc59f

h3. Added

* Automatic adjustment of AH-1 and AH-64 cannons [zGuba]




h2. Fri Mar 05 18:03:28 +0100 2010

Build 309
Updated to source:@331f54b9b801ae65b6c97add7ff284c76700977c




h2. Fri Mar 05 17:12:25 +0100 2010

Build 308
Updated to source:@4fc082e278e4dd34834c823ff4a72bc1b9ac2a57




h2. Fri Mar 05 15:22:23 +0100 2010

Build 307
Updated to source:@fbeaa70fe307a65ef34e3585119ef0010c08cc9e




h2. Fri Mar 05 15:09:51 +0100 2010

Build 306
Updated to source:@9610c74a6d068dc95a1c10f9b1f08b34307e5297

h3. Changed

* Aborting refueling will still give you the fuel you already received. refs #9415 [Sickboy]
* Finalized spectator [Xeno]
* Vehicle repairs that are broken off early, will still be partially repaired. refs #9415 [Sickboy]

h3. Fixed

* Skydive/Para control responsiveness would vary with FPS. Also Increased skydiver's gliding ability slightly. [Homer Johnston]

h3. Added

* Generic tank FCS (check ace_keys.hpp for bindings). [q1184]



h3. Added

* Generic tank FCS (check ace_keys.hpp for bindings). [q1184]


h2. Wed Mar 03 18:28:22 +0100 2010

Build 305
Updated to source:@932add502f7c0b3c7f42c077adbf4b80a19b3a45




h2. Wed Mar 03 18:25:17 +0100 2010

Build 304
Updated to source:@ba951b61d0e3722d0085f2eaa23e84ed933684ac




h2. Wed Mar 03 18:06:02 +0100 2010

Build 303
Updated to source:@1f8d5d176571b483ee0dd27b3ac906b69681d08f




h2. Wed Mar 03 17:09:24 +0100 2010

Build 302
Updated to source:@a2726769b59a7c5c7cbd35c81a520ba325780b24




h2. Wed Mar 03 16:19:39 +0100 2010

Build 301
Updated to source:@231a33065e98b95b57ba4dc537235fc58463b61a




h2. Wed Mar 03 16:06:43 +0100 2010

Build 300
Updated to source:@331277ac59bcb402306a80e8e6ac1d062b626c71




h2. Wed Mar 03 15:17:11 +0100 2010

Build 299
Updated to source:@2b23bea61f27bec74c4dd7f113a4360a3e69afb9

h3. Changed

* Aircraft ejections - general improvements [Homer Johnston]
* Improved airial refueling. Added correct external tanks to KC130 tanker (Model from NZDF Crash). Fuel probes can become damaged if released and flying close above ground or attempting to land/takeoff with released fuel probes [rocko]

h3. Added

* "Repair Tanks fully" (beyond tracks) module. When enabled, Damage simulation enabled vehicles can be fully repaired. refs #9376 [Sickboy]
* ACE_missions with basic demo mission(s) [Sickboy]
* Ingame help module by alef [rocko]




h2. Mon Mar 01 18:33:38 +0100 2010

Build 298
Updated to source:@56c89f5ee947d7383ef20768160d306f1c0ee0dc




h2. Mon Mar 01 18:19:01 +0100 2010

Build 297
Updated to source:@9dfa2dbbec59cb176e3b75a06eaf417b64bfcdd0




h2. Mon Mar 01 17:47:38 +0100 2010

Build 296
Updated to source:@0dc20f0f5cc6008756a2e8e5c9e5fc5922f9e1fd




h2. Mon Mar 01 17:02:00 +0100 2010

Build 295
Updated to source:@a713f78336dc75038de6f7da899346db8fdb7205




h2. Mon Mar 01 16:19:07 +0100 2010

Build 294
Updated to source:@67b599a98c43b23893704cea486d78c63b359f9f




h2. Mon Mar 01 16:05:17 +0100 2010

Build 293
Updated to source:@2f8c01fbc32bd0bfbf610e1186ad74b6b3349786




h2. Mon Mar 01 15:31:19 +0100 2010

Build 292
Updated to source:@15f89b0e185f14721a9c57378e1ce3363ef1994e




h2. Mon Mar 01 15:07:15 +0100 2010

Build 291
Updated to source:@8478dca4fa9c8d2530465815c74c86b1a8bd994b

h3. Changed

* Airburst mode and building sectional damage for nukes. [Evil_Echo]
* HandleDamage eventhandler gets when a unit dies, refs #9311 [Xeno]

h3. Fixed

* Longbow radar lock in MP! closes #9326 [Sickboy]
* Missile guidance problems over buildings [zGuba]
* Units standing in vehicles after teamswitch, refs #9289 [Xeno]

h3. Added

* ACE_ServerConfig VERSIONING_LEVEL define. To control the level of version checking performed. [Sickboy]
* Sys_spectator: Joy for mission makers, debuggers, testers, etc. [Sickboy]
* Sys_weapons, scripts and functions for enumuration of weapons and magazines, for use in boxes. Incl "MagicBox" for ease of use. [Sickboy]



h3. Added

* ACE_ServerConfig VERSIONING_LEVEL define. To control the level of version checking performed. [Sickboy]


h2. Fri Feb 26 20:20:41 +0100 2010

Build 290
Updated to source:@e7bf64442abc6db4f4c59c36d0cb562591a4f4d4




h2. Fri Feb 26 18:21:59 +0100 2010

Build 289
Updated to source:@d1a40fa6cabd190e726bcfa9c7c83fcd043af0b6




h2. Fri Feb 26 18:00:47 +0100 2010

Build 288
Updated to source:@ada2385b9a97aa6c3c808515bd8f6e5dff966a5d




h2. Fri Feb 26 17:32:50 +0100 2010

Build 287
Updated to source:@d9cc91709da989a64ee003a411d77beef73d7d44

h3. Changed

* Reduced intensity of tank cannons muzzle smoke  (refs #9217) [q1184]
* You can now access the gear of unconscious units, refs #9111 [Xeno]

h3. Fixed

* Various features like helidust didn't work in MP [Xeno]



h3. Changed

* You can now access the gear of unconscious units, refs #9111 [Xeno]


h2. Wed Feb 24 17:44:19 +0100 2010

Build 286
Updated to source:@4a28e1625e2416fd9ababf5361c52858d1b5a6f9




h2. Wed Feb 24 15:50:55 +0100 2010

Build 285
Updated to source:@c9fec685bd8f0b553dcd879171ebeeb9c7493028

h3. Fixed

* AI medics treat other units again when wounds is enabled, refs #9266 [Xeno]
* Bradley and other AI gunners get their cojones back [zGuba]

h3. Added

* Optional GPS-requirement for Tracking Markers [Sickboy]




h2. Mon Feb 22 19:35:48 +0100 2010

Build 284
Updated to source:@3fb6239fc78167b470d06c89fc7017e2e199eb2d




h2. Mon Feb 22 19:35:07 +0100 2010

Build 283
Updated to source:@587d2d7cd37147da9aeed23e8898ad0c320eb9bf




h2. Mon Feb 22 19:00:56 +0100 2010

Build 282
Updated to source:@dac5962e58a3fb70ae769c1753367940764c5018




h2. Mon Feb 22 18:55:18 +0100 2010

Build 281
Updated to source:@b683d5d08f1ff7a4f802dbd853e44a0456b36a17




h2. Mon Feb 22 18:50:29 +0100 2010

Build 280
Updated to source:@4c1ec7dd429bd13641b36f2f6b70a421ae95a815




h2. Mon Feb 22 18:22:44 +0100 2010

Build 279
Updated to source:@60941d5e4479a96b4024d572bc85ae3be44f2382




h2. Mon Feb 22 17:07:15 +0100 2010

Build 278
Updated to source:@9993b180a290c0e98d0abe2bf656c22aa2909877




h2. Mon Feb 22 17:00:00 +0100 2010

Build 277
Updated to source:@fe79b78bc5a05cb18a235eaad0d1328ed4ab2a38




h2. Mon Feb 22 16:54:59 +0100 2010

Build 276
Updated to source:@f73a10fa60cbccb24e868aba763e92a98266a854

h3. Fixed

* Team switch would not carry over stamina values, rather than new ones. [rommel]




h2. Mon Feb 22 16:04:32 +0100 2010

Build 275
Updated to source:@dd77812b2af58b1f132a60db9cdc26986aaf6459




h2. Mon Feb 22 15:20:36 +0100 2010

Build 274
Updated to source:@7738482c1e1d520a671ff16789321be9821db8cd

h3. Fixed

* ACE Refuel didn't work when fuel below 0.2. fixes #9220 [Sickboy]




h2. Sat Feb 20 12:54:40 +0100 2010

Build 273
Updated to source:@7c9ebbc3586837571b33663fa9944cd1b0ea6ce5

h3. Fixed

* AGM-114K was fire and forget in LOBL mode [zGuba]
* Extremely long reload times on some EASA weapons [zGuba]
* MFD running only once per mission [zGuba]
* Possibly null variable in expression error [rommel]
* Target designation for AH-1 Hellfires with AI gunners [zGuba]


h2. Fri Feb 19 18:54:02 +0100 2010

Build 272
Updated to source:@f5a1fa87f95d1edee74d279be7b1e4f42e4c9e8c


h2. Fri Feb 19 18:45:24 +0100 2010

Build 271
Updated to source:@6db5ad2e91855b624f5d05050bef332d66136e65


h2. Fri Feb 19 18:37:28 +0100 2010

Build 270
Updated to source:@80c102725ce92c036d5d4a0557715421a018343f


h2. Fri Feb 19 17:42:00 +0100 2010

Build 269
Updated to source:@dbc0c1dfdc255d4f61533d536d3565c352b91582


h2. Fri Feb 19 17:33:11 +0100 2010

Build 268
Updated to source:@dd3965bfb220a176332f1f96037f21f5a84f959c

h3. Changed

* Sys_nuke has faster damage algorithm [Evil_Echo]

h3. Fixed

* Fixed #9166, apparent infinite loop of head bobbing after maximum exhaustion [rommel]


h2. Fri Feb 19 17:09:15 +0100 2010

Build 267
Updated to source:@7e79558fc58141e4cd2eba4d708445ac774b1973

h3. Fixed

* Endurance limits, SF were less fit than a regular civilian. [rommel]
* LOBL was acting like LOAL/Wire Guided. refs #8650 [Sickboy]
* Toned down AI courage, this makes the ArmA 2 surrender module work again, refs #9171 [Xeno]

h3. Added

* Corrected the look of the Javelin optics model texture... [Vigilante]


h2. Thu Feb 18 17:11:46 +0100 2010

Build 267
Updated to source:@95f676f6115597ada811ad12d708ab7039cefdf1

h3. Fixed

* Endurance limits, SF were less fit than a regular civilian. [rommel]

h3. Added

* Corrected the look of the Javelin optics model texture... [Vigilante]


h2. Wed Feb 17 18:58:01 +0100 2010

Build 266
Updated to source:@13b865457a084677961d5251d1544ec7de928f95


h2. Wed Feb 17 18:17:24 +0100 2010

Build 265
Updated to source:@345912fb32c155c4c9998550b281642d8fa65582


h2. Wed Feb 17 18:00:22 +0100 2010

Build 264
Updated to source:@f6b61184fb83ea8521aa8eb236906b7f988fc0a0


h2. Wed Feb 17 17:46:33 +0100 2010

Build 263
Updated to source:@4621e2021dbda2266f20360073ca0a4ede441775


h2. Wed Feb 17 17:17:07 +0100 2010

Build 262
Updated to source:@d7804a841bd93f11d676209371fc0bc26cae0923

h3. Changed

* Sys_stamina redux, new constants and fatigue determination. [rommel]

h3. Fixed

* Fixes #9122, #9126 [rommel]


h2. Wed Feb 17 16:48:15 +0100 2010

Build 261
Updated to source:@9298221e9c68ef5fd3f09336b216f7db56f969df

h3. Fixed

* Better damage handling for units hit in vehicles, refs #9130 [Xeno]
* Using medical stuff in wrong order sometimes doesn't wake up unconscious units [Xeno]

h3. Added

* Possibility to lase target for Kh-29L missile from Su-25 and Su-34 (#8904) [q1184]


h2. Tue Feb 16 15:02:30 +0100 2010

Build 261
Updated to source:@7568be475241c0baf0870cf6d732e411ee74fcbf

h3. Fixed

* Using medical stuff in wrong order sometimes doesn't wake up unconscious units [Xeno]


h2. Mon Feb 15 18:51:27 +0100 2010

Build 260
Updated to source:@850bd14594decf40ba3ffbcda389f2c837580a76


h2. Mon Feb 15 18:21:03 +0100 2010

Build 259
Updated to source:@3c5f5a6b38bfbfcafcf5fcab75d0dd30eab49d96


h2. Mon Feb 15 17:50:34 +0100 2010

Build 258
Updated to source:@0df1ffbc31b4022170102bb589ba123334f9e821


h2. Mon Feb 15 17:20:55 +0100 2010

Build 257
Updated to source:@ecc5d964df67965c3ac180dc3f2acaa7654150a9

h3. Changed

* Running repair action when inside repair vehicle, now searches for closest vehicle in 15m radius, and repairs that one, when found. [Sickboy]
* You can now also pull unconscious units while being prone [Xeno]

h3. Fixed

* Direct artillery impacts did not cause damage to tanks [q1184]
* HALO/Parachute system improved. Should solve #8993 and #8943 [Homer Johnston]
* Issue 9078, crouch walk/run decreased fatigue [rommel]
* Repairing non damage simulated vehicles, will now repair wheels after repairs have finished. Instead of instant. [Sickboy]
* Shtora alarm was heard outside, instead of inside. fixes #9082 [Sickboy]
* Sys_repair binarization issue. fixes #9059 [Sickboy]
* Unconscious units in vehicles don't switch to stand animation when they wake up, refs #8651 [Xeno]

h3. Added

* Nukes - improved damage algorithm, optional damage to unclassed object like trees and fences. [Evil_Echo]


h2. Sat Feb 13 00:51:16 +0100 2010

Build 256
Updated to source:@f078932ef91ce74dba526c7482c13485edb87b08


h2. Sat Feb 13 00:47:01 +0100 2010

Build 255
Updated to source:@0505c61afc48b937ef595199458f49d328554b98

h3. Fixed

* Backblast fsm CTD. fixes #9043 [Sickboy]


h2. Fri Feb 12 18:30:02 +0100 2010

Build 254
Updated to source:@953a997e1ce7d4a737041e4475f3b37358cb10f9


h2. Fri Feb 12 18:16:39 +0100 2010

Build 253
Updated to source:@1d17bc75d29ec9457e7107969872cefe48e55656

h3. Changed

* ACE1 physical values for Hellfires [zGuba]
* Dictionary sys_stamina weight check, diverted to API [rommel]
* Fxed: MLRS blowing up from any damage [q1184]
* IR strobes have fixed throw mode "Throw short" [rocko]
* Proper Kh-29L ballistics [q1184]
* Shtora now display commandChat alarm message to players in vehicle [Sickboy]
* Shtora now plays alarm sound on system act [Sickboy]
* Shtora now redirects missile instead of disappear [Sickboy]

h3. Fixed

* AI thinking guns are designated to take out laser designated targets only. Fixes #9003 [zGuba]
* Added band aid for Bug #9000, unsure how it could occur, situations of occurence were sketchy [rommel]
* Bug #8994 - Deafness delays occuring after respawn or while dead [rommel]
* GearWeight API error [rommel]
* Helidust for other players. fixes #8984 [Sickboy]
* MFD overlaying the map. [zGuba]
* Missing angular error in SACLOS missile guidance simulation thread. [zGuba]

h3. Added

* RDG-M smokegrenade [rocko]
* RG60A CN grenade [rocko]
* Torch flashbang (Факел-С) [rocko]


h2. Wed Feb 10 18:45:17 +0100 2010

Build 252
Updated to source:@0616ce12276ecfd265532274d5a0a7889c88b3d8


h2. Wed Feb 10 18:26:31 +0100 2010

Build 251
Updated to source:@39542a33b1244f11990aff88bf17864f90587771


h2. Wed Feb 10 18:12:25 +0100 2010

Build 250
Updated to source:@e690f083cff79e684534259d1145740d4b4921d8


h2. Wed Feb 10 17:51:26 +0100 2010

Build 249
Updated to source:@68ecb2d58efbfe01a1ab472ba8c33e206a6ffc1b


h2. Wed Feb 10 17:05:19 +0100 2010

Build 248
Updated to source:@c0b6c13ded6385b0dc0a1b49877f9b9aab5f63c1

h3. Changed

* Added getIn and getOut for staticWeapon vehicles to attached fired EH. Resolves combat deafness not taking effect. Fixes #7969 [Sickboy]
* Repair system now verifies on simulation vehicles if can move before assigning repairs to tracks/wheels. [Sickboy]

h3. Fixed

* Hellfire LOBL no incomingMissile EH [Sickboy]
* LOBL on Hellfires not working [zGuba]

h3. Added

* Basic implementation of Shtora (for T90) [Sickboy]
* Polish localization for sys_wounds [zGuba]


h2. Mon Feb 08 18:22:55 +0100 2010

Build 247
Updated to source:@b4c61d77477b5a56e1bdf00a8bbb18184ff3631f


h2. Mon Feb 08 17:53:07 +0100 2010

Build 246
Updated to source:@cc62b3d0a49fddd5780afae654c7cbfc2f263496


h2. Mon Feb 08 17:32:11 +0100 2010

Build 245
Updated to source:@21fd35bdf082452018edbf1d3434c6125be2552b


h2. Mon Feb 08 17:05:40 +0100 2010

Build 244
Updated to source:@d91f4c4b517e99d1e75456a9194ead784c611f5e

h3. Changed

* Added ace_sys_tracking_radio_required global variable and group variable to require radios to be displayed on map, or to even see group markers on map. fixes #6543 [Sickboy]
* Added marker tracking override. (Set  ace_sys_tracking_marker_override to true on at least leader of group). Fixes #6542 [Sickboy]
* Better Longbow Hellfire [zGuba]
* New tracking features sensitive now to being in vehicle. refs #6543 [Sickboy]
* Repair, Rearm and Refuel are now 3 seperate vehicles like vanilla [Sickboy]
* Repair, Rearm and Refuel trucks available on each side/faction [Sickboy]
* Tracking markers can now also be overriden on group object [Sickboy]
* Various optimisations in sys_stamina [rommel]
* Working guidance limits for Mi-24D/V [zGuba]

h3. Fixed

* Crew served weapons interact again :), refs #8870, #8869 [Xeno]
* IRStrobe now also visible with HuntIR nv mode, refs #7463 [Xeno]
* Issue 8829 (Howitzers and low deafness issues) [rommel]
* Load master view was sea depth height above helicopter when over water [rommel]
* Maptools: Race condition would occur when two people copied each others maps at the same time. There is now a bounds limit to only copy the number of lines that were there when the person initiated the copy. [Nou]
* Maptools: Would not restore after load game. They should restore now. [Nou]
* Some MFD bugs. Fixes #8800 [zGuba]
* Sys_maptools functions now compiled preInit [rommel]
* Sys_nvg checks preInit moved to postInit handling [rommel]

h3. Added

* ACE Support vehicleClass [Sickboy]
* Mission Maker variable to disable sys_maptools [rommel]
* New API function ACE_fnc_NuclearGroundBurst [Evil_Echo]
* Staying brass, enable in clientsideconfig (also update your clientsideconfig). Default is off. [rocko]


h2. Fri Feb 05 18:02:43 +0100 2010

Build 242
Updated to source:@8e47b6d48563cf46418dfc59bff0003a4612a985


h2. Fri Feb 05 18:00:12 +0100 2010

Build 241
Updated to source:@8e47b6d48563cf46418dfc59bff0003a4612a985


h2. Fri Feb 05 17:42:43 +0100 2010

Build 240
Updated to source:@73dd622ddc0bb385eef3135f00eae5be0830bf06

h3. Changed

* New graphics for nuclear weapons. Permissive Action Links functional. [Evil_Echo]
* Value in the top of MFD shows actual gun direction [zGuba]

h3. Fixed

* Disposable launcher spawning 15.9m above players position after firing [rommel]
* Impossible to switch off laser designation on AH [zGuba]
* Wounds, transfer the new animation to all clients once "revived" (internal changes caused a locality issue) [Xeno]


h2. Wed Feb 03 20:44:41 +0100 2010

Build 239
Updated to source:@9fa28e5feaa9188cb0dad4cd80a87d5220a99c59

h3. Fixed

* Burn strings. Possibly fixes #8786 [Sickboy]
* Interactions side issue. refs #8788 [Sickboy]
* Much nettraffic depending on amount of man-units. [Sickboy]
* Sys interaction didn't work due to side problem. [Sickboy]


h2. Wed Feb 03 18:18:40 +0100 2010

Build 238
Updated to source:@021c58b027324a34021987de051da9d2544ba857

h3. Changed

* AI gunners now also hit hull on enemy armor [q1184]

h3. Fixed

* Autorotation was broken because of wrong getin eventhandlers [Xeno]
* Broadcast RAV Lifter dropped rope mag weaponcargo over network [Xeno]
* Fastroping, transfer rope weaponcargo over network, various other issues, refs #8669 [Xeno]
* Repairvehicle could self-act on itself. Refs #8550 [Sickboy]
* Smaw spotting round deadly to APCs [q1184]
* VS17 panel not working [rocko]
* Vehicles bounce when shot at with canister round [rocko]

h3. Added

* AH MFD, Hellfires and improved missile simulation for AI [zGuba]
* Repair of wheels for non armor damage simulation vehicles. Refs #8550 [Sickboy]
* Vehicle getout now simulates camera action as if you were moving out of the vehicle. By Dslyexci. refs #8738 [Sickboy]


h2. Mon Feb 01 18:07:26 +0100 2010

Build 237
Updated to source:@e8a4f8d77f7198feb314db2836bda8909f010302


h2. Mon Feb 01 17:55:21 +0100 2010

Build 236
Updated to source:@d0dd62b9b35db6a8a7910b6c2afea493ffa3b8eb

h3. Changed

* Grasscutter now in Æ class [rocko]
* Medics have more magazine slots, except Æ Insurgents [rocko]
* Metis now crewserved weaon [rocko]
* RAV Lifter scripts do now only run on the client who is the driver of the chopper (getin eventhandler) and not on all clients like before, fixes various locality problems in MP, refs #8640 [Xeno]
* Remoed: Unneeded FCS option for Mi-24P. Ref #8681 [zGuba]
* Set player captive false after respawn, refs #8633 [Xeno]
* Sys_ruck: access method for dead dropped rucks [tcp]
* You do need a transport rope to transport objects with RAV Lifter. It's a magazine called ACE_Rope_M5, available in the rope box. Attach it from the outside of the chopper. [Xeno]

h3. Fixed

* IR Strobe flashing didn't stop for other players when switched off, refs #8428 [Xeno]
* Units don't fastrope anymore but fall to death when the rope doesn't reach the ground, refs #8669 [Xeno]
* Wounds, don't play death animation when a unit gets loaded into a vehicle, refs #8651 [Xeno]

h3. Added

* 30 rnd Mk.262 Stanag mag [q1184]
* Mk.211 RAUFOSS ammunition for M107 [King Homer]
* Some typos in changelog, unless Sickboy did not eradict them already [rocko]
* Sys_carglass, smash windshield in a car if it is broken and limits visibility, based on Apouhs carglass [Xeno]
* VS-17 marker plane [rocko]


h2. Fri Jan 29 18:07:53 +0100 2010

Build 235
Updated to source:@b23a0b9cf7247ce8fc69d395130a9e9243ec8e89

h3. Changed

* Disabled gridNumbersOverLines due to it being glitched in game and displaying incorrect gird references when moving between zoom levels and relating to internal game grid references. [Nou]
* Increased detection range for ravlifter again [Xeno]


h2. Wed Jan 27 18:52:30 +0100 2010

Build 234
Updated to source:@10a32233199e58735503687d01a67138aaf8cdfa


h2. Wed Jan 27 18:06:47 +0100 2010

Build 232
Updated to source:@b0d4dd4c6cf1e7ae8805b399f8fa6a8f107defcc

h3. Changed

* Crewserved weapons for AI units disabled by default. To enable AI CSW, place the module in your missions. [rocko]

h3. Fixed

* Bug #8507 (Floating craters) [rommel]
* Hellfire launch options were accessible from outside. Fixes #8500 [zGuba]
* Missing wobble on tanks (M1A1HC) after shooting APFSDS (sabot) rounds [Vigilante]
* Roundcount now allways shows a full magazine when reloading, fixes #8498 [Xeno]
* SYS_PlaneFX - Inner wing vapour remained after vehicle death. [rommel]

h3. Added

* Sys_rangefinder: action "useWeapon" implemented for laser fire control [tcp]


h2. Mon Jan 25 20:15:43 +0100 2010

Build 231
Updated to source:@f3fa279f6af54281cd594fe262467e0f66caa136


h2. Mon Jan 25 20:01:15 +0100 2010

Build 230
Updated to source:@5ddbc0af88d92ee39b0983e9843f4101975a674a

h3. Fixed

* Empty aircraft don't throw flares anymore when locked, fixes #8489 [Xeno]


h2. Mon Jan 25 18:52:28 +0100 2010

Build 229
Updated to source:@de2bd30b599c33e2c3e163cc9aefa92177ef1384


h2. Mon Jan 25 18:30:51 +0100 2010

Build 228
Updated to source:@201b97e6eeed59ad9bf1d057bc0ae1453abdd7aa


h2. Mon Jan 25 18:20:49 +0100 2010

Build 227
Updated to source:@d6ada0c6109714b9b5a7f70699e1bf9ad4d9c1b0

h3. Changed

* Intro lovers have their BI intro back on ArmA start. Others just remove the comment in the updated ace_clientside_config.hpp for no intro. [rocko]
* Optimized and Simplified sys_tracking [Sickboy]
* SACLOS always simulated for player vehicle [zGuba]
* Shorter display names in game, longer in the editor [zGuba]
* Slightly lowered AI spotting ability. [rommel]

h3. Fixed

* Autoration script did not allways initialze, refs #8440 [Xeno]
* Medical stuff appearing in the Armory [zGuba]
* Previous not fixed. Ammo costs tweaked for cannons. [zGuba]
* Returned wrong height on carrier / buildings. [rommel]
* SYS_Tracking generic error [rommel]

h3. Added

* LOBL-HI mode for Hellfires [zGuba]
* Penetration-based armor damage system. [q1184]


﻿h2. Fri Jan 22 18:26:26 +0100 2010

Build 225
Updated to source:@3c65add337636658eb82ecaff582b150a4e1d052

h3. Changed

* Applied armory properties [Sickboy]
* Countermeasures can now be disabled by placing the Disable Countermeasures module. More flares get dropped now. [Xeno]
* If AI is the pilot of a chopper ropes get dropped automatically after 40 seconds (fastroping) [Xeno]
* Pseudo-ruck created on KIA is more terrain friendly. [Evil_Echo]
* Removed redout effect from g-effects for now, on the fly g effects (still WIP), better g effects compensation when AI is pilot, refs #8298 [Xeno]

h3. Fixed

* Bug #8378; load master camera position was not above terrain level. [rommel]
* Carrying units (drag then carry) broke when the carrying unit didn't use Drop Body action and simply switched to prone or any other stance, fixes #8373 [Xeno]
* Completely removed old animation handling from  roundcount, it's now key based only, fixes #8316 [Xeno]

h3. Added

* API functions for rucks and support for in-game documentation. [Evil_Echo]
* Initial support for Permissive Action Links [Evil_Echo]


﻿﻿h2. Wed Jan 20 18:31:00 +0100 2010

Build 222


h2. Wed Jan 20 18:02:04 +0100 2010

Build 221
Updated to source:@a5d6b2ee1b33d86333a19cd4645c446b374bfc5a

h3. Fixed

* Ejection seat simulation normalized, add offset [tcp]
* SU-34/two-seater AI ejection more reliable [tcp]

h3. Added

* Userconfig outdated warning [tcp]


h2. Mon Jan 18 18:13:53 +0100 2010

Build 220
Updated to source:@e11ec0ac26f66ce4cc5f8b913734eb19cd6329d4

h3. Changed

* Increased effort for movement effort for jogging and swimming [rommel]
* Readded sys map. If Enable Map module is placed you have to add ACE_Map to a unit (unit addWeapon "ACE_Map"), ItemMap gets removed. [Xeno]
* Roundcount action no longer stops movement [rocko]
* Roundcount text centered [rocko]
* SYS_Stamina recovery times (via a now logarithmic multiplier) in relation to Issue #6985 [rommel]
* WIP: add ammo specific particle effects to a list of ammo [Vigilante]
* WIP: fixed error [Vigilante]
* WIP: fixed more [Vigilante]
* WIP: work continues, now with custom HitEffects... :) [Vigilante]
* Wire cutter can now also cut concertina wire, revs #8216 [Xeno]
* You do need one of the four rope magazines to drop a rope from a chopper (ACE_Rope_M_50, ACE_Rope_M_60, ACE_Rope_M_90, ACE_Rope_M_120). Each rope has different length. [Xeno]

h3. Fixed

* Disable fastroping with module [Xeno]
* Exploding M49A1 [rocko]
* Grenade throw modes for smoke grenades. [Xeno]
* Issue 8165 (SMAW Spotting rounds caused deafness effects) [rommel]
* Players experienced respawn fatigue [rommel]
* Zero Divisor with SYS_Roundcount [rommel]

h3. Added

* Translated french localization by luckyhendrix & M1n1d0u [rocko]


h2. Sat Jan 16 11:44:22 +0100 2010

Build 219
Updated to source:@e93d3d7b61726b0ddcdff67d67e4fbbb9b2eb513

h3. Fixed

* ACE_FV Reset, NVG Aperture Reset: on any killed EH. [rommel]
* Added a missing fence to sys wirecutter, fixes #8166 [Xeno]
* Blur effect stays after landing MC-5 parachute. Fixes #7934 [zGuba]
* Don't remove ItemMap from all units when Enable Map Module isn't placed [Xeno]
* Helidust blur transitions; doesn't display full blur with miniscule rotations. [rommel]
* On power down helicopter rotor dust would not occur affect player's eyes. [rommel]

h3. Added

* Using Lademeister, doorgunners can throw grenades from helicopters (grenades and chemlights only, atm] - F: Toggles grenades, SPACE - Throw [rocko]


h2. Fri Jan 15 18:10:11 +0100 2010

Build 218
Updated to source:@07b6de16a9d9ee0cb352bb57d9437076d8fc980c

h3. Changed

* Bigger char size for roundcount and different text colors for different weights [Xeno]
* When default getin-action is not available on staticweapons, ACE Interaction Menu can be used instead [rocko]

h3. Fixed

* Error message caused by roundcount, fixes #8091 [Xeno]
* RF strings [tcp]
* Random deaths by un-synced tail rotor position. [rommel]
* Removed the black/white flicker when firing ear sensitive weaponry. [rommel]
* Tail rotor would kill someone after only 1second of operation [rommel]
* Zero divisor error in flashlight, fixes #8046. Switching to CQB mode doesn't change flashlight dir anymore [Xeno]

h3. Added

* Combat deafness for Rocket launchers [rommel]
* More russian localization, thanks to Eagleone [rocko]
* Sys map [Xeno]


h2. Wed Jan 13 18:55:48 +0100 2010

Build 217
Updated to source:@021de4c70da76445ccfb47ea9b419a78c07f4e1a


h2. Wed Jan 13 18:12:53 +0100 2010

Build 216
Updated to source:@bab88ff68ba494606049dc36975187386b2d767a

h3. Changed

* Ahoi! [rocko]
* Set ace_wounds_no_prevtime = true; in init.sqf to not display life time poor mans revive [Xeno]
* Show life time in poor mans revive all the time, fixes #8008 [Xeno]

h3. Fixed

* Wire cutter will damage fences on other clients too [Xeno]

h3. Added

* Sys roundcount [Xeno]

h3. Updated

* Adjusted armor values for M1A1, M1A2, T-90, T-72 [King Homer]


h2. Mon Jan 11 18:46:24 +0100 2010

Build 215
Updated to source:@af65d78fc380acf2bedfb3fef33a131142875bec


h2. Mon Jan 11 18:36:27 +0100 2010

Build 214
Updated to source:@8b6d51f1100a18cab5649bc6489add7951f128c5

h3. Changed

* Attachments keyhandler only grabs key-action when really having CQB. Fixes #7911 [Sickboy]
* Fixed some stupid bugs in the current version and added some kind of poor mans revive, activate it with ace_wounds_prevtime = time_how_long_player_lives_when_uncon_in_secs; (jnit.sqf) [Xeno]
* MBT engines more vulnerable, T-90 primary loadout now AT11 [King Homer]
* Players now have to initiate fastroping via action menu, no automatically fastroping for players anymore [Xeno]
* Rangefinder renewed by tcp. [Sickboy]

h3. Fixed

* Nil _x error in SYS_Stamina [rommel]
* Pain blurr effects (also for nvgoogles) [Xeno]
* Rucksack buttons disappearing after death [rocko]

h3. Added

* Earplugs to CDF [rocko]
* M1028 Canister shells [rocko]
* RAVLIFTER from RAVEN (ty very much for this) [Xeno]
* Spottingscope [rocko]
* Sys_thermal - working for Javelin, SOFLAM, M107, KSVK [zGuba]
* Wirecutter [rocko]

h3. Removed

* Thermal stuff from basic M107/KSVK [zGuba]


h2. Fri Jan 08 18:49:22 +0100 2010

Build 213
Updated to source:@24fef1414c62636d58d8fb1899f9aef29d59d4d8


h2. Fri Jan 08 18:17:20 +0100 2010

Build 212
Updated to source:@14e61f0f161e6e89390abe44880efdf52cb02ccf

h3. Changed

* Optimized, do g effects calculations only if the player is in the crew of a plane [Xeno]

h3. Fixed

* Crash opportunity with IR strobes [rocko]
* Sightadjustment dialog available in T&E mode [rocko]

h3. Added

* 'BI Fake IR', uses T key to enable/disable, SHIFT + T to switch b/w - w/b mode and PGUP PGDN to change contrast (refer to ace_keys.hpp to change key) [rocko]
* C4 explosives to destroy walls and fences [rocko]
* Sonic boom fx effects for jets [Xeno]


h2. Wed Jan 06 19:41:14 +0100 2010

Build 211
Updated to source:@ec2fb8c9465714ec40434f35e4e8273d8ac65f49


h2. Wed Jan 06 19:32:33 +0100 2010

Build 210
Updated to source:@7fac3b3c69afe304106aa7e86aa329e2cf28607c


h2. Wed Jan 06 18:16:18 +0100 2010

Build 209
Updated to source:@e034ca5e587f8844a1b7936c8b77833861d8271c

h3. Changed

* ACE Throw and Put weapons are now reverted to normal BIS overrides. All Throw and Put actions should function normally again, in either MP or SP. [Sickboy]
* ACE_Version bogus broadcasted to trigger version check error on older ACE versions. [Sickboy]
* Removed xboxScanner from chopper gunners and pilots where senseful [zGuba]
* Reworked SYS_combatdeaf; still awaiting full implementation of fadeSound by BIS [rommel]
* SYS_Goggles, reduced earplugs effect (sound volume) [rommel]

h3. Fixed

* BIS config bug, small wooden gates having 10 meters activation radius [zGuba]
* Generic expression error in fastroping [Xeno]
* SYS_NVG, killed event handler added preInit not postInit [rommel]
* SYS_Recognise on screen error (null display) [rommel]

h3. Added

* Fix for #2466, penetration material and low LODs for round parachutes [zGuba]
* SYS_Goggles, earplugs now reduce sound volume [rommel]
* Sys_countermeasures for air vehicle [Xeno]


h2. Mon Jan 04 18:50:23 +0100 2010

Build 208
Updated to source:@0b6cf750462ef66c64392abf88af6e0d8ee98d49


h2. Mon Jan 04 18:28:32 +0100 2010

Build 207
Updated to source:@5f878c27956555fe719ae9d53f36c5448bd200da

h3. Changed

* Optimised and simplified SYS_Stamina, and did a good cleanup. Also added PDF for reference to the math and original values. [rommel]

h3. Fixed

* Double While Loops; while loop has no limit within a delayed environment. [rommel]


h2. Mon Jan 04 18:09:42 +0100 2010

Build 206
Updated to source:@724f8b4bef7949fb6eb34cabab9c141c0c6b1903


h2. Mon Jan 04 17:56:46 +0100 2010

Build 205
Updated to source:@c772c86dcd6b87a3b614b2efe7e00f6cf4f26884

h3. Changed

* Ace_version now renamed to ace_versionstr to further reduce chance of version mismatch issues. Refs #7626 [Sickboy]
* Added ACE_version isServer write value to rpt to trace isServer issue on JIP clients. Refs #7626 [Sickboy]
* More workarounds for server version number overwritten by JIP/clients. [Sickboy]
* Temporary (during testing) disabled ACE Throw and Put weapons in Multiplayer. To enable them, add server-side addon; ace_c_weapon_enabled = true; publicVariable "ace_c_weapon_enabled". Refs #7516 [Sickboy]

h3. Fixed

* Earplugs would cause on screen error on removal [rommel]
* Missing jump out action menu entry in air vehicles [Xeno]
* NVG sensitivity resynchronization; missions with revive became out-of-sync and allowed player to change light aperture without night vision on. [rommel]
* Plane g effects, activated it again [Xeno]
* Sys_stamina km/h to m/s conversion [rommel]

h3. Added

* Sys planefx, currently only flyby sounds [Xeno]


h2. Fri Jan 01 18:31:51 +0100 2010

Build 204
Updated to source:@66ca55aab0324b087677cb66d490281466282e78

h3. Changed

* Changes in sight adjustment dialogue can be confirmed by pressing Enter [q1184]
* M4A1 ACOG by default has TA01NSN.  ACE variant has TA31RCO. Fixes #7356 [Sickboy]
* Reverted to ((velocity player) distance [0,0,0]) for increased performance as of benchmark tests. [rommel]

h3. Fixed

* L: C_AI_Skill lower bounds issue in relation to issue 7591 [rommel]
* Switching between CQB mode also switched firemode. Fixes #7593 [Sickboy]
* Sys_eject working after switching player unit. Ref #5136 [zGuba]

h3. Added

* Possibility to swap custom faces. (Inofficial and not supported as per #7545) [rocko]
* Smoke for multibarreled weapons, particle code by Sudden Death. Ref #5070 [zGuba]


h2. Wed Dec 30 18:34:15 +0100 2009

Build 203
Updated to source:@e13edf5d323c0cef11707b876b8b6ab835e5249e

h3. Changed

* (Hopefully) fixed fastrope, activated it again. Please test (human pilots only) [Xeno]
* Graphics for M34 WP marker grenade. [Evil_Echo]

h3. Fixed

* "HEY ERROR: NO UNIT, COVER OVER HERE" Error [rommel]

h3. Added

* Vector Speed (non-function, no .rpt errors), changed cycle frequency to 3HZ to reduce fps issues (was running every frame, unnecessary). [rommel]
* Visual aid for deafness [rocko]


h2. Tue Dec 29 18:58:30 +0100 2009

Build 202
Updated to source:@97007261ccc47d6e9501484beb3d8d3d41dc0e89


h2. Tue Dec 29 18:41:16 +0100 2009

Build 201
Updated to source:@901af0a16a838fafee0ae6c00ba572306173ce61


h2. Tue Dec 29 18:39:50 +0100 2009

Build 200
Updated to source:@e5b477e152599bbe8906bbbd8c7176b78360eccb

h3. Changed

* SYS_Stamina levels changed to linear equations and other minor fixes [rommel]

h3. Fixed

* Speed exploit [rommel]

h3. Added

* SYS_Stamina graphs (inside sys_stamina.pdf) for reference [rommel]


h2. Tue Dec 29 15:24:12 +0100 2009

Build 199
Updated to source:@962c36fcc51120264897d06ff23f4069b1d51a47

h3. Fixed

* AI could be ordered to enter empty tripods [rocko]
* Multiple players action menu entries for mines carried by other units [rocko]
* Russian T-72A moved to Easter Eggs. Fixes #7447 [zGuba]
* Tripflare no longer re-useable [rocko]


h2. Mon Dec 28 18:37:49 +0100 2009

Build 198
Updated to source:@f3c9010bc56a684183655348dee50e1d7b7d481e


h2. Mon Dec 28 18:07:28 +0100 2009

Build 197
Updated to source:@591d8bc244b75255af2cdc82d1378a544da64838


h2. Mon Dec 28 17:56:56 +0100 2009

Build 196
Updated to source:@0ec2d5dd1c3c081484f0c73198034235c7d7324a

h3. Changed

* Corrected some mine sizes [rocko]
* Default Throw and Put weapons are now unaltered. Fixes #7363 [Sickboy]
* Possibility to recognize ammoboxes better [rocko]
* Reduced packsize for radio rucks [rocko]

h3. Fixed

* Ace_sys_goggles preLoad [Sickboy]
* Bug #7125 [rommel]
* Bug #7125 [rommel]

h3. Added

* AI medic handling for sys wounds [Xeno]
* Player pain effects for sys wounds [Xeno]
* Server now checks if relevant pbo's are present on clients (configurable through ACE_serverconfig.hpp by admin). [q1184]

h3. Removed

* Stick together module [rocko]


h2. 2009-12-25 17:44:29 +0100

Build 195
Updated to source:@05dea7df36fdd1ba570fde519e8a2cab29db6bed


h2. 2009-12-25 17:32:08 +0100

Build 194
Updated to source:@cb90fe023d3bca522cd6fb0171a3730c66ecd8c3

h3. Changed

* Acog sights: ta31f to ta31rco [pufu]
* Minor adjustments to version checking system, hopefully working around mismatch errors on valid versions. [Sickboy]
* Nighttimes have an impact on recognize distances (decreased w/o NVG, slightly decreased w NVG) [rocko]
* Recognized group members are displayed in different color [rocko]

h3. Fixed

* Double stringtable entries [Sickboy]
* Restored xboxLock that was removed prematurely from Hellfires. Fixes #7305 [zGuba]

h3. Added

* 64mil compass  by NouberNou [rocko]
* AH64 gun optics [pufu]
* Dogtags [Xeno]


h2. 2009-12-23 19:08:15 +0100

Build 193
Updated to source:@9da38a19b42cea4d62e509697506cc097f890c94


﻿h2. 2009-12-23 18:50:00 +0100

Build 192

Updated missions


h2. 2009-12-23 18:46:27 +0100

Build 191
Updated to source:@59b7f27578d2af4ca501a0e1035b5f704ea3508a

h3. Changed

* Added first set of french localization [rocko]
* Added preloadAddons entries for sys_grenadethrow and sys_rangefinder. Fixes messages like "Missing addon ... " [Sickboy]
* KH-29 now CAVS, only Laserlock! [King Homer]
* Recognize system now alles to define preferred method. Method A: Constant scanning, similar to BI, Method B+C: Spacebar or Mousewheel. Unknown and enemy units are no longer displayed, only friendlies and allies. Name recognition depends on distance between player and unit. Tank crews can only be recognized when turned out. [rocko]

h3. Fixed

* Weird tracer behavior when using sight adjustment (bullets need to be setVectorUp'ped) [q1184]

h3. Added

* AH-64 ACEized [zGuba]


h2. 2009-12-21 18:32:03 +0100

Build 190
Updated to source:@8139969c5e8689a718eab82e8e1d0e90e8742ffb

h3. Changed

* Added to AT-2, AT-6 and AT-9 CAVS values [King Homer]
* EASA module can be placed on LHD with   this setVariable ["LHD",true,true]; [rocko]
* Goggle setup now only requires player name [rocko]
* Recognize System: ace_clientside_config can now define preferred method, either with MouseWheel (default) or SpaceBar, for players that own a modern mouse without mousewheel. [rocko]
* Stabilization of commander seats for playability in MP [King Homer]
* Su-25 and Mi-24 guns now CAVS compatible [King Homer]
* Tailwind displayed as negative value [rocko]

h3. Fixed

* Night Vision Dictionary issues [Rommel]
* Russians in A2 use Su-25, not Su-39. Fixes #7148 [zGuba]
* Some magazines for special items were dropped when weapons were changed [rocko]
* Tinitus for bystanders in some cases of backblast, though earplugs were equipped. [rocko]

h3. Added

* AT4 CS versions [rocko]
* Combat deafness now supports multiple turrets on vehicles for range finding. [Rommel]


h2. 2009-12-18 18:39:39 +0100

Build 189
Updated to source:@61ba8e5901299f7492b44214e4e5b1b79a2dc4b7

h3. Changed

* "Magic Range Display" disabled [rocko]
* "Spacebar Scanning" disabled [rocko]
* AT-16 now with CAVS comaptible [King Homer]
* Parachute repacking no longer plays animation, uses progressbar instead [rocko]
* Sandbags making use of Xenos progressbar [rocko]

h3. Fixed

* Not able to stack more than six sandbags [rocko]

h3. Added

* Recognize system, point wepon/crosshair on person or object and scroll mousewheel (similar to Vanilla) to obtain units name [rocko]


h2. Wed Dec 16 18:33:00 +0100 2009

Build 188
Updated to source:@2bb9b264b16f5d38d1f7a39cb03fccc1ce30d8aa

h3. Changed

* Added CAVS values to AAV7, also corrected the loadout [King Homer]
* Added earplugs for machinegunners [rocko]
* C_AI_Sensors (improved and implemented C_AI_Sensitivity (was disabled)) [Rommel]
* Gasmask overlay will fade out slightly when toggle weapons or moving mousewheel for selecting actions, to allow HUD becoming visible [rocko]

h3. Fixed

* Class inheritance tree refs #6987 [Sickboy]
* Invisibletargets stringtable Polish entries in French section. Fixes #6925 [zGuba]

h3. Added

* C_AI_Skill [Rommel]
* SYS_NVG Readme [Rommel]

h3. Removed

* C_AI_x excess unused directories. [Rommel]


h2. Mon Dec 14 18:37:37 +0100 2009

Build 187
Updated to source:@6c733cbb7b6d1158d83ea894a3ea90fbdf8c693b

h3. Changed

* BRDM-2 and 9P148 now CAVS ready [King Homer]
* BTR-90 now CAVS including new AT-5B [King Homer]
* Disabled C130 towing until issues resolved [rocko]
* M1A2 TUSK now CAVS (temporary), Vodnik now with CAVS values. [King Homer]
* Metis now CAVS [King Homer]
* Optimised; Removed Loop; Added Eye-adjustment after removal of NVGs; Standardised (can alter min max in script_component file now for fine tuning (min (brightness) may be too high at the moment). [Rommel]
* Removed the satellite textures on in-game map. [Rommel]
* SPG-9 now CAVS, gun also unstabilized on vehicles. [King Homer]
* Tunguska now CAVS [King Homer]

h3. Fixed

* Civilian Urals beign reported as potential enemies [zGuba]
* Local disposal bug. Fixes #6537 [zGuba]


h2. 2009-12-11 18:35:50 +0100

Build 186
Updated to source:@e5b52e38b5fdabb5c178f3885386d786b26511d0

h3. Changed

* BMP-3 now uses CAVS including realistic loadout [King Homer]
* Helicopter Crash Avoidance script is now OFF by default, was ON by default. To enable, synchronize helicopters with the module. [rocko]
* Maverick now designated as D-variant, changed to CAVS values. [King Homer]
* Unguided bomb can lock on targets again, you have to aim for the target. They are not behaving like GBUs like in vanilla A2 anymore. [Aushilfe]
* Windmeter now is activated via useraction [rocko]
* ZSU-23-4 now CAVS including main gun [King Homer]

h3. Fixed

* Different M136 weight definitions [rocko]
* Javelin description [rocko]
* Possible fix for multiply spawned parachutes [zGuba]

h3. Added

* IR chemlight [rocko]
* Parachute repack animation [zGuba]
* Stuff to improve round parachute helper efficiency [zGuba]


h2. Thu Dec 10 18:43:21 +0100 2009

Build 185
Updated to source:@ae5508c838ff4280ba84f91a0ef85a8f45225368

h3. Changed

* AI + Parachutes = Good [rocko]
* Activated flashlight turns off when entering a vehicle [rocko]
* Chemlight attachment inside vehicles improved [rocko]
* Lademeister cannot be activated if airspeed is over 90, to prevent "jumpy" camera movements [rocko]
* Made all vehicle related configs clearer with significant commets for different sections [King Homer]
* Missile and gun loadout of BMP2 [King Homer]
* Round parachutes beign packed by AI [zGuba]
* Stamina system taking parachuting or skydiving into account [rocko]

h3. Fixed

* Gap in crash avoidance script [zGuba]
* Lademeister cam could become created at 0,0,0 when gun was pointing at a bad direction [rocko]
* Lademeister did not work for some Mi's [rocko]

h3. Added

* ACE2 logo in main menu [pufu]
* Grenadier AI fix by Robalo. Ref #6617 [zGuba]


h2. Wed Dec 09 18:35:42 +0100 2009

Build 184
Updated to source:@47b1149302037a32712baa8c964e374a494683a3

h3. Changed

* Armor values of tanks converted to CAVS from ACE1 [King Homer]
* Converted ACE1 CAVS data to ACE2 [King Homer]
* Javelin CLU weight [rocko]

h3. Fixed

* Air tanker can be recognized ingame. Fixes #6627 [zGuba]
* Missing localization for EASA module [rocko]
* Possible bulletproof "used parachute"-object [rocko]
* Possible exploit for crash avoidance script [zGuba]
* Tanker fuel removal was scaled wrong [rocko]


h2. Tue Dec 08 17:39:23 +0100 2009

Build 183
Updated to source:@4e74d9b2df1edf932709c553e5622ea9fc530397

h3. Fixed

* EASA Stringtable name for french lang. [rocko]


h2. 2009-12-07 14:08:21 +0100

Build 182
Updated to source:@df6d96d218fbebbe1de685b2df020960cf25fc34


﻿h2. 2009-12-07 11:18:13 +0100

Build 181
Updated to source:@5a89e7919bccb2bab7016a201bfe112e14ab5e16


h2. 2009-12-07 10:56:08 +0100

Build 180
Updated to source:@bfc7815737beba03aaf6f9c0d5c26d559875ec91


h2. 2009-12-07 01:21:59 +0100

Build 178
Updated to source:@0a0b100eea41147c8b7a2ee582f6c2a4ad390c9c


h2. 2009-12-06 19:37:49 +0100

Build 177
Updated to source:@e07b957b59098ff79d79388982a2a122821994c2

h3. Changed

* Improved: disposed tubes spawned locally to reduce lag. Thanks to Inkompetent [zGuba]


h2. 2009-12-06 18:56:58 +0100

Build 176
Updated to source:@67dd93d251203d7989d80f4fd63d65cc478ac890


h2. 2009-12-06 17:57:50 +0100

Build 175
Updated to source:@7f683c4a95c0e2cee2b909dd17e132074758fd46


h2. 2009-12-06 11:52:38 +0100

Build 174
Updated to source:@f5fdcba412e307149af69b1294eb296db80265ad


h2. 2009-12-05 18:55:49 +0100

Build 173
Updated to source:@4ee54125825623b121fb22baf5f993876948c06e

h3. Changed

* Improved: disposable "magazines" made invisible [zGuba]

h3. Fixed

* AI helicopters could get into endless loop of crippled flight path. Fixes #6521 [zGuba]


h2. 2009-12-05 13:39:38 +0100

Build 172
Updated to source:@385299b77fda693cdaac4250f661f845f846e1f3


h2. Fri Dec 04 11:10:20 +0100 2009

Build 171
Updated to source:@fd24ffd6d21a3858283fb5d64334161e37dfb1fa


h2. 2009-12-03 18:02:34 +0100

Updated to source:@03184a206d575367ce02fdac89b044df27909f53


h2. 2009-12-03 17:13:10 +0100

Updated to source:@3daa8270ef92098eea85c25cb70906264275405f


h2. 2009-12-03 10:50:21 +0100

Updated to source:@971273630d251632c292dad2564b0cd2c52034dd


h2. 2009-12-02 16:35:26 +0100

Updated to source:@3da5b1107c8636195dddff26cabd3bcc065017e5


h2. 2009-12-02 14:05:20 +0100

Updated to source:@bfeb195f8cf4febe491742e0f907d855ac49f09b


h2. 2009-12-02 10:48:38 +0100

Updated to source:@72d9c5e9ea1173bb2b08182bf6e45b097218836b


h2. 2009-12-01 10:03:24 +0100

Updated to source:@19a70b4e17faf4016630ae0c5588e5e2a1e22976


h2. 2009-12-01 08:13:43 +0100

Updated to source:@9ba44b6a4474ca260e56f7669356c2b217399eaf


h2. 2009-11-30 19:42:26 +0100

Updated to source:@85794c7522d580365466383c853414ad8495036a


h2. 2009-11-30 09:16:40 +0100

Updated to source:@2e3a4ad9d341ef7c7ea28dffda824b9c5353245d


h2. 2009-11-29 18:50:00 +0100

Updated to source:@897d4e6e31c41992af02364528e134d56e9b8d5d

h3. Changed

* Fixed M197/M168/GAU8 loadout, damage etc... [King Homer]


h2. 2009-11-28 23:47:17 +0100

Updated to source:@6606710d56721f3bf13692051611178ee5007330


h2. 2009-11-28 00:06:33 +0100

Updated to source:@faca0b6fc47d8398443df84831b308423508a687


h2. 2009-11-27 11:27:37 +0100

Updated to source:@6ce75e1aa6e0e81ef33d591692c9105506a67656


h2. 2009-11-26 13:31:02 +0100

Updated to source:@ad17644f7e4fe4cb9b46e349da0c441cc6a3320c

h3. Added

* New ammunition types for Bradley [King Homer]


h2. 2009-11-25 12:14:03 +0100

Updated to source:@06e017e0879e363d3190fda02a4522dc6be27bc0


h2. 2009-11-24 10:19:00 +0100

Updated to source:@a707d8aafc1322ed38c1babe4380866d68a1c5d6


h2. 2009-11-23 12:13:13 +0100

Updated to source:@2ae8e3d308cf39b89f358afabc0f8c509cd4250e


h2. 2009-11-23 12:11:48 +0100

Updated to source:@2ae8e3d308cf39b89f358afabc0f8c509cd4250e


h2. 2009-11-22 18:09:20 +0100

Updated to source:@52fa26c2d9ad3ab954b225641976381273b38edf


h2. 2009-11-22 13:13:43 +0100

Updated to source:@0501eccd93ffdef7c94e416c422f4b5fa01bb343


h2. 2009-11-22 13:11:57 +0100

Updated to source:@a85d56a222b251d97e90f795b82bf5409f6c94ab


h2. 2009-11-21 23:01:26 +0100

Updated to source:@f0b627bdc8874b1e7c15dbe69aecd160093874c6


h2. 2009-11-21 16:02:20 +0100

Updated to source:@56815e1ad1f5b4d09e72500c4697f9ee3a375c04


h2. 2009-11-21 15:16:10 +0100

Updated to source:@860cc4d5db26297d9652a1fde04405adc9934807

h3. Changed

* Temp. disabled fastroping [rocko]


h2. 2009-11-21 10:33:54 +0100

Updated to source:@b5246ad5ea9571a758c7ffcbb654f8f79ef12dd5

h3. Fixed

* Crash opportunity with ATI cards when accessing gear menu [rocko]


h2. 2009-11-20 15:55:58 +0100

Updated to source:@61191374c3e37c4c10d31ff55165dc0d5f11e5b3


h2. 2009-11-19 17:31:46 +0100

Updated to source:@e35882decc84a16efbca032134a06241589128f6

h3. Changed

* Spotter equipment updated [rocko]


h2. 2009-11-19 09:23:56 +0100

Updated to source:@b36181fbe74a84db5f4d5c5967d2104286b429ff


h2. 2009-11-18 14:49:55 +0100

Updated to source:@7b9b3809365e5b0bbf0363c50014dc656ee0b017


h2. 2009-11-18 08:52:54 +0100

Updated to source:@33ba638fa55d72ba2d4680a9223cbb5bbd74f72d

h3. Changed

* Due to changes in sys_ruck -> Able to pack mines and bombs (Unpacking leads to errors ATM !!!! It's recommended to not pack these until further notice !!) [rocko]
* Launchers can no longer be packed [rocko]

h3. Fixed

* Errors when trying to unpack mines and bombs [rocko]
* Increased M16 mine trigger radius if armed only [rocko]
* Unable to pack M249 ammo or 2 slot magazines [rocko]
* Unable to unpack some mines [rocko]


h2. 2009-11-16 18:14:19 +0100

Updated to source:@e9088ef311a1e5e582c41c2ebbeda0f8e2b4f69c

h3. Changed

* Used chemlights are now represented as "used" chemlights [rocko]
* Using a chemlight in hands and switching weapon via weapon selector key ends the chemlight action [rocko]


h2. 2009-11-16 13:04:48 +0100

Updated to source:@3ace9593bb46aae0ddb6d6bb3f7b4b47b1150232

h3. Added

* AI controlled Air Refueling (Module) [rocko]
* CQB mode for new M4s [rocko]
* Flaregun ammo [rocko]


h2. 2009-11-14 16:09:39 +0100

Updated to source:@067788787303f3ed195afdc07131ec6f76db754a


h2. 2009-11-14 14:19:38 +0100

Updated to source:@6e8658c839caf09de8d7784507cc7b762cda5664

h3. Added

* German localization for air refueling [rocko]
* Star Shell rounds [rocko]


h2. 2009-11-13 22:10:06 +0100

Updated to source:@5f04dd46f1c41db7790d7d07eabaa3bf880e8e3e

h3. Changed

* Weight for stamina is now only calculated every 30 seconds, was every second before. [rocko]


h2. 2009-11-13 10:57:31 +0100

Updated to source:@824e5e96167df44da2fa8da3f5f5051baa5e9827

h3. Changed

* Medic and Engineer now carry useable rucksacks (changed models) [rocko]

h3. Fixed

* Bombcraters visible for other players [rocko]
* Clipped statics when dragged [rocko]


h2. 2009-11-12 16:43:24 +0100

Updated to source:@eea693cf8360aa062b75a4e34c8102d049b561ca

h3. Changed

* Added "Take weapon from back" button [rocko]
* Corrected german localization [rocko]
* Invalid rucksack actions are disabled for better overview [rocko]


h2. 2009-11-12 11:47:02 +0100

Updated to source:@5a6e311e7afb63726392bb11a4feb6bd1945ba47

h3. Changed

* Increased fuel tank capacity for HC130 [rocko]


h2. 2009-11-11 22:35:51 +0100

Updated to source:@c06e13bb31c38b45a92a2dd53d8c6198c905267f


h2. 2009-11-11 16:19:57 +0100

Updated to source:@e0fc74ab0856520399dac40fbb548511649619ac


h2. 2009-11-11 09:03:56 +0100

Updated to source:@d32b2993cb2b4edccaf03cfb6055f0a729ef2b57

h3. Changed

* AGS30 Tripod Proxy [rocko]

h3. Fixed

* Laserdesignator could not switch degree units [rocko]

h3. Added

* New Vector 21 Nite optics and overlay [rocko]
* Texture for Konkurs Backpack [rocko]


h2. 2009-11-10 11:42:45 +0100

Updated to source:@7b8ab46a2e4fe8d11ae6da52050101afbcb2a52c

h3. Fixed

* Claymore explosion did not create shrapnels [rocko]


h2. 2009-11-10 00:28:03 +0100

Updated to source:@bcab7c2208e54043bd3ac12f0a462ee41e8f5c49


h2. 2009-11-09 19:38:15 +0100

Updated to source:@adfb1f50d89ccd853956793ca95d77341c22658b

h3. Fixed

* Konkurs missile spin [rocko]
* Long reload time on crewserved Konkurs [q1184]
* Planes not detached when tanker aircraft was killed [rocko]


h2. 2009-11-08 18:37:39 +0100

Updated to source:@5a8fdff32f2cd7625cef149dc71fd56bfb451fec


h2. 2009-11-08 18:33:41 +0100

Updated to source:@755c3aafe1ee9700bcfd9eb72b03fab799067db3

h3. Changed

* Added WeaponOnBack weight to stamina system [rocko]

h3. Fixed

* Bad muzzle direction for M2HB proxy [rocko]
* Chemlights no longer useable after respawn [rocko]
* Gasmask/Goggle overlay still active after respawn [rocko]


h2. 2009-11-08 11:26:32 +0100

Updated to source:@b6fc0a9891a236b600e93c9ba9f8feecdbca306f


h2. 2009-11-08 10:56:19 +0100

Updated to source:@441bc8a778311c88b2aa958e4e2d29214cec2073


h2. 2009-11-07 09:21:29 +0100

Updated to source:@22bdc56f6de0813b28fc65a781a5bd0af22cabd6


h2. 2009-11-06 10:48:31 +0100

Updated to source:@1219068cc3102c93e902d7fee3d4f01ceb38107f


h2. 2009-11-06 10:42:58 +0100

Updated to source:@d9abf2a8a143ee4020d23ff8fdd19ce2c54de385

h3. Changed

* Less maneuverable SACLOS missiles [zGuba]

h3. Added

* Crates for crew served weapons [rocko]
* Switchable Shturm-V modes [zGuba]


h2. 2009-11-05 11:27:17 +0100

Updated to source:@929dcf4e486ced02cb2255a1ff34bfc51c08811d


h2. 2009-11-05 08:15:38 +0100

Updated to source:@c20b52ce579f5a338da4056f8d1bd72a899b0c27


h2. 2009-11-04 14:00:12 +0100

Updated to source:@c762226ce2ac61e00a8bb97b6a745074386cff66


h2. 2009-11-04 08:32:22 +0100

Updated to source:@88f2622529c7c17e257c35dcf5e63b309260c09f


h2. 2009-11-03 13:03:35 +0100

Updated to source:@c67604d14e68b76c697a3e7d0d3e36fb134c6141


h2. 2009-11-03 08:10:58 +0100

Updated to source:@01deb4bb18c5324e30cea903dcd65edd1121d2d0


h2. 2009-11-02 19:27:14 +0100

Updated to source:@b6ef455bd2ca6ba33dd1255fbcefaced7d65fbf1


h2. 2009-11-02 09:18:23 +0100

Updated to source:@1c3659861445636fb10cf1f4ab28db832a871c62


h2. 2009-11-01 10:59:37 +0100

Updated to source:@fc5a8ecf5305baf35d1a2809b807369ed6ed26ea

h3. Fixed

* Effective SACLOS and Shturm-V system missiles [zGuba]


h2. 2009-10-31 12:13:57 +0100

Updated to source:@bab2b86f4665dfaba3e0673da6b3da40de271521

h3. Fixed

* Blood splats no longer appear in target list [rocko]


h2. 2009-10-31 08:28:48 +0100

Updated to source:@4c1f8aa390527e2ee420a5536dd33438ff5fc556


h2. 2009-10-30 15:05:29 +0100

Updated to source:@38a090d867497dd529446a6f1ce3e55018ef1c63


h2. 2009-10-30 08:20:05 +0100

Updated to source:@ccdef1332b98a6c6f2330edbc60677685f94bc6d


h2. 2009-10-29 16:09:46 +0100

Updated to source:@2defcaeb82a9741a4f4bb7e9c640334e174b2872


h2. 2009-10-29 13:58:42 +0100

Updated to source:@34ebf47338b6703cc0d4a1c31b96ce23c7917535

h3. Fixed

* Distorted flashbang earring sound [rocko]
* Leftover from ACE_Grenade_Geometry helper object was not deleted for non-explosive rounds and could cause vehicles to become stopped [rocko]
* M3 tripod could not be picked up [rocko]

h3. Added

* Overpressure and Muzzleblast [rocko]


h2. 2009-10-28 20:39:43 +0100

Updated to source:@d58aa5a42842f1cc8db63312a5c98df1f6903495


h2. 2009-10-28 14:00:10 +0100

Updated to source:@3817d14d435e5e66a944d175de5da1afc7dc7dff

h3. Changed

* SMAW gunner now has SMAW Spottingrifle magazines [rocko]
* WIP: Chemlights can be attached to player or used as light (carry around) [rocko]


h2. 2009-10-28 08:25:21 +0100

Updated to source:@5839ae84222643c94bca7d14f6d7ac7fe19e2359

h3. Changed

* Wearing gasmasks has impact on stamina [rocko]

h3. Added

* 3 staged M136: safe, armed, used [zGuba]
* Illuminated reticles [q1184]
* Stamina system: Breathing sounds change when a gasmask is worn [rocko]


h2. 2009-10-27 14:49:33 +0100

Updated to source:@4feda5a469e39a59f4134f833b59d2cf55a56cae

h3. Changed

* Adrenaline boost can be triggered by pressing the "Evade Forward" key (if assigned) [rocko]


h2. 2009-10-27 09:53:35 +0100

Updated to source:@690c916f8468ad2d9772a09bec130baf672f8754


h2. 2009-10-26 09:49:57 +0100

Updated to source:@0069b73a94279fafdc42b0abc06a3378f5807a4f

h3. Fixed

* Grenadethrow display [q1184]
* Grenadethrow issues [q1184]


h2. 2009-10-24 17:44:32 +0100

Updated to source:@4358ba13520521f1a1c590e1d40278caf7a3dbd9


h2. 2009-10-24 10:30:41 +0100

Updated to source:@84147a204efe5a90462f7a9a2bb69c7037462e2d

h3. Added

* M203 and GP-25 CS rounds [q1184]


h2. 2009-10-23 23:34:09 +0100

Updated to source:@b68773b1b96d02fa63481507f065eed6a24ba8db


h2. 2009-10-22 17:23:28 +0100

Updated to source:@13f49fc6c0f22840308489968a69c1f507637029


h2. 2009-10-20 19:21:57 +0100

Updated to source:@81c26db4e2a95a1ccf59f4f875c52cf93aaee57c


h2. 2009-10-20 10:24:26 +0100

Updated to source:@4ffae564ba85f9a87f08e37c08eaf7bbbf3ce4f1


h2. 2009-10-20 10:22:45 +0100

Updated to source:@4ffae564ba85f9a87f08e37c08eaf7bbbf3ce4f1


h2. 2009-10-19 19:15:57 +0100

Updated to source:@2a5739f136dcbe270837848327b1dee5951cb17f


h2. 2009-10-19 16:58:37 +0100

Updated to source:@ddf4c3e86d28e3823f3b4f8b9223942863aa98b9

h3. Changed

* Resting has now impact on fatigue, was not considered before [rocko]

h3. Added

* Logic to disable stamina system [rocko]
* Stamina tresholds for infantry [rocko]


h2. 2009-10-19 16:55:02 +0100

Updated to source:@ddf4c3e86d28e3823f3b4f8b9223942863aa98b9

h3. Changed

* Resting has now impact on fatigue, was not considered before [rocko]

h3. Added

* Logic to disable stamina system [rocko]
* Stamina tresholds for infantry [rocko]


h2. 2009-10-19 16:47:34 +0100

Updated to source:@ddf4c3e86d28e3823f3b4f8b9223942863aa98b9

h3. Changed

* Resting has now impact on fatigue, was not considered before [rocko]

h3. Added

* Logic to disable stamina system [rocko]
* Stamina tresholds for infantry [rocko]


h2. 2009-10-19 16:41:26 +0100

Updated to source:@ddf4c3e86d28e3823f3b4f8b9223942863aa98b9

h3. Changed

* Resting has now impact on fatigue, was not considered before [rocko]

h3. Added

* Logic to disable stamina system [rocko]
* Stamina tresholds for infantry [rocko]


﻿
h2. 2009-10-18 18:30:31 +0100

Updated to source:@bde6f5abb9ffc1bd346cf1df12d97296972e66cd

h3. Added

* Panic key to bypass stamina system for a short period of time (3 minutes) to gain a boost in stamina [rocko]


h2. 2009-10-18 11:59:39 +0100

Updated to source:@6e6d2e031ce184ef622d66ae6e832f5906d8a488

h3. Changed

* Beyond a certain fatigue level (top end) the weight has slightly more impact on stamina [rocko]
* Removed spastic movement when already forced to prone [rocko]

h3. Fixed

* Stamina system was not calculating effects beyond a fatigue level of 275 [rocko]


h2. 2009-10-17 14:51:12 +0100

Updated to source:@097f5e6d40f30e0df194b0691a3fcd6b18227203

h3. Changed

* Irstrobe fix reverted, config was simply missing [Sickboy]


h2. 2009-10-17 14:43:13 +0100

Updated to source:@6205289bbb4ba786475413cb20d795dadf34242b

h3. Fixed

* Missing irStrobe muzzle by temporary adding ace_sys_irstrobe requiredAddon [Sickboy]


h2. 2009-10-17 10:31:57 +0100

Updated to source:@1640b54e494505f260eee57b363234f87cc77d84

h3. Changed

* Fatigued players are pushing to the ground into crawl movement. [rocko]
* Pulled down blackout levels [rocko]


h2. 2009-10-12 15:07:49 +0100

Updated to source:@c35095aa3228b14afb084b1aeff5c826738f0a6e

h3. Changed

* Sandbag deploy modes: SHIFT + mousewheel changes height, CTRL + mousewheel changes direction. Should no longer interfere with action menu [rocko]


h2. 2009-10-12 08:46:47 +0100

Updated to source:@de7b97af78b7e448821b5c526efd2a430b81dd4b

h3. Changed

* Ffar launchers can fire single rockets [q1184]
* More accurate ffar ballistics, tweaked ffar damage [q1184]

h3. Fixed

* Gunner - Cargo change could happen to allow cargo to enter the lademeister view port [rocko]


h2. 2009-10-11 11:37:45 +0100

Updated to source:@72352191bdf5b02e1f0578a91a978a1be86f2562

h3. Changed

* FFAR launcher and M134 now have visible cursor [q1184]
* Recoildust appearance depend on rain and fog [rocko]


h2. 2009-10-10 17:17:25 +0100

Updated to source:@440d7c2350428922346ba872d11fbb345195beed

h3. Added

* Possibility for helicopter doorgunners to observe the ground for the pilot. [rocko]


h2. 2009-10-10 15:18:24 +0100

Updated to source:@b2dec073a10410357848b63d9069016ba06d4960


h2. 2009-10-10 13:55:03 +0100

Updated to source:@d89024a8824d3a354adfbbda34d25931de339f40


h2. 2009-10-08 18:22:08 +0100

Updated to source:@88d7d8c8ab3f2df63b78104a1ba9e11b0fdc2b1c


h2. 2009-10-08 10:45:30 +0100

Updated to source:@e70744d96c7f6fb34a2bc72a2f7c63481b42aaa9

h3. Changed

* 50 cal bullets penetrate better [q1184]
* Hi-vel bullets ricochet more [q1184]


h2. 2009-10-07 18:16:18 +0100

Updated to source:@10db577c14abbc23697cf16dbfb3248425b429ee

h3. Changed

* Group leaders in cargo space of aircraft can now deploy the rope for fastroping [rocko]


h2. 2009-10-07 17:35:49 +0100

Updated to source:@470e820660fb83dd87affb88ee0b1de7e3d8c9a4


h2. 2009-10-07 12:01:06 +0100

Updated to source:@c942b9bbc0593a68ec5c98a6f9c9a8745cbea957

h3. Fixed

* Fastroping should work also when already starting in an aircraft [rocko]


h2. 2009-10-07 09:42:38 +0100

Updated to source:@8e7e8f4396856533698b1d205a4a2086fc528ec2


h2. 2009-10-06 12:47:29 +0100

Updated to source:@e13c6f265c21acd23a9deb07a9751e45b2c8cb4f

h3. Changed

* Belt fed machineguns cannot be reloaded while moving, machineguns that use magazines still can [rocko]
* Sandbag deployment with mousewheel (SHIFT + MW changes height, only MW changes orientation) [rocko]


h2. 2009-10-06 08:51:18 +0100

Updated to source:@6b101e993c2d06c15803f17d4c277e62d6b0aae2

h3. Added

* First implemented version of Fastroping [rocko]


h2. 2009-10-05 16:53:11 +0100

Updated to source:@3bd6273f0b154ecfdced0dc158937b7ace9eae94

h3. Changed

* Sandbags can be rotated with mousewheel [rocko]

h3. Added

* Sys_mv -  providing correct muzzle velocities for different barrel length configurations [q1184]


h2. 2009-10-04 18:46:40 +0100

Updated to source:@0c72aab49d7d1a24bf7cf0f3662fe06f670713b6

h3. Changed

* 2A42 back on Vodnik [q1184]
* Displaynames for Flashbangs and CN grenades [rocko]

h3. Added

* New throwmode "Drop", refs #4982 [rocko]


h2. 2009-10-02 18:08:55 +0100

Updated to source:@6386b026bf1828a49a15e95e9b4cf551063aeb00


h2. 2009-10-02 17:57:11 +0100

Updated to source:@e51b2cea8db27dd4cc1b3455f184379690536324

h3. Changed

* M1014 reloadtime decreased [q1184]

h3. Added

* More Hun localisation [tpM]


h2. 2009-10-02 12:15:23 +0100

Updated to source:@538fecca76e493b9b150bcd30086e8fc1fde503a


h2. 2009-10-02 08:25:24 +0100

Updated to source:@3c748f03062d7e4dfd42aa215c9553b8dc0e68da

h3. Changed

* BTR-90 AGS is adjustable now [q1184]
* Flares keep burning on the ground [q1184]

h3. Fixed

* AAV mk19 calibration [q1184]


h2. 2009-10-01 20:04:30 +0100

Updated to source:@ec8ff1c34c22036ffba83899857cea72c66f67ce

h3. Changed

* RPG 7 backblast [rocko]


h2. 2009-10-01 08:29:19 +0100

Updated to source:@85d5884cbd3bcdd04307880f187648e68f820c84

h3. Added

* Possibility to adjust sights on rifle GL's (Up/down keys) [q1184]


h2. 2009-09-30 18:22:36 +0100

Updated to source:@2b7559d90acdef6b6d39070631e1c869537f3b39

h3. Changed

* Increased running sound loudness for different surfaces [rocko]


h2. 2009-09-30 13:43:49 +0100

Updated to source:@676e1394b03f5d7ecfa3c56b687cfcdb765810fc

h3. Changed

* Increased step-over animation speed [rocko]


h2. 2009-09-30 13:34:51 +0100

Updated to source:@05601da2fe1028c3b710c9885b422a72b1ac1b9d

h3. Changed

* Weaponsway changed to default values but increased by 25% [rocko]


h2. 2009-09-30 08:10:41 +0100

Updated to source:@5f8f60705d42813beff6c0026271df85417a0393

h3. Changed

* Not playing carrying animation when carrying sandbags. [rocko]

h3. Fixed

* Probably: Unable to place sandbags on bigger vehicles. [rocko]
* Resolved repositioning problem after carrying. [rocko]


h2. 2009-09-29 19:44:34 +0100

Updated to source:@b6a9b50aef9442d37a21cefb08d23abc3287af9a

h3. Changed

* Properly calibrated sights on Mk19 and DSHKM [q1184]
* Sandbags can now be repositioned/carried [rocko]

h3. Added

* Chemical lights [rocko]


h2. 2009-09-29 08:01:33 +0100

Updated to source:@4f3cf30b28233b406b4c15cf7180a3e9581dea84

h3. Changed

* Updated Rangefinder models and textures [rocko]


h2. 2009-09-28 17:41:10 +0100

Updated to source:@76279226c41b90764684836af55145ee7b08b0b8

h3. Changed

* Reduced 45 ACP ammo damage [q1184]


h2. 2009-09-28 11:32:58 +0100

Updated to source:@71efb169e0329fb24517daed14960f7d49184849


h2. 2009-09-28 08:27:59 +0100

Updated to source:@56c6672499b0e7815c158c97130fcbde61d8d64f

h3. Changed

* Different explosion for SLAM bottom attack mode [rocko]
* Vehicles firing also causes deafness [rocko]

h3. Fixed

* Sandbags deployed on vehicles now have correct alignment [rocko]

h3. Added

* Goggles obstruct player view (depending on type) [rocko]
* Zoom for Rangefinder [rocko]


﻿h2. 2009-09-27 17:31:03 +0100

Updated to source:@e3b1cef2a026548210a261f3518c7c7eba3fa826

h3. Changed

* Flares timetolive was overridden by something [q1184]


h2. 2009-09-27 09:42:44 +0100

Updated to source:@83dcbb15842f631229df2afd7a4c6743bd0eb7b6


h2. 2009-09-26 20:40:13 +0100

Updated to source:@c4c96a6d2d68e4321e59239508210770adb99ce6


h2. 2009-09-26 14:36:02 +0100

Updated to source:@273baf8c552f76df5a39fc56fff5e4c753fb4096


h2. 2009-09-26 10:50:32 +0100

Updated to source:@432dae535fdb21f117264bc97f7d4ba947526698


h2. 2009-09-26 10:45:31 +0100

Updated to source:@0cb3973d27b932f932d616a3e316c1e9a6f54e1f


h2. 2009-09-26 10:28:28 +0100

Updated to source:@2da866c5eb65f503e3a6032f86deea5f15391847


h2. 2009-09-26 08:49:11 +0100

Updated to source:@18e5af7bc397fc7b9dffd561249f1ab3b6d8ca7e

h3. Added

* Flares descent rate dereased to provide for max 40 sec burn time [q1184]
* Flares drift with the wind [q1184]


h2. 2009-09-25 16:20:11 +0100

Updated to source:@9ffe00ac790d749ebec6a0c123945c52deb1f8cb


h2. 2009-09-25 14:24:42 +0100

Updated to source:@c0861d4964d611dd57e25ee3f37d529d604a7f0d


h2. 2009-09-25 14:20:56 +0100

Updated to source:@c0861d4964d611dd57e25ee3f37d529d604a7f0d


h2. 2009-09-25 09:49:13 +0100

Updated to source:@e5f22d2c739992ed9866f05d48b07cc51c8a1a86

h3. Changed

* Deafness effects better to comprehend [rocko]

h3. Fixed

* Sandbags could not be placed on vehicles efficiently enough. [rocko]


h2. 2009-09-25 08:06:57 +0100

Updated to source:@249ef60ec25b0301acffc18976fc2ca23c4c2446


h2. 2009-09-24 14:01:46 +0100

Updated to source:@fd7c6de6885f502d8e7098cea43d0c63a4c3f830


h2. 2009-09-24 14:00:01 +0100

Updated to source:@018776874ca68d93b1308d2077192185f8911b11

h3. Changed

* Stick2Gether now does not run permanently. Missiondesigner can enable it via module [rocko]

h3. Fixed

* SLAM can now be sighted in [rocko]


h2. 2009-09-23 19:37:35 +0100

Updated to source:@a9c3c0a76b112a0569d063601e2377d8fa8637b6


h2. 2009-09-23 17:39:40 +0100

Updated to source:@5ba19135fcb66cb969e9115552326581767add4f


h2. 2009-09-22 19:54:15 +0100

Updated to source:@b732ae3da42defe957c7c8003ddabe621042bd6b


h2. 2009-09-21 09:26:45 +0100

Updated to source:@1857630ab320df6109801151166e9f1dfef7dfc0

h3. Changed

* Big caliber ammo now ejects the right casing [rocko]
* Pipebombs can now be attached to vehicles [rocko]
* Reduced loudness of burning flare sound [rocko]

h3. Added

* SLAM mines (M2, M4) [rocko]


h2. 2009-09-19 10:10:43 +0100

Updated to source:@4c9af043079b070345ccafedad0535ed9cd5eeb5


h2. 2009-09-18 12:48:12 +0100

Updated to source:@4a41c08f46fa4ea8aef629ca83cf5293e314e23c


h2. 2009-09-17 23:41:59 +0100

Updated to source:@88f48e7c781d397a9139f43e13ab8720cfbe6774


h2. 2009-09-17 08:05:55 +0100

Updated to source:@cbe5372623e0e9d0fc3bb39df8a0cf75cce355f2

h3. Changed

* C_veh_steering separated from c_vehicle [zGuba]


h2. 2009-09-16 20:37:55 +0100

Updated to source:@57902ca3875f9a45e2763c62626a72226df7b4af

h3. Changed

* Temporary disabled vehicle steering/movement adjustments. [Sonsalt]


h2. Mon Sep 14 21:13:55 +0200 2009

Updated to source:@dbee96d65e75edb3c8d08eec659c1d8fb3c5f714


﻿h2. Mon Sep 14 13:47:46 +0200 2009

Updated to source:@17ce1e7995ea28f5f2ee240f9908f2f07fc820fe

h3. Added

* ; LAV-25 to vehicle config [King Homer]
* PKT and DT enabled to engage with player commander [zGuba]


h2. Sun Sep 13 09:35:07 +0200 2009

Updated to source:@b726578e5100b1cf94598d241f6b0915da6b252d

h3. Changed

* Player and AI play a "blinded" animation when thrown at with flashbangs [rocko]
* Stick2Gether fsm improved by Xeno [rocko]

h3. Added

* Fully working windmeter [rocko]
* SLX RPG-7 ironsights. Ref #4436 [zGuba]
* Vehicles visible from higher distance than by default [zGuba]


h2. Sun Sep 13 09:31:17 +0200 2009

Updated to source:@e6f052257a1a04d0e33ee3873d1310972a92a149

h3. Changed

* 7.62  tracers burn out to 800-900 m [q1184]
* ACE_CivDummy now invisible (WIP) [rocko]
* AI runs away from gassed areas [rocko]
* AT tracer lifetime increased [q1184]
* AT5 and Metis missile smoke less dense [q1184]
* Abort message contains type of aircraft that is unable to load [rocko]
* Ace_rsc accepts now 0,1 instead of false, true [rocko]
* Ace_rsc texts automatically adapt if vehicle hud is shown [rocko]
* Activated IR Strobes keep blinking in vehicles, except in tanks [rocko]
* Added FX to TOW missiles [rocko]
* Added LayDown and LowDrag mode to B61 Launcher [rocko]
* Added NUKE support to EASA. Nukes still WIP. [rocko]
* Added delay to IR Strobe effects, fixes #2744 [rocko]
* Added nukes to EASA [rocko]
* Added parachute packs to aircrafts [rocko]
* Added proper ACOG reticle [q1184]
* Added proper ballistics for the AT-6 Shturm missile [q1184]
* Added proper sight zeros to scoped weapons [q1184]
* Added stamina FX [rocko]
* Added two new rules, "NoHangar" allows overriding the need for a hangar, "FARP" same as "NoHangar" but will create a FARP like rearm point (w/o the trailer vehicle) [WIP] [rocko]
* Afterburner sound by tpM [rocko]
* Ah1 pilot has control over FFAR [rocko]
* B61 now releases parachute for retarded delivery [rocko]
* Bino and LD reticles [q1184]
* Blood system now leaves bloodtrail from bleedingunits [Sickboy]
* Bullet direction synchronized in MP when using rifle sight adjustment [q1184]
* CN/CS cause intoxication effects even if not in direct effective range of gas grenade but when AI or player have been intoxicated for a certain amount of time [rocko]
* Changed UA priority for custom action to lowest possible [rocko]
* Combat deafness only occures when a MG is fired near you [rocko]
* Crewserved actions rearranged [rocko]
* Crewserved weapons have more capacity for their virtual magazines, reducing the bullet loss on unloading. refs #3405 [rocko]
* Detaching towed airplane from towing tractor improved [rocko]
* Due to ArmA2s strange handling of fadesound all sound fades are zero time to zero volume until properly fixed. [rocko]
* EASA aborts if no weapon slots were found on aircraft [rocko]
* EASA also available for helicopters [rocko]
* EASA can now change work to a certain degree in MP environment. Aircraft local to server can have their loadout changed. Aircrafts local to any player still have some issues [rocko]
* EASA displays now a shorter weapon name instead of the Magazine class [rocko]
* EASA displays now the aircrafts displayname to avoid confusion [rocko]
* EASA provides now only valid ammunition per aircraft, fixes #3878 [rocko]
* EASA should now be able to process loadout also for aircrafts  not local to server [rocko]
* Earring sound by tpM [rocko]
* Eject/Getout actions from ejection simulation now use default game priority [rocko]
* Encased weapons (e.g VIKHR) are not displayed and not able to be exchanged for now [rocko]
* Fixed some recoil mappings [q1184]
* Handgrenades less bouncy [q1184]
* If there is a pause between bursts the effect is delayed according to the delay time [rocko]
* Included static machineguns [rocko]
* Increased debris count when firing AT while prone [rocko]
* Increased docking range for mid air refueling [rocko]
* Increased loading time from 5 seconds to 20 seconds per weapon to load [rocko]
* Increased radius for interaction to 15 meters. [rocko]
* Increased range a bit for Interaction Menu on Static weapons [rocko]
* Increased size of M84 flashbang [rocko]
* Ka52 and Mi24 pilots have control over FFAR [rocko]
* LDF [rocko]
* LOLZzz: BIS first needs to add cargo cage to C130 to allow units to enter the loading bay [rocko]
* Large caliber bullets timetolive increased to 5 s [q1184]
* M242 Tracer ammo has every round a tracer [rocko]
* Made ILS background looking more like HUD [rocko]
* Message for grenadethrowmodes now under weapons hud [rocko]
* Minor [zGuba]
* Mp5 rof [q1184]
* New process for removing weapons. Not suitable weapons such as cannon, ffar and encased weapons (VIKHR) are not exchangeable. [rocko]
* No intro mission and loading screens anymore [rocko]
* Players adressed by other players get a notification on screen [rocko]
* Possible fix for malformed models [rocko]
* Proper rate of fire for rifles [q1184]
* Rangefinder script improvement - does not need to force optics anymore [zGuba]
* Reduced AI dispersion for AT launchers [q1184]
* Reduced clientside config entries for the goggle system to minimize user irritation. Now only name, squad and face are needed. [rocko]
* Releasing fuel device now takes 15 seconds, before was immediately [rocko]
* RemoteExecute -> globalExecute [Sickboy]
* Removed "burning" from explosives [rocko]
* SMAW Spotting Rifle only accessable when SMAW is current weapon [rocko]
* Sandbags deployed on vehicles are now attached to where they were placed [rocko]
* Sink rate for B61 now ~10 m/s [rocko]
* Small arms dispersion increased to ACE1 level [q1184]
* Smoke color for M7A3 [rocko]
* Stringtable entry for LHD glasses [rocko]
* Sway temporarily reduced again until standing up animation has been fixed by BIS [Sonsalt]
* Sys_shotgun finally works [q1184]
* Tailrotor effects disabled in SP/Campaign [rocko]
* Temporary enabled debug mode on sys_rocket_ballistics to trace error about null rocket [Sickboy]
* Throwmode changes can only be applied if grenades are selected as current weapons [rocko]
* Timetolive for large bullets increased to 8 s [q1184]
* Tweaked TOW and AT5 ballistics [q1184]
* Tweaked hand grenade damage [q1184]
* Twealed vehicle ammo and weapons [q1184]
* Units do not bleed any longer inside vehicles. fixes #3246 [Sickboy]
* Updated AKSU dispersion [q1184]
* Updated some recoils and dispersions [q1184]
* Useraction "Unjam" localized and colored [rocko]
* Visual effects should no longer overwrite each other if they occur simultaneously due to cutText/titleText behaviour [rocko]
* Weaponrest on sandbags, even for non-bipod weapons [rocko]
* Weaponrest will no longer lag or cause weird issues due to repeated key presses. [Sickboy]
* Where physically doable, you can walk/crouch underneath a spinning tailrotor [rocko]

h3. Fixed

* Ace_sys_attachments actions [Sickboy]
* Armor values [King Homer]
* Bad Full auto mode for M4 RCO, fixes #2533 [rocko]
* Bad path [rocko]
* Bouncing M136 [rocko]
* Cartridge ejection, fixes #3227 [rocko]
* Damage can be somehow bigger than 1, this was unexpected and froze the game due to extreme amount of blood creation. fixes #3245 [Sickboy]
* Displaynames showed STR_ content [rocko]
* Driver can't turn out [King Homer]
* EASA could be accessed while being in another vehicle [rocko]
* Error msg on server due to compiling ppEffects, fixes #4032, fixes #4033, fixes #4034 [rocko]
* Flare color not so intensive [rocko]
* Gasmasks not protecting from gas [rocko]
* Grenadethrow not resetted if defined [rocko]
* Helidust not visible for clients except local driver [rocko]
* Interaction menu not working for crewserved weapons [rocko]
* Leader of a unit can rehab or a NOT leader BUT higher rank [rocko]
* Magazine icons [rocko]
* Magazine models path, fixes #3490 [rocko]
* Mines occasionally not exploding, fixes #2875 [rocko]
* Missilebase errors after binarization [Sickboy]
* Missing vars in Map Dialog, refs #3506 [rocko]
* On unmount action for MGs no proxy weapon was given to player [rocko]
* Possible malformed crewserved weapon magazines [rocko]
* Quick tutorial for class dependency trick. Fixes #4351 [zGuba]
* Rangefinder display not able to load [rocko]
* SA broken by macro magic [rocko]
* SMAW Spotting rifle ammo causing backblast effects [rocko]
* SMAW spotting round has no rocket trajectory, fixes #2248 [rocko]
* Sightadjustment for GL [rocko]
* Some more breaks by macros [rocko]
* Some: Old style material flags used - 20 (with texture ca\data\data\default_co.paa) [rocko]
* String STR_ACE_VDN_MI24_BASE not found [rocko]
* Throwmode affected Smokeshells fired with M203/GP25 launcher [rocko]
* Towed vehicle spawned in nirvana [0,0] [rocko]
* Tripods could'nt be picked up [rocko]
* Updating base class error [rocko]
* Weapon resting caused lag and took a lot of time to check for an obstacle. [q1184]
* When dragging a static weapon it was possible to play the"take the static on your shoulder" animation and other issues. Now dragging is aborted when you switch stances. [rocko]
* Wrong .paa for crewserved weapon magazines [rocko]
* Wrong backblast debris emitting position [rocko]
* Wrong define in sightadjustment dialog, fixes #4055 [rocko]
* Wrong keypress handling caused AT sight adjustment not to work [q1184]
* ZSU Tracers [rocko]

h3. Added

* 20 rnd Stanag now contains Mk262 Mod 0 sniper ammo [q1184]
* ACE Sub class in editor: Æ Ammunition [rocko]
* ACE Weaponboxes [rocko]
* ACE1 recoils [q1184]
* Ability to drag a static machinegun [rocko]
* Ace_rsc - function, displays given text with custom color and custom duration [rocko]
* Activated ArmA 2's vehicle burn script, disabled config burn fx. [Maddmatt]
* Afterburner script for F35 and SU34 [rocko]
* B61 model [rocko]
* Balaklava [rocko]
* Bright tracer mags for RPK and M249 [q1184]
* Buckshot mags for Saiga 12 [q1184]
* CQB support for G36a [rocko]
* Camera shake upon explosions, WIP [rocko]
* Converted sys_disposal [zGuba]
* Corrected ballistics for some bullets, changed tracer color to red on Russian 50 cal rounds [q1184]
* Coughing sounds for gas intoxication, handmade by tpM [rocko]
* Deafness (WIP) if someone fires a high caliber weapon or high ROF weapon near you ( < 1.5 m) [rocko]
* EASA: Exchangeable Armament System for Aircrafts [rocko]
* Engagement tweaks, should fix BI bug #2353 [zGuba]
* Explosion effects to phosphorous grenades [rocko]
* Fixed disposal issues [zGuba]
* Flashlight for m4a1 holo [rocko]
* G36K, XM8 Carbine, XM8 Carbine GL, XM8 Compact - CQB modes. XM8 Sniper, XM8 SAW have solid scope ! [rocko]
* Gasmask [rocko]
* Gasmask model, by aardvarkdb [rocko]
* Hungarian localisation [tpM]
* HuntIR Transport Box [rocko]
* ILS [rocko]
* IR strobe throwable and other slick things done [rocko]
* Interaction Menu for common actions on units [rocko]
* Interaction with crewserved weapons is also possible, additional to the useraction [rocko]
* Invisible targets [rocko]
* Konkurs Launcher [rocko]
* Laser Rangefinder function for SOFLAM [rocko]
* Localization files for disposal [zGuba]
* Localization for crewserved weapons [rocko]
* M16A2 Bouncing Betty [rocko]
* M49A1 TripFlare [rocko]
* M7A3 CN gas grenade [rocko]
* M84 flashbang [rocko]
* M86 PDM Munition [rocko]
* Magazine model for SMAW Spottingrifle [rocko]
* Magazine models (WIP - not all available) [rocko]
* Mid Air Refueling [rocko]
* Modified T-72 on CAVS base [King Homer]
* Multibarrel script for tunguska [q1184]
* New earring sounds for backblast by tpM [rocko]
* New fuel explosion system. Based on amount of fuel in vehicle and some random variation. [Maddmatt]
* Newest Disposal system - launchers needed only [zGuba]
* Nwd optics to severalt rifles [q1184]
* Phosphorous grenades [rocko]
* Proper balistic values for rockets etc [q1184]
* Proper handling of manually guided missiles (sys_missileguidance) [q1184]
* Recoildust [rocko]
* Sakura Chan's AI steering config for cars introduced [zGuba]
* Sandbag box [rocko]
* Side-Rule for EASA, lets you determine what weapons can be loaded. Apply via setVariable["Side", x], x can be: 0 - only EAST weapons, 1 - only WEST weapons, -1 - ALL weapons. If not set, weapons for the side of the airplane/helicopter you want to reload is used. [rocko]
* Stamina support for gasmasks [rocko]
* Stick2gether [zGuba]
* Stringtables for goggle actions [rocko]
* Sys_magazines - makes weapons with suppressors less hearable for AI even when using supersonic ammunition [q1184]
* Sys_multi_barrel. refs #2930 [Sickboy]
* Towing tractors that can pull airplanes [rocko]
* Tracer magazines for assault and sniper rifles [q1184]
* Tracers system [Sickboy]
* Turret limits for gunships [zGuba]
* Vector 21 Rangefinder [rocko]
* Wind deflection system. Small arms bullets will drift with the wind. Use shift-K to get the wind dir/strength indicator. Yellow-Orange_Red-Violet colors represent mild-moderate-strong-very strong wind. [q1184]
* Windmeter "Kestrel 4500" [rocko]


